Personal Backup
===============
(c) 2001-2026, Dr. J. Rathlev, D-24222 Schwentinental

Versionsgeschichte:
-------------------

6.4.9.0 (25.04.2026)
-------
  - Fehlerkorrekturen:
    - Auftrags-Anzeige nach der Auswahl von Einzeldateien
    - Anzeige der Fehlermarkierung in der Liste der geplanten Aufgaben
    - Starten einer geplanten Aufgabe von Hand in SelSchedTaskDlg

6.4.8.0 (25.03.2026)
-------
  - Änderungen:
    - Verbesserte Anzeige der Auftragsliste im Aufgabenplanungsdialog
  - Fehlerkorrekturen:
    - Korrektur bei wöchentlichen Wechselplänen
    - Spaltenbreiten in Datei-Vorschau
    - Erkennung von Cloud-Verzeichnissen

6.4.7.0 (15.02.2026)
-------
  - Änderungen:
    - Skalierung der Startbildschirme bei hoher Auflösung
  - Fehlerkorrekturen:
    - Platzhalter %v#n% für wechselnde Versionen
    - Anzeige des freien Platzes auf dem Ziellaufwerk
    - Platzhalter für Wochentag und Monat an die Auswahl der Sprache für die
      Benutzeroberfläche angepasst

6.4.6.1 (27.01.2026)
-------
  - Fehlerkorrekturen:
    - Anpassung der Menüs an Monitore mit hoher Auflösung

6.4.6.0 (24.01.2026)
-------
  - Änderungen:
    - Anpassung der Menüs an Monitore mit hoher Auflösung
  - Fehlerkorrekturen:
    - DeviceBackup: Anzeige der in einem Auftrag gespeicherten, zu sichernden
      Verzeichnisse im Verzeichnisbaum

6.4.5.0 (26.12.2025)
-------
  - Änderungen:
    - Platzhalter für zyklische Jahre (wie für Tage, Wochen und Monate)
    - TbBackup: Frage nach Restore beim erstmaligen Start
    - PbWatchdog: Geänderte Protokollierung
  - Fehlerkorrekturen:
    - Sprachauswahl-Menü bei Einstellung auf die Systemsprache

6.4.4.0 (28.11.2025)
-------
  - Änderungen:
    - Neue Option für Backupaufträge: Archivbit im Ziel zurücksetzen
    - Vorkonfigurierter TB-Auftrag: Profilauswahl hinzugefügt
    - Vorkonfigurierter TB-Auftrag: Sicherung von "profiles.ini" hinzugefügt

6.4.3.2 (03.11.2025)
-------
  - Fehlerkorrekturen:
    - Einlesen von Dateipfaden mit Leerzeichen aus einer Steuerdatei

6.4.3.1 (28.10.2025)
-------
  - Fehlerkorrekturen:
    - Splitter in Backup-Editor
    - TbBackup: Falsche Voreinstellung für Thunderbid Profil-Datei

6.4.3.0 (24.10.2025)
-------
  - Neu:
    - Thunderbird-Sicherung für Betrieb unter Linux-Wine angepasst
  - Änderungen:
    - Eine Steuerdatei in den Befehlszeile kann mit zusätzlichen Optionen kombiniert
      werden
    - Beim Anlagen von Desktop-Verknüpfungen wird die Länge der resultierenden
      Befehlszeile überprüft. Wenn sie größer als INFOTIPSIZE = 1024 ist wird
      automatisch eine Steuerdatei angelegt.
  - Fehlerkorrekturen:
    - Öffnen des Taskbarmenüs funktionierte nicht, wenn das Programm im
      interaktiven Modus mit der Option "/quiet" gestartet wurde

6.4.2.0 (24.09.2025)
-------
  - Änderungen:
    - Als Junction eingebundene Verzeichnisse werden im Unterverzeichnisbaum
      durch ein eigenes Symbol dargestellt
    - Es werde alle Arten von Links erkannt, auch z.B. Cloud-Links
    - Standardverzeichnisse werden über die Win-Api-Funktion SHGetKnownFolderPath
      abgerufen (verfügbar seit Vista)
    - PbWatchdog kann durch das Zusatzprogramm PbForceWatchdog zum sofortigen
      Backup der geänderten Dateien angestoßen werden
  - Fehlerkorrekturen:
    - Manchmal fror das Programm ein während der Ausführung im Hintergrund und
      ausgeschaltetem Monitor beim Aufruf der System-Routine "LpkGetTextExtentExPoint"
      im Modul "gdi32full.dll" (möglicherweise abhängig vom installierten Grafiktreiber)

6.4.1.0 (19.08.2025)
-------
  - Änderungen:
    - Quiet-Modus wird erzwungen, wenn der Benutzer nicht interaktiv angemeldet ist,
      z.B. bei Start über die Windows-Aufgabeplanung
    - Abfrage des auf dem Zieldatenträger verfügbaren freien Platzes
    - Stand-by nach dem Backup: Auf Computern, die nur den S0-Modus (Modern Standby)
      unterstützen (anstelle von S3), wird der Monitor ausgeschaltet
    - PbRestore: Restore aus Netzwerkressource
    - PbRestore: Optionale Anzeige des Protokolls nach einem Restore
    - PbRestore: Prüfung auf fehlerhafte Zip-Dateien
    - PbRestore: Optionales Abschalten der Entschlüsselung von en-Dateien
  - Fehlerkorrekturen:
    - Setzen der Attribute von Dateien und Verzeichnissen
    - Anzeige von ComboBoxen auf hochauflösenden Bildschirmen
    - Anzeige von einigen Dialogen auf hochauflösenden Bildschirmen

6.4.0.2 (05.06.2025)
-------
  - Fehlerkorrekturen:
    - Laden der alternativen graphischen Symbole

6.4.0.1 (19.05.2025)
-------
  - Änderungen:
    - Sprache hinzugefügt: Türkisch
    - Optionale Auswahl der grafischen Symbole (standard/farbig oder schlicht)
  - Fehlerkorrekturen:
    - Grafische Symbole überarbeitet

6.4.0.0 (17.04.2025)
-------
  - Neu:
    - Verbesserte Darstellung auf Monitoren mit hoher Auflösung durch Verwendung
      der Routinen aus dem SVGIconImageList-Paket
  - Fehlerkorrekturen:
    - Auswahl von Dateitypen per Filterbedingung

6.3.27.0 (15.03.2025)
--------
  - Änderungen:
    - Beschleunigter Programmstart, da der Verzeichnisbaum in ShellTreeView
      erst bei der Anzeige aufgebaut wird
    - Bei der Einrichtung einer FTP-Verbindung werden die Ebenen des
      Verzeichnisbaums einzeln eingelesen

6.3.26.0 (15.02.2025)
--------
  - Fehlerkorrekturen:
    - Restore, Verify und Cleanup mit anderem Benutzerkonto
    - Wizard: Einstellung "Getrennt nach Stammverzeichnis"

6.3.25.0 (16.01.2025)
--------
  - Fehlerkorrekturen:
    - Fortschrittsanzeige in der Taskleiste
    - Fehleranzeige im Steuerzentrum
    - Skalierung von Dialogtexten auf hochauflösenden Monitoren

6.3.24.0 (15.12.2024)
--------
  - Änderungen:
    - Anzeige im Steuerzentrum, wenn es Fehler bei Backups gab
  - Fehlerkorrekturen:
    - Synchronisieren von Sicherheitskopien (gz und zip)
    - Erkennen einer WM_DEVICECHANGE-Nachricht beim Start
    - Dateitypenliste nach Ersetzen eines zu sichernden Verzeichnisses

6.3.23.0 (20.11.2024)
--------
  - Änderungen:
    - PbWatchdog: Erhalt von Vorversionen der gesicherten Dateien
    - TbBackup: Sicherung optional ohne Kompression
  - Fehlerkorrekturen:
    - Nachholen von fehlgeschlagenen Backups nach einem Autostart
    - WinTask: SC_HANDLE in GetServiceStatusByName

6.3.22.0 (20.10.2024)
--------
  - Änderungen:
    - Installationsdialog
  - Fehlerkorrekturen:
    - Erstellen von gesplitteten Zip-Archiven > 4 GB
    - Optimierung bei nicht komprimierten, gesplitteten Zip-Archiven
    - ShellDirDialog: Speichern der Einstellungen
    - PbWatchdog: Startbild

6.3.21.0 (29.09.2024)
--------
  - Änderungen:
    - Sprache hinzugefügt: Vereinfachtes Chinesisch
    - Installation unter Windows 11 mit ARM-Architektur
    - PbWatchdog: div. Verbesserungen
  - Fehlerkorrekturen:
    - Löschen von Sicherheitskopien: Dateien mit Platzhalter für Backup-Datum

6.3.20.0 (30.08.2024)
--------
  - Neu:
    - Neues Dienstprogramm PbWatchdog für die Echtzeitsicherung von ausgewählten
      Verzeichnissen mit automatischer Sicherung der geänderten Dateien
  - Fehlerkorrekturen:
    - Typecasting in Restore, Verify znd Cleanup per FTP
    - Schreiben von VssBackupDoc.xml per FTP
    - Auswahl eínzelner Dateien
    - Parallele Ausführung mehrerer Backups über die Befehlszeile:
      - Angabe eines Protokoll-Verzeichnisses
      - Anschließende Aktion (suspend oder shutdown)

6.3.19.0 (01.08.2024)
--------
  - Änderungen:
    - Dialog für Filtereinstellungen
    - PbMon: Überwachung von Unterverzeichnissen hinzugefügt
  - Fehlerkorrekturen:
    - Verzeichnisfilter wurden beim Neuanlegen eines Auftrags nicht zurück
      gesetzt
    - Eingabefeld im Dialog für die Verzeichnisauswahl
    - Zip-Archive mit verschlüsselten Dateinamen und der Option "Leere Verzeichnisse
      im Ziel löschen"
    - Synchronisieren per FTP
      
6.3.18.0 (01.07.2024)
--------
  - Änderungen:
    - Verzeichnis- und Dateidialog bei Export/Import von Einstellungen geändert,
      da es Darstellungsprobleme mit TFileOpen/TSaveDialog im dunklen Modus gibt
  - Fehlerkorrekturen:
    - Fehlerbehandlung beim Schreiben von Ini-Dateien
    - Dateifilter-Dialog
    - Statusanzeige: Position der Schaltflächen
    - Bestätigungsdialog (ConfirmFilesDlg): Anzeige der Dateiliste, wenn das
      zugehörige Feld zu schmal für alle Spalten ist

6.3.17.0 (06.06.2024)
--------
  - Änderungen:
    - Anzeige eines Qualitätswertes für das Verschlüsselungskennwort
  - Fehlerkorrekturen:
    - Speichern von Einstellungen in der Ini-Datei
    - Positionierung bei mehreren Monitoren
    - Statusanzeige beim Löschen von Dateien
    - Gelegentliche Zugriffsverletzung beim Öffnen eines Backup-Auftrags
    - Eingabe eines festen Kennworts für die Verschlüsselung
    - Vorschau einer unkomprimierten Datei beim Restore und Löschen

6.3.16.0 (22.05.2024)
--------
  - Änderungen:
    - Verbesserte Anzeige der geplanten Aufgaben
    - Aufgabenplanung: Neue erweiterte Einstellungen für Start im Batteriebetrieb
      und bei verfügbarem Netzwerk
    - PbRestore: Vorschau von Zip-Archiven
  - Fehlerkorrekturen:
    - Gelegentliche Zugriffsverletzung beim Öffnen eines Backup-Auftrags

6.3.15.1 (29.04.2024)
--------
  - Fehlerkorrekturen:
    - Synchronisieren: gelöschte Unterverzeichnisse bei "Ausgewählte Dateien,
      andere behalten"
    - Erzeugen von Zip-Archiven mit verschlüsselten Dateinamen

6.3.15.0 (21.04.2024)
--------
  - Neu:
    - Erstellen eines Backup-Auftrags mit den Voreinstellungen für Thunderbird
  - Änderungen:
    - Liste der zuletzt verwendeten Backup-Aufträge
  - Fehlerkorrekturen:
    - Verbesserte Fehlererkennung beim Laden eines Backup-Auftrags
    - Platzhalter "%drive%" für Protokoll-Datei
    - Synchronisieren mit der Löschfunktion

6.3.14.0 (25.03.2024)
--------
  - Änderungen:
    - TIniFile ersetzt durch TMemIniFile
    - Aufgabenplanung: Trigger beim Aufwachen des Computers
  - Fehlerkorrekturen:
    - Import von Aufträgen
    - Platzhalter für Protokoll-Datei
    - Anmeldung an Netzwerk-Resource

6.3.13.0 (11.03.2024)
--------
  - Neu:
    - Import und Export von Programm-Einstellungen und Aufträgen
  - Änderungen:
    - Kopier-Thread: Suspend/Resume durch TEvent ersetzt
    - Optionale Auswahl der Textcodierung bei der Protokollanzeige
  - Fehlerkorrekturen:
    - Anzeige der Kopiergeschwindigkeit berücksichtigt Pausen
    - Anmeldung an Netzwerk-Resource

6.3.12.0 (15.02.2024)
--------
  - Änderungen:
    - DeviceBackup: Anzeige von Fehlern beim Einlesen der Verzeichnisse
    - DeviceBackup: Sortierbare Dateliste
  - Fehlerkorrekturen:
    - Anmeldung an Netzwerk-Resource mit anderem Konto
    - Start von Backups über Doppelklick auf buj-Datei
    - Korrektur bei wöchentlichen Wechselplänen
    - Cleanup: Löschen von Dateien per FTP

6.3.11.0 (20.01.2024)
--------
  - Neu:
    - Import und Export von Backupplänen für die Windows-Aufgabenplanung
    - Anzeige der Einstellungen eines Backup-Auftrags nach Doppelklick auf eine
      buj-Datei
  - Änderungen:
    - Anzeige der Filtereinstellungen im Protokoll
    - Optionale parallele Ausführung mehrerer Backups beim Start über die
      Windows-Aufgabenplanung
    - DeviceBackup: Befehlszeilen-Optionen
  - Fehlerkorrekturen:
    - Prüfen auf Überschneidung von Quelle und Ziel bei Sicherung von einzelnen
      Dateien
    - Cleanup: Synchronisieren mit Quelle per FTP

6.3.10.0 (20.12.2023)
--------
  - Änderungen:
    - Wenn eine Datei im Ziel noch nicht existiert, wird keine temporäre Datei
      verwendet (auch FTP)
    - Restore: Verbesserte Statusanzeige, wenn keine Dateien gefunden wurden
    - TbBackup: Verbesserte Erkennung des Standardprofils beim ersten Start
  - Fehlerkorrekturen:
    - Synchronisieren von gz-Dateien
    - PbPlaner: EventLoggging

6.3.9.0 (14.11.2023)
-------
  - Neu:
    - Optionale Prüfung des Serverzertifikats bei FTPS
  - Änderungen:
    - Optimierung beim FTP-Transfer von vielen kleinen Dateien in einem Verzeichnis
  - Fehlerkorrekturen:
    - Backup-Auftrag bearbeiten: Darstellung im dunklen Modus
    - Auswertung der Befehlszeilenoption "/prompt:delay"
    - Erkennung, wenn Windows Task Scheduler 2.0 nicht verfügbar ist
    - DeviceBackup: Ermitteln des Dateinamens
    - GnuGetText: Ermitteln der Anzeigesprache

6.3.8.0 (14.10.2023)
-------
  - Änderungen:
    - Verbesserte Kontext-Hilfe über die F1-Taste
    - Zusätzlicher Hinweis in der Status-Mail auf den Zieldatenträger
  - Fehlerkorrekturen:
    - Kopieren der Attribute von Unterverzeichnissen
    - Verbesserte Darstellung beim Wechsel zu einem hochauflösenden Bildschirm

6.3.7.0 (10.09.2023)
-------
  - Fehlerkorrekturen:
    - Farbe des Hintergrunds von ausgewählten Listeneinträgen geändert
      (clGradientActiveCaption => clSkyBlue)
    - Nachfrage beim Abschalten der Verschlüsselung
    - Synchronisieren von gz-komprimierten Dateien per FTP
    - Auswahlmenü für die Sprachen
    - DeviceBackup: Kopieren der Zeitstempel
    - DeviceBackup: Fehlererkennung beim Einlesen der Verzeichnisse
    - ShellDirDialog: Einstellung der Spaltenbreiten in der Dateivorschau

6.3.6.0 (13.08.2023)
-------
  - Änderungen:
    - Voreinstellungen für Protokolle
    - Protokoll-Formatierung
    - Einblendung eines Hinweises im Assistenten bei langen Pfaden
    - Anforderung einer Bestätigung beim Abschalten der Verschlüsselung
  - Fehlerkorrekturen:
    - History-Liste im Auswahldialog für Verzeichnisse
    - Setzen der Attribute des Stammverzeichnisses im Ziel, wenn ein Verzeichnis
      als "ReadOnly" gekennzeichnet ist (Benutzer definiertes Ordnersymbol)
    - Synchronisieren des Backup-Stammverzeichnisses im Modus "Nur die markierten
      Unterverzeichnisse"

6.3.5.0 (12.07.2023)
-------
  - Änderungen:
    - Hinweis im langen Protokoll auf Sicherheitskopien von Dateien
    - Kein Kennwort-Import bei Restore und Verify
  - Fehlerkorrekturen:
    - Wiederherstellung der Fortschrittsanzeige nach Minimierung
    - Löschen aller Aufträge aus einer Liste
    - Anzeige der leeren Liste von automatischen Aufträgen
    - Anzeige der leeren Liste von über Windows geplanten Aufgaben
    - Dateifilter für Dateinamen ohne Erweiterung
    - Lesen der Dateinamen in DeviceBackup
    - Kennwortverwaltung in Restore und Verify

6.3.4.0 (10.06.2023)
-------
  - Änderungen:
    - Verbesserte Fehlermeldungen im Protokoll
    - Beim Laden der Einstellungen für ein automatisches Backup wird geprüft, ob
      die angegebene Auftragsdatei auf einem festen Laufwerk liegt und existiert.
      Wenn nicht, wird sie durch eine vorhandene, gleichnamige Datei im
      Standardverzeichnis der Aufträge ersetzt
    - Auswahlmöglichkeiten in der Liste der Mail-Empfänger
    - Optionale Verschlüsselung des Backup-Protokolls als Anhang
    - Automatische Erkennung im Steuerzentrum von USB-Laufwerken beim Anschluss
  - Fehlerkorrekturen:
    - Textanzeige im Splashscreen im dunklen Modus
    - Zurücksetzen der Fensterposition und -größe über das Kontextmenü in der
      Taskleiste
    - Platzhalter bei Mail-Empfängern
    - Sicherheitskopien von Unterverzeichnissen beim Synchronisieren bei
      eingeschalteter Option Sicherheitskopien beim Backup
    - Listen-Anzeige von Dateitypen ohne Erweiterung
    - Anzeige des Steuerzentrums bei im Hintergrund laufendem Programm nach
      Doppelklick auf eine buj-Datei oder die Desktop-Veknüpfung
    - Abfrage bei nicht verfügbarem Zieldatenträger

6.3.3.0 (14.05.2023)
-------
  - Neu:
    - Neues Zusatzprogramm zur Sicherung der Daten von mobilen Geräten
  - Änderungen:
    - Anzeige des Programmsymbols im Windows-Benachrichtigungsbanner
    - Dialog für Mailversand
  - Fehlerkorrekturen:
    - Indexfehler in der Liste der Windows-Aufgabenplanung
    - Anzeige des Programmfensters bei Alt+Tab

6.3.2.1 (18.04.2023)
-------
  - Fehlerkorrekturen:
    - Automatische Umschaltung in den dunklen Modus
    - Kleine Korrekturen in den Übersetzungen

6.3.2.0 (16.04.2023)
-------
  - Neu:
    - Optionale Sicherheitskopien bei Zip-Archiven
    - Optionale Anzeige eines Fehlerprotokolls während des Backups
  - Änderungen:
    - Abbruch während der Verschlüsselung wird sofort wirksam
    - Verbeserte Versionsanzeige
  - Fehlerkorrekturen:
    - Sperren der übergeordneten Fenster während eines Backups
    - Schließen einer temporären Datei bei gz-Komprimierung
    - Anzeige des Dateinamens bei Fehler im ausführlichen Protokoll
    - Zurücksetzen des Archivbits bei der vollen Sicherung in Wechselplänen im
      Modus "Aktualisieren"
    - Erweiterte Einstellungen für die Windows-Aufgabenplanung

6.3.1.0 (14.03.2023)
-------
  - Änderungen:
    - Suchfunktion in Datei-Vorschau
    - Optionales Sortieren von geplanten Aufgaben nach Datum
    - Anzeige des Wechselplans in der Liste der automatischen Aufträge
  - Fehlerkorrekturen:
    - FTP: Verzeichniswechsel
    - Größe des Hauptfensters bei Änderung der Bildschirmauflösung
    - Fehlerprotokollierung (Löschen einer zu überschreibenden Datei)
    - Ersetzen von Platzhaltern mit Großbuchstaben
    - Eintragen eines Backup-Auftrags in die Aufgabenplanung

6.3.0.3 (07.02.2023)
-------
  - Änderungen:
    - Sicherheitsabfrage beim Ändern des Kennworts für die Verschlüsselung
  - Fehlerkorrekturen:
    - Anzeige im dunklen Modus:
      1. Backup-Ziel im Steuerzentrum
      2. Farben für Kommentarzeilen in den Grundeinstellungen
      3. Dateitypenanzeige in der Auftragsbearbeitung
    - Wiederherstellung der Fensterbreiten und Splitterpositionen
    - Bei nicht angeschlossenem externen Datenträger werden ausgeschlossene
      Unterverzeichnisse nicht angewendet
    - Synchronisieren: Die Abfrage FileExists liefert auch dann "false" zurück, 
      wenn eine Datei existiert, aber kein Zugriffsrecht besteht - Abfrage geändert
    - PbRestore: Klick auf die Titelzeile einer leeren Liste von Dateien aus 
      Zip-Archiven
    - PbRestore: Anzeige von Zip-Archiven nach Wechsel über die Liste der zuvor
      geöffneten Dateien

6.3.0.2 (29.12.2022)
-------
  - Änderungen:
    - Sprache hinzugefügt: Ukrainisch
    - Zusatzinformation im Protokoll, ob das Backup durch eines der Zusatzprogramme
      TbBackup, PbPlaner oder PbStarter gestartet wurde
    - Verbesserte Fehlererkennung beim Abmelden eines alternativen Benutzers
    - Verbesserte Fehlererkennung bei vollem Zieldatenträger
    - Einfügen von Aufträgen zur Liste "Meine Backup-Aufträge" an ausgewählter
      Stelle
    - PbRestore: opt. Wiederherstellung aus Verzeichnissen unter Berücksichtigung
      von Sicherheitskopien
  - Fehlerkorrekturen:
    - Falsche Zeitanzeige z.B. bei geplanten Aufgaben, wenn die Systemeinstellung
      auf AM/PM gesetzt ist
    - Prüfung auf Schreibberechtigung im Quellverzeichnis bei "Alles neu" und
      "Inkrementell"
    - Überprüfung von großen verschlüsselten Dateien
    - PbRestore: Statusanzeige, Zurückspeichern aus einem Wechselplan
    - PbRestore: Wiederherstellung aus Zip-Archiven
    - PbRestore: Befehlszeilenoptionen

6.3.0.1 (12.11.2022)
-------
  - Fehlerkorrekturen:
    - Anzeige im dunklen Modus

6.3.0.0 (22.10.2022)
-------
  - Neu:
    - Verbesserungen für eine barrierefreie Bedienung, z.B. bei Verwendung von
      Screenreadern
    - Unterstützung des dunklen Bildschirm-Modus von Windows
  - Änderungen:
    - Neuer Platzhalter für externe Programme nach dem Backup:
      %logfile% = Protokoll-Datei
    - Anzeige des Fehlerprotokolls über das Kontextmenü der Taskleiste
    - Mehrere Backups aus dem Steuerzentrum starten: parallel oder nacheinander
    - Backup-Auftrag bearbeiten: automatische Erkennung, wenn eine Quelle per
      USB verfügbar ist
    - Optional werden von einem nach dem Backup gestarteten externen Programm
      gemeldete Fehlercodes ignoriert
    - Auswahl von Dienstprogrammen im Steuerzentrum
    - Restore: Verbesserte Fehlererkennung bei Restore aus Zip-Archiven
    - PbRestore: Änderungen im Layout
    - PbRestore: Optionale Wiederherstellung des Erstellungsdatums
  - Fehlerkorrekturen:
    - Anzeige der Backup-Optionen
    - Wiederherstellen der Fortschritts-Anzeige nach Minimieren
    - Druckerauswahl in der Protokollansicht
    - Probleme hervorgerufen durch ein zu schmales Statusfenster
    - Fehlererkennung beim Löschen einer kopierten Datei auf der Quellseite
    - Korrektur für Anzeige von ComboBoxen auf hochauflösenden Bildschirmen
    - PbRestore: Importiert Druckereinstellungen von PB

6.2.14.0 (18.05.2022)
--------
  - Änderungen:
    - Anzeige des Backup-Protokolls über das Kontext-Menü der geplanten Aufgaben
    - Cleanup: Verbesserte Protokollierung der gelöschten leeren Verzeichnisse
    - Cleanup: Neue Option, ein leeres Stammverzeichnis nicht zu löschen
    - PbMon: Start und Stopp der Überwachung über das Kontextmenü in der Taskleiste
    - Verzeichnis-Dialog: Durchsuchen des Netzwerks bei Windows 10, Rücknahme der
      Änderung in 6.1.2.0
  - Fehlerkorrekturen:
    - Option "Verzeichnisse durchsuchen" wirkt auch beim Synchronisieren und beim
      Starten eines Backups von Hand aus dem Bearbeitungsfenster
    - Öffnen eines Auftrags bei den geplanten Aufgaben
    - Suchfunktion bei der Auswahl von Dateien für Restore und Cleanup
    - Verzeichnis-Dialog: Wechseln in übergeordnetes Verzeichnis, Öffnen mit einem
      Netzwerkpfad, der eine IP-Adresse enthält

6.2.13.0 (24.04.2022)
--------
  - Änderungen:
    - Eintrag in der Windows-Ereignisanzeige beim Start eines Backups über die
      Aufgabenplanung
    - Beschleunigte Synchronisation bei Sicherung als komprimierte Dateien
  - Fehlerkorrekturen:
    - Platzhalter in der Befehlszeile
    - Anzeige von Backupaufträgen mit "&" im Dateinamen
    - Durchsuchen der Verzeichnisse bei Typenauswahl
    - Einstellung von Zeiträumen über die Befehlszeile
    - Darstellungsfehler bei Auswahl des Synchronisations-Modus unter Windows 11
    - Mehrere Speicherlecks behoben
    - Verzeichnisauswahl bei Überprüfung
    - FTP: unnötige Zeitverzögerung in der Verzeichnisabfrage entfernt

6.2.12.0 (11.03.2022)
--------
  - Änderungen:
    - Fortschrittsanzeige beim Synchronisieren
    - TbBackup: verbesserte Fehlermeldungen
  - Fehlerkorrekturen:
    - Übernahme der Einstellungen für Sicherheitskopien aus dem Backup nach
      Restore, Verify und Cleanup

6.2.11.1 (10.02.2022)
--------
  - Fehlerkorrekturen:
    - Versionsermittlung unter Windows 7
    - Wechselpläne 7-tägig - Wie im Auftrag

6.2.11.0 (06.02.2022)
--------
  - Änderungen:
    - Opt. Import der Einstellungen für Sicherheitskopien in Restore, Verify
      und Cleanup
    - Löschen von Sicherheitskopien auch per FTP
    - Anzeige im Steuerzentrum, ob erhöhte Administratorrechte verfügbar sind
    - Anzeige in den Start-Einstellungen, ob die Windows-Ereignisprotokollierung
      aktiviert ist (siehe Installationsoptionen des Programms)
  - Fehlerkorrekturen:
    - Anzeige der Dateianzahl von vor dem Backup gelöschten Verzeichnissen bei
      voll und  diff./inkr. Backups
    - Abbruch eines Programmupdates
    - Identifizierung von Reparse-Points
    - Fehlererkennung beim FTP-Verbindungsaufbau
    - Übernahme der Verzeichnisse aus dem Backup nach Verify und Cleanup

6.2.10.0 (06.01.2022)
--------
  - Änderungen:
    - Neue Befehlszeilenoption "/noupdate": keine Prüfung auf Programmupdates
      nach dem Start
    - Ermitteln des verfügfbaren Platzes auf einer Server-Freigabe erfolgt über
      eigenen Thread, um Totzeiten bei Nichtverfügbarkeit zu vermeiden
  - Fehlerkorrekturen:
    - Auswertung der Befehlszeilenoption "/ini:..."
    - Anzahl der Dateien nach Backup im Statusfenster
    - TCheckComboBox-Komponente
    - Zielverzeichnis bei Restore und Verify
    - Falsche Fehlermeldung im Protokoll beim Backup auf ein Netzwerkziel, wenn
      ein neues Unterverzeichnis erstellt werden muss
    - PbStarter: Bearbeitung von Gruppenlisten

6.2.9.0 (22.12.2021)
-------
  - Änderungen:
    - PbStarter: Liste der Gruppen kann bearbeitet werden
    - Abfrage bei geänderten Aufträgen für Restore, Verify oder Cleanup vor
      dem Schließen des Fensters, ob gespeichert werden soll
    - Einträge im Dialog für den Task-Scheduler bleiben bei einem Fehler für die
      wiederholte Eingabe stehen
  - Fehlerkorrekturen:
    - Prüfung auf ungültige Verzeichnisse beim Verifizieren
    - Protokolleinträge bei Anlegen von neuen Unterverzeichnisses im Ziel
    - Auswahl eines Zeitbereichs als Dateifilter
    - Auswahl von best. Tagen im Monat oder Wochentagen im Task-Scheduler
    - Dateianzeige in PbRestore

6.2.8.0 (03.12.2021)
-------
  - Änderungen:
    - Befehlszeilen-Parameter dürfen Windows-Umgebungsvariablen enthalten
    - Für die Ausführung über die Windows-Aufgabenplanung können auch mehrere
      Backup-Aufträge in einem Mal ausgewählt werden
    - Verbesserung beim Vergleich der Dateien, wenn in einzelne Zip-Dateien
      gesichert wird
    - Neues Start-Logo
  - Fehlerkorrekturen:
    - Kopieren von alternativen Datenströmen
    - Dateinamen mit Komma in der Windows-Aufgabenplanung
    - Abbrechen eines automatiscne Backups im Quiet-Mode

6.2.7.1 (11.11.2021)
-------
  - Fehlerkorrekturen:
    - Hinzufügen von ganzen Laufwerken zu einem Auftrag

6.2.7.0 (05.11.2021)
-------
  - Änderungen:
    - Anzeige von Fehlern bei automatischen Backups im Steuerzentrum
    - Anzeige des Startbildschirms
  - Fehlerkorrekturen:
    - Position des Programmfensters bei Verwendung von mehreren Monitoren
    - Auswahl eines Verzeichnisses
    - Anzeige des zu sichernden Verzeichnisses im Verzeichnisbaum
    - Keine Aktualisierung des Backup-Zeitpunkts nach Abbruch

6.2.6.0 (01.10.2021)
-------
  - Neu:
    - Gemeinsames Fehlerprotokoll, in dem alle Datensicherungen eingetragen werden,
      bei denen Fehler aufgetreten sind (PbError.log)
  - Änderungen:
    - Verbesserungen der Anzeige auf hochauflösenden Bildschirmen
    - Verbesserte Kennwortabfrage bei Aufträgen mit Verschlüsselung ohne
      festes Kennwort
    - Neue Befehlszeilenoption "/sched" zur Kennzeichnung von Backups im Protokoll,
      die über die Windows-Aufgabenplanung gestartet wurden
    - PbRestore: div. Verbesserungen
    - PbRestore: Dateivorschau bei Wiederherstellung ganzer Verzeichnisse
    - PbRestore: Anzeige einzelner Dateien auch bei Zip-Archiven
  - Fehlerkorrekturen:
    - Filter für Dateinamen ohne Erweiterung
    - PbRestore: Fortschrittsanzeige beim Entpacken aus Zip-Archiv
    - PbRestore: Abbruch beim Entpacken aus Zip-Archiv

6.2.5.0 (02.09.2021)
-------
  - Änderungen:
    - Verschachtelung von Platzhaltern für das Protokoll (%dest%)
    - Sortieren der Liste mit Backupaufträgen im Steuerzentrum erfolgt
      abschnittsweise für die durch Kommentare getrennten Bereiche
    - Verzeichnisfilter: kein regulärer Ausdruck bei '##'
    - Hinweis auf geprüfte Kopien im kurzen Protokoll
  - Fehlerkorrekturen:
    - Auswahl von Unterverzeichnissen
    - Löschen des letzten zu sichernden Verzeichnisses aus der Liste
    - Anzeige von langen Dateinamen im Statusfenster
    - Listenanzeige im Steuerzentrum bei hoher Bildschirmauflösung
    - PbStarter: Kennworteingabe und -abfrage

6.2.4.0 (22.08.2021)
-------
  - Änderungen:
    - Optionen für Sicherheitskopie bei Backup und Synchronisation im Modus
      "Stammverzeichnis": Getrennt nach Backup-Datum und/oder Laufwerken
    - Bei Klick auf eines der Symbole im Fenster mit den Eigenschaften des
      Auftrags im Steuerzentrum wird direkt die zugehörige Seite für die
      Bearbeitung geöffnet
    - Auswahl der Protokoll-Datei in den Grundeinstellungen
    - Auswählbares Symbol für den Windows-Infobereich nach Rechtsklick
    - Laden der benötigten Systembibliotheken mit FpuSafeLoadLibrary
  - Fehlerkorrekturen:
    - Umschaltung Einschluss/Ausschluss von Unterverzeichnissen
    - Die Option "Keine Dateiattribute kopieren" auch für Sicherheitskopien
    - Umbenennen von Sicherheitskopien
    - Überprüfung von zip-komprimierten Einzeldateien mit überlangem Pfad
    - Anzeige des Ziels im Statusfenster
    - Kontextmenü für zu sichernde Verzeichnisse

6.2.3.0 (20.07.2021)
-------
  - Änderungen:
    - In der Liste der geplanten Aufgaben wird bei einem Fehler bei der
      Ausführung ein Hinweis eingeblendet
    - Verbesserte Fehlermeldung beim Sichern in Zip-Archive
    - Eine fehlerhafte Verwendung des Unix-Pfadbegrenzers (/) in Windows-Pfaden
      wird automatisch korrigiert
    - PbStarter und TbBackup: Keine Fehlerbehandlung bei nachfolgennde Aktion,
      da dies nur bei direkten Backups implementiert ist
    - PbPlaner: Geänderte Einstellung für Zyklen und Schritte
  - Fehlerkorrekturen:
      - Anpassung der Fenstergröße an den Bildschirm

6.2.2.0 (16.06.2021)
-------
  - Änderungen:
    - Neues erkanntes Dateisystem: ext4
    - Zeitstempel von übergeordneten Verzeichnissen werden im Ziel auf die
      Werte der Quellseite gesetzt
  - Fehlerkorrekturen:
    - Öffnen eines Restore, Verify oder Cleanup-Auftrag über die Befehlszeile
    - Initialisierung des Pointers "FTaskFolder" in WinTask (erforderlich für
      die 64-Bit-Plattform)
    - Weiter zählen eines Backupplans beim Nachholen nach verpasstem Start
    - Anwenden von dynamischen Verzeichnisfiltern

6.2.1.0 (22.05.2021)
-------
  - Neu:
    - Optionales Synchronisieren nach einem Restore
  - Änderungen:
    - Fortschrittsbalken in neuem Design
    - Verhalten bei Größenänderung der Dialogfenster
  - Fehlerkorrekturen:
    - Abbruch beim Überprüfen eines Zip-Archivs
    - Hinweisanzeige im Passwort-Dialog
    - Sich wiederholende Backups ohne diff./inkr. bei 7, 14, ... Tagen
    - PbRestore: Zurückspeichern von verschlüsselten Archiven

6.2.0.0 (20.04.2021)
-------
  - Neu:
    - Neues Icon-Design
    - Besondere Benutzeranmeldung auch bei Restore, Verify und Cleanup
    - Informationen über das Ziel (z.B. freier Platz) im Steuerzentrum
    - Desktop-Verknüpfungen zu Restore, Verify und Cleanup mit eigenem Icon
    - Beim ersten Start nach einer Neuinstallation wird der Benutzer aufgefordert,
      die Grundeinstellungen anzupassen
    - Das Installations-Setup wird mit Inno Setup 6.1.2 erzeugt
  - Änderungen:
    - Trennen einer Netzwerkverbindung bei besonderer Benutzeranmeldung nach
      dem Backup
    - Icon im Windows-Infobereich im Modus "Quiet"
    - Erkennung der Dateisysteme
    - Restore von Sicherungen mit Zip-Archiv pro Verzeichnis auch mit
      Jokerzeichen im Dateinamen (z.B. PBu-*.zip) möglich
    - Anzeige der Anzahl der Dateien mit Tausender-Trennzeichen
    - Erweiterte Einträge im ausführlichen Protokoll bei Abzweigungspunkten
    - Prüfung auf verfügbares Quellverzeichnis
    - Automatische Erkennung von Differenzen +1h beim Zeitvergleich aufgrund
      einer Sommerzeitumstellung, wenn Ziel oder Quelle auf einer FAT-Partition
      liegen und der Benutzer dies nicht von Hand eingestellt hat
    - Beim letzten automatischen Backup beim Anmelden kann eine nachfolgende
      Aktion ausgewählt werden
    - Neues erkanntes Dateisystem: CryptomatorFS
    - TbBackup: Anpassung an Thunderbird 78
    - TbBackup: Editierbare Einstellungen für Datei- und Typenfilter
    - PbRestore: Protokollierung der wiederhergestellten Dateien
    - Geänderte Verwaltung der Versions-Ressourcen
    - Automatisches Update bei Windows XP nur über die zip-Datei, da Inno Setup 6
      nicht mehr mit diesem System funktioniert
  - Fehlerkorrekturen:
    - Trennen einer Netzwerkverbindung bei besonderer Benutzeranmeldung
    - Aktualisierung der Anzeige der Unterverzeichnisse
    - Umschaltung des Ziels zwischen Windows und FTP
    - Ausschluss von Sicherheitskopien beim Überprüfen
    - Zeitspalte im ausführlichen Protokoll
    - Verzeichnisauswahl bei Netzwerk-Ressource
    - Verwendung des Paragraph-Zeichens in Dateinamen bei Zip-Komrprimierung
    - Protokollanzeige, wenn ein vollständiger Pfad für die Protokoll-Datei
      angegeben wurde
    - Sichern von Einzeldateien ohne Erweiterung
    - Weiterzählen des Backupversionszählers (Platzhalter "%v#n%")
    - Nummerierung der Wechselpläne mit 14, 21, ... Tagen
    - Protokollausdruck: Zeilenumbruch bei Seitenwechsel
    - Bei ausgeschaltetem Protokoll wurden die Auftragsoptionen nicht angezeigt

6.1.12.1 (07.01.2021)
--------
  - Fehlerkorrekturen:
    - Synchronisieren im Modus "Ausgewählte Dateien, andere behalten"

6.1.12.0 (06.01.2021)
--------
  - Änderungen:
    - Protokollanzeige wird beim Beenden des Programms automtisch geschlossen
    - Sicherheit der Kennwort-Eingabe (Mail und FTP) verbessert
  - Fehlerkorrekturen:
    - Position des Steuerzentrums nach Aufruf mit /force
    - Backup-Button im Steuerzentrum
    - PbMon: Aufruf des Filter-Editors
    - PbRestore: Wiederherstellung des Datei-Zeitstempels bei verschlüsselten Dateien

6.1.11.0 (06.12.2020)
--------
  - Änderungen:
    - Darstellung der TSpeedButton-Icons bei High DPI und 64-bit
    - PbStarter: optionale Auswahl der Protokolldatei
  - Fehlerkorrekturen:
    - Auswertung des Exitcodes bei ext. Programmen nach dem Backup
    - Fehlende Zip-Erweiterung bei Sicherung per Stammverzeichnis in Zip-Archiv,
      wenn der Verzeichnisname einen Punkt enthält
    - Minimieren- und Pause-Button im Statusfenster nicht sichtbar
    - PbStarter: Befehlszeilen-Option /logmode

6.1.10.1 (21.11.2020)
--------
  - Änderungen:
    - Position des Hauptfensters bei zwei Bildschirmen
    - Neue Befehlszeilenoption "/noscale": Keine Skalierung der Icons
  - Fehlerkorrekturen:
    - Skalierung der Icons bei High DPI bei TSpeedButton und 64-bit
    - PbRestore: Dateianzeige

6.1.10.0 (05.11.2020)
--------
  - Änderungen:
    - Skalierung der Icons bei High DPI
    - Anzeige des Protokoll-Verzeichnisses im Protokolldialog
    - Umstellung der regulären Ausdrücke auf TPerlRegEx
    - Standard-Dateifilter mit otionalem "AND" (+) und "NOT" (!)
    - Optionale Eingabe von benutzer-defierten Parametern in die Befehlszeile
      für die Windows-Aufgabenplanung
  - Fehlerkorrekturen:
    - Bearbeitungsdialog für Datei-und Verzeichnisfilter
    - Darstellung des Auswahldialog (Unit SeletcDlg) bei Anzeige-Skalierungen
      von mehr als 100%
    - Desktop-Verknüpfung für Backups "Auf Anfrage"
    - Nachfolgende Aktion, z.B. Herunterfahren nach Start von automatischen
      Backups (Opt. #..) über die Befehlszeile
    - Sicherheitskopien bei Synchronisation im Modus "Ausgewählte Dateien, .."
    - Windows-Aufgabenplanung: Auswahl von Wochen im Monat
    - Wizard: Verzeichnisauswahl bei Pfaden mit Volumennamen
    - PbStarter: Verwenden von Ini-Pfad aus der Befehlszeile
    - PbPlaner: Ereignisprotokollierung in Windows

6.1.9.2 (12.10.2020)
--------
  - Fehlerkorrekturen:
    - Start mit einer leeren Ini-Datei führt zu Listenindex-Fehler bei den
      Programmeinstellungen

6.1.9.1 (10.10.2020)
--------
  - Neu:
    - Platzhalter für Backup-Modus im Zielverzeichnis
  - Fehlerkorrekturen:
    - Umschalten zwischen Ein- und Ausschließen von Unterverzeichnisses
      funktionierte nicht

6.1.9.0 (09.10.2020)
--------
  - Neu:
    - Verbesserte Auswahlmöglichkeiten für die Sicherung einzelner Dateien
  - Änderungen:
    - Optionale Verwendung  von Änderungs- und Erstellt-Zeit für Zeitbereich
    - Beim Hinzufügen einzelner Dateien werden Unterverzeichnisse nicht durchsucht
    - Optimierung der Abfrage der Dateieigenschaften im Ziel während des Backups
    - Einstellbare Farben für die Kommentarzeilen in der Backupliste
    - PbRestore: Vorschau bei Restore aus Zip-Archiven
  - Fehlerkorrekturen:
    - Abbruch der Synchronisation bei fehlender Quelle
    - Voreinstellungen für neue Überprüfungen
    - PbStarter: Initialisieren des Mail-Dialogs

6.1.8.0 (07.09.2020)
--------
  - Änderungen:
    - PbPlaner: Bei Start über eine Desktopverknüpfung kann ein diff./inkr.
      Backup nach Benutzerbestätigung mehrfach am Tag laufen
    - FTP-Units umstrukturiert
    - Getrennte Einstellung zum Ein- und Ausschalten von Windows-Benachrichtigungen
      (Balloon tips)
    - Dateifilter werden automatisch mit ".*" ergänzt, wenn keine Erweiterung
      angegeben wurde
    - Neue Protokolloption: Anzeige der nicht zu kopierenden Dateien im langen Prot.
  - Fehlerkorrekturen:
    - Platzhalter für Datum bei externen Programmen
    - Nachholen von ausgefallenen automat. Backups zu einer best. Tageszeit
    - Durchsuchen der Verzeíchnisse beim Öffnen eines Auftrags
    - Anzeige der Anzahl der beim Synchronieren gelöschten Dateien
    - TbBackup: Restore aus anderem Quellverzeichnis
    - Platzhalter für abgekürzten Wochentag mit abschließendem Punkt (wie z.B.
      in den Windows-Regionseinstellungen für Deutsch-Österreich)

6.1.7.0 (05.08.2020)
--------
  - Neu:
    - Neue Option bei den automatischen Aufträgen: "Auf Anforderung"
      Der Start des Backups erfolgt über die Befehlszeile mit Parameter "#", über
      eine entsprechend Desktop-Verknüpfung oder über das Kontextmenü in der
      Taskleiste nur an den ausgewählten Wochentagen
    - Optionales Zurücksetzen des Archivbits beim Restore
    - Neuer Platzhalter für das Ziel: Backupversion im Wechsel (siehe auch 5.6.7.0)
    - Optionale Verwendung der Erstellt-Zeit für Zeitbereich
  - Änderungen:
    - Geänderte Platzhalter für den Namen der Protokoll-Datei
    - Protokollanzeige: Auswahlmöglichkeit, wenn nicht gefunden
    - Platzhalter für zyklische Tage, Wochen und Monate auch mehrstellig
    - Beim Synchronisieren werden Systemverzeichnisse (z.B. System Volume Information)
      im Stammverzeichnis eines Laufwerks ausgenommen
    - Protokollanzeige bei Restore, Verify und Cleanup
    - Verknüpfung als externes Programm
    - Hinweis im Mail-Betreff, wenn die Ausführung ein externes Programm
      fehlgeschlagen ist
  - Fehlerkorrekturen:
    - Desktop-Verknüpfung auf automatische Aufträge
    - Aktualisierung der Unterverzeichnisanzeige
    - Kein Setzen der Attribute und Zeitstempel eines Stammverzeichnis eines Laufwerks
    - Sicherung in einzelne Zip-Dateien per FTP mit Überprüfung
    - Befehlszeilen-Option /edit

6.1.6.0 (01.07.2020)
--------
  - Änderungen:
    - Fehlermeldung bei falschem Benutzer in der Aufgabenplanung
    - Prüfung, ob eine Datei in das Ziel geschrieben werden kann verwendet
      Zufallsnamen
    - Platzhalter für den Namen des Ziel-Datenträgers im Protokollnamen
    - Optionales Löschen von vorhandenen Protokolleinträgen
    - Verbesserte Fehleranzeige beim Anlegen von Desktop-Verknüpfungen
  - Fehlerkorrekturen:
    - Anzeige von versteckten Befehlszeilén im Protokoll
    - PbRestore: Erkennen von Zip-Archiven mit verschlüsselten Dateinamen, wenn
      beim Backup eine Größenbegrenzung angegeben, aber nur ein Teilarchiv
      erzeugt wurde
    - mögliche Endlosschleife beim Synchronisieren, wenn die Option
      "Sicherheitskopien" aktiviert ist
    - Platzhalter bei externen Programmen für Ziel mit Volumennamen

6.1.5.0 (02.06.2020)
--------
  - Neu:
    - Kopie einer Liste aller Zeitpläne in die Zwischenablage
  - Änderungen:
    - Dialog für Sicherheitskopien beim Restore
    - Voreinstellungen beim Neuanlegen von Aufträgen für die Wiederherstellung,
      Überprüfung und das Aufräumen werden vom aktuell ausgewählten
      Backup-Auftrag übernommen
    - Verwendung von Platzhaltern beim Erstzen eines zu sichernden Verzeichnsses
  - Fehlerkorrekturen:
    - Nicht zugewiesener Zeiger in PbRestore (64-bit)
    - Statusanzeige beim Laden eines Auftrags oder Durchsuchen eines zu
      sichernden Verzeichnis wurde nach "/autostart" nicht angezeigt
    - Durchsuchen der zu sichernden Verzeichnisse vor dem Backup
    - Abbruch des Durchsuchens der Verzeichnisse beim Öffnen eines Auftrags
    - Statusanzeige beim Löschen von Verzeichnissen
    - Löschen von Verzeichnissen mit Sicherheitskopien älter als eine angegebene
      Anzahl von Wochen beim Backup
    - Zeitfenster beim Restore
    - Herstellen eines vorherigen Zustands beim Restore
    - TbBackup: Überprüfung der Pfade für Ini-Datei

6.1.4.0 (06.05.2020)
--------
  - Änderungen:
    - Neues erkanntes Dateisystem: WinBTRFS
    - Einige Anpassungen an hochauflösende Bildschirme
    - Interne Unit-Referenzen
  - Fehlerkorrekturen:
    - Unerwartetes Schließen des Statusfenster bei best. Konfigurationen für
      ext. Programme
    - Gelegentliche Anzeigeprobleme im Backup-Dialog
    - Abbruch durch den Benutzer bei nicht vorhandener Netzwerkverbindung
    - Ersetzen von ungültigen Zeichen in Dateinamen war nicht Unicode-kompatibel
    - Prüfung auf nicht angegebenes Zielverzeichnis und Überlappung von Quelle Ziel

6.1.3.0 (06.04.2020)
--------
  - Neu:
    - Cleanup: Option zum Löschen so vieler der ältesten Dateien bis ein einstellbares
      Volumen erreicht ist
  - Änderungen:
    - Zusätzliche Hinweise zum Backup-Ziel (Typ, verfügbarer Platz) im Steuerzentrum
    - Auftrags-Kontextmenü mit Funktion zur  Anzeige aller zu sichernden Dateien
      (nur bei diff./inkr.)
    - Anzeige der Hilfe über das Taskbarmenü
    - PbPlaner: Logon-Typ-Abfrage geändert von "interaktiv" auf "batch"
  - Fehlerkorrekturen:
    - Fehlerbehandlung in Restore, Verify und Cleanup
    - Externe Programme: gemeldeter Exitcodes > 255
    - FTP: Unterscheidung der Groß- und Kleinschreibung von Dateinamen
    - Restore: Fehler beim Einstellen der Zeittoleranz beim Vergleich von Zeitstempeln
    - Backup: Alternativname für temp. Datei, falls gleichnamiges Verzeichnis
      existiert
    - Interaktives Abschalten einer nachfolgenden Aktion während des Backups

6.1.2.0 (11.03.2020)
--------
  - Änderungen:
    - Verbesserte Bearbeitung der History-Listen
    - Verbesserungen beim Sichern von Daten euf Wechsellaufwerken und im Netz,
      wenn Unterverzeichnisse ein- oder ausgeschlossen werden
    - Befehlszeilenoption /log erweitert auf /logmode (zur besseren Unterscheidung
      von /logdir)
    - Verzeichnis-Dialog: kein Durchsuchen des Netzwerks bei Windows 10, wenn
      das SMB1-Protokoll nicht aktiviert ist
  - Fehlerkorrekturen:
    - "Speichern unter" bei einem Auftrag, der für einen Zeitplan eingetragen ist
    - Tooltips im Steuerzentrum
    - Name von Desktopverknüpfung für mehrere Backups
    - Ausführung von externen Programmen mit vollständigem Pfad

6.1.1.0 (10.02.2020)
--------
  - Neu:
    - Vom Benutzer konfigurierbares Menü zum Starten externer Dienstprogramme
    - Außerplanmäßiger Start eines automatisches Backup
  - Änderungen:
    - Download des Programmupdates über sichere Verbindung (https)
    - Sicherheitskopie in Stammverzeichnis mit opt. Backup-Datum
    - Restore mit Verwendung von Sicherheitskopien überarbeitet
    - Anwendung von Sicherheitskopien beim Überprüfen und Löschen
    - Export von mehreren Verzeichnissen als neuer Auftrag
    - Aktualisierung auf OpenSSL v1.0.2u v. 21.12.2019
  - Fehlerkorrekturen:
    - Laden der Sprach- und Updateeinstellungen bei alternativer Ini-Datei
    - Restore in Ursprungsverzeichnis auf verschiedenen Laufwerken

6.1.0.1 (15.01.2020)
--------
  - Fehlerkorrekturen:
    - Starten eine Backups unter Windows 8 (Abfrage der Systemversion)

6.1.0.0 (03.01.2020)
--------
  - Neu:
    - Zusätzliche Anhänge beim Mailversand
    - Verarbeitung von PowerShell-Skripten als externe Programme
    - Rückfrage bei "Speichern als" und "Exportieren" bei Benutzung eines
      festem Kennworts
    - Symbolanzeige im Steuerzentrum für aktive ext. Programme
    - Bei Sicherung in Zip-Archive, getrennt nach Stammverzeichnis, wird der
      Archivname bei Stammverzeichnissen aus dem Laufwerksbuchstaben gebildet
      (z.B. LwK.zip)
  - Änderungen:
    - Verbesserte Skript-Verarbeitung bei externen Programmen
    - Dialog für externe Programme überarbeitet
    - PbRestore: Neue Option "Unterverzeichnisse einschließen"
    - PbStarter: Einstellungen für die Aufgabenplanung besser konfigurierbar
    - Zusatzprogramme: Pfad zur Ini-Datei an PB angepasst
  - Fehlerkorrekturen:
    - Sicherung per FTP, wenn der Zugriff auf ein Verzeichnis verweigert wurde
    - PbRestore: Restore bei fehlerhafter Kennwort-Eingabe
    - PbRestore: Restore aus Zip-Archiven
    - FTP-Keep-Alive: Idle = 5 min, Interval = 1 min

6.0.12.0 (03.12.2019)
--------
  - Änderungen:
    - Zusätzliche Tastaturkürzel
    - Strukturelle Code-Verbesserungen in BuMain
    - Auswahl von mehreren Backupaufträgen für die Windows-Aufgabenplanung
    - Verbesserte Anzeige für die nächsten automatischen Backups
    - PbPlaner: Anzeige der Zyklen und Schritte
  - Fehlerkorrekturen:
    - Benutzereingabe bei Option "prompt:silent"
    - Nachholen von automatischen, zeitgesteuerten Backups nach Aufwachen aus
      dem Ruhezustand
    - PbMon: Protokollansicht
    - PbMon: max. Anzahl von zu überwachenden Verzeichnissen = 100
    - PbMon: Stackoverflow bei automatischem Start
    - PbPlaner: Anbindung an die Windows-Aufgabenplanung

6.0.11.0 (06.11.2019)
--------
  - Änderungen:
    - Einstellungen für das Herunterfahren: Bei Einschalten des Sperrbildschirms
      kann der Hybridmodus nicht ausgewählt werden
    - Zusätzliche Befehlszeilenoption: /end:lockdown (Sperren und Herunterfahren)
    - Dialog für Desktop-Verknüpfungen
    - Programmupdate im Kontextmenu der Taskleiste
    - Fortschrittsanzeige beim Löschen von Dateien im Ziel (full,diff,incr)
    - Farbliche Kennzeichnung von aktivierten automatischen Aufträgen
    - Auswahl des Zielverzeichnisses bei FTP-Backup
    - Protokolldatei bei Wiederherstellung mit TbBackup
    - PbMon: Neue Option "Benutzereingabe bei Fehlern anzeigen"
  - Fehlerkorrekturen:
    - Konsolenanzeige bei Ausführung von externen Programmen
    - Auswahl der Wochentage bei automatischen Backups nach Sprachwechsel
    - Fortschrittsanzeige beim Prügen von Zip-Archiven
    - Restore per FTP hängt sich auf
    - Geschwindigkeitsanzeige bei Sicherung in Zip-Archive
    - Ausführen von externen Programmen
    - Sicherheitskopie beim Synchronisieren per FTP in ein Unterverzeichnis

6.0.10.0 (13.10.2019)
--------
  - Neu:
    - In die Liste der Backupaufträge im Steuerzentrum können Kommentarzeilen
      eingefügt werden  (z.B. zum Gruppieren von Aufträgen)
  - Änderungen:
    - PbMon: Optionales Verschieben in den Hintergrund mit Symbol im Infobereich
    - Das Verschieben von Einträgen in der Liste der Backupaufträge im Steuerzentrum
      funktioniert auch, wenn mehrere Einträge ausgewählt sind
    - Damit das Backup beim Herunterfahren auch bei Windows 10 (1903) funktioniert,
      wird die Voreinstellung für "Herunterfahren" automatisch auf dmShutdown
      gestellt (siehe auch Befehlszeilenoption "/end:shutdown").
  - Fehlerkorrekturen:
    - Anlegen einer Desktopverknüpfung zum Starten eines Backups
    - Desktopverknüpfung bei Backup-Aufträgen mit Leerzeichen im Dateinamen
    - Anzeige des Konsolenfensters vor und nach dem Backup
    - Abbruch durch den Benutzer bei hängenden externen Programmen
    - PbStarter: Fehlermeldung im Protokoll nach gescheitertem Backup
    - Aufruf einer buj-Datei bei geöffnetem Bearbeitunsgfenster
    - Starten einer zweiten Programminstanz

6.0.9.0 (20.09.2019)
-------
  - Änderungen:
    - Backup-Aufträge werden nach "Sichern als" in die Liste "Meine Backup-Aufträge"
      aufgenommen
    - Neue Befehlszeilenoption "/parallel", um die angegebenen Backups parallel
      zu starten
    - Dialog zum Anlegen von Desktopverknüpfungen
    - Option zum Löschen in der Protokollanzeige
  - Fehlerkorrekturen:
    - Sicherheitskopien (>=10) beim Backup per FTP
    - Minimierung des Statusfensters
    - PbMon: Manchmal wurde trotz Änderung nicht gesichert

6.0.8.1 (22.08.2019)
-------
  - Fehlerkorrekturen:
    - Verzeichnisauswahl mit nicht existierendem Volumennamen oder Verzeichnispfad
    - Einschalten der VSS-Option beim Backup
    - Anzeige des aktuellen Backups nach Autostart

6.0.8.0 (19.08.2019)
-------
  - Änderungen:
    - Meine Backup-/Restore-/Cleanup-/Verify-Aufträge: gleichzeitige Auswahl
      von mehreren Aufträgen möglich
    - Bei der Backup-Methode "Getrennt nach Stammverzeichnis" dürfen die
      Quellverzeichnisse auch auf verschiedenenen Laufwerken liegen, sofern
      die relevanten Unterverzeichnisse unterschiedliche Namen haben
    - Dialog dür Restore, Cleanup und Verify überarbeitet
    - Optionale alphabetische Sortierung der Auftragslisten
  - Fehlerkorrekturen:
    - Aktualisierung der Anzeige für Dateifilter
    - Synch-Anzeige im Titel wurde bei Neuanlegen eines Auftrags nicht zurück
      gesetzt
    - Platzhalter für Quelle und Ziel
    - Angabe von Dateifiltern
    - Anzeigenachricht, wenn ein Datenträger nicht eingelegt ist
    - Synchronisieren vor dem Backup mit noch leerem Zielverzeichnis
    - Automatische Backups werden nur im Standby-Modus gestartet
    - Dateizählung bei diff./inkr. Backups
    - Löschen von überzähligen Sicherheitskopien beim Backup
    - Cleanup: Löschen von Sicherheitskopien mit Versionszähler

6.0.7.0 (14.07.2019)
-------
  - Änderungen:
    - Vorgaben für Backup-Wizard bei FTP und Zip
    - Automatisches Schließen eines geöffneten Protokollfensters bei Stand-By
    - FTP: Größenangabe im Protokoll bei Kopie von Zip-Archiven
    - max. Verzögerung nach einem Backup beim Abmelden auf 10 min erhöht
    - Auswahl von mehreren Aufträgen für die Windows-Aufgabenplanung
  - Fehlerkorrekturen:
    - Verhalten nach dem ersten Start nach Neuinstallation
    - Bei der Auswahl eines Zielverzeichnisses hängt das Programm sich auf, wenn
      der eingestellte Pfad ein nicht existierendes Stammverzeichnis ist
    - Beim Synchronisieren mit Papierkorb wurden die Dateien in den zu löschenden
      Verzeichnissen nicht gezählt
    - Prüfung auf automatisches Programm-Update erfolgte nur bei Autostart
    - Überprüfung von per FTP kopierten Zip-Archiven

6.0.6.0 (19.06.2019)
-------
  - Änderungen:
    - Kontextmenü im Windows-Infobereich: Dienstprogramme hinzugefügt
    - Auswahl beim Backup: Überspringen / Abbrechen, wenn ein Quelllaufwerk nicht
      verfügbar ist
    - Voreinstellung "dmShutdown" statt "dmPowerOff" für das Backup beim
      Abmelden/Herunterfahren (siehe Desktopverknüpfung)
    - Installation: Aktivieren der Einträge im Windows-Ereignisprotokoll
    - Windows-Ereignisprotokoll: Eintrag bei fehlgeschlagenem Herunterfahren
      enthält Systemfehlermeldung
  - Fehlerkorrekturen:
    - Steuerzentrum: Auswahl nach Löschen eines Auftrags
    - TbBackup: Ermittlung des Standardprofils
    - Deutsche Hilfedatei: Beschädigt durch vermutlichen Compilerfehler im
      Microsoft HTML Help Workshop. Das Umbenennen einer verlinkten Abbildung
      (plus-s.png statt plus.png) behebt das Problem ???)
    - Steuerzentrum: Meldung bei Fehlern bei Start von Restore, Verify und Cleanup
    - Protokoll: Ausgabe bei vollst. Backup im Wechselplan
    - Protokoll: Zeitangaben im ausführlichen Protokoll beim Backup in ein Zip-Archiv
    - PbPlaner: Nachholen eines ausgefallenen vollst. Backups
    - Backup per FTP als Zip-Archiv: Löschen von temp. Dateien

6.0.5.0 (16.05.2019)
-------
  - Änderungen:
    - Zusätzliche Symbolanzeige im Steuerzentrum, wenn ein Auftrag in der
      Windows-Aufgabenplanung eingetragen ist
    - Direkte Auswahl eines Auftrags in der Liste der geplanten Aufgaben, wenn
      dieser dort eingetragen ist
    - Hinweis auf Backup-Modus im Steuerzentrum
    - Verwaltung der Auftragslisten überarbeitet
    - Zusätzliche Fehlermeldungen in TbBackup
    - Aktualisierung auf OpenSSL v1.0.2r v. 02.03.2019
    - Aktualisierung der Übersetzungen für französisch und russisch
  - Fehlerkorrekturen:
    - Splitter zwischen Backup-Einstellungen und Verzeichnisauswahl
    - Fehler bei Befehlszeilen-Option /reset

6.0.4.0 (22.04.2019)
-------
  - Neu:
    - Windows-Aufgabenplanung: Es können mehrere Zeitpläne (Trigger) für jede
      Aufgabe definiert und bearbeitet werden
  - Änderungen:
    - Erkennung von externen USB-Laufwerken verbessert
    - Windows-Aufgabenplanung: Symbol in der Listenanzeige signalisiert, ob
      die letzte Ausführung erfolgreich war oder nicht
    - Backup-Editor: schmale Fenstergröße nicht mehr verfügbar (Option /narrow)
    - Optional kann das Kopieren von Dateiattributen abgeschaltet werden
  - Fehlerkorrekturen:
    - Bei Sicherung von einem USB-Laufwerk in ein Zip-Archiv wurde darin der
      Laufwerksbuchstabe in den Pfadangaben nicht entfernt
    - Restore: evtl. im Dateipfad stehende Laufwerksangaben werden ignoriert
    - PbStarter: Bei parallelen Starts des Programms konnte nur die erste Instanz
      in das Protokoll schreiben
    - Beim Neuanlegen eines Backup-Auftrags mit dem Assistenten wurden die
      Einstellungen nicht richtig übernommen

6.0.3.0 (31.03.2019)
-------
  - Änderungen:
    - Symbol-Anzeige im Steuerzentrum für Komprimierung und/oder Verschlüsselung
    - Updatedialog schließt nach 10s (statt 5 s) selbsttätig
    - Anzeige des Ziel-Ziparchivs im Steuerzentrum
    - Beim Starten von Backups aus dem Steuerzentrum können mehrere Aufträge
      ausgewählt und parallel gestartet werden
    - SMTP: TLS v1.1 und TLS v1.2 zusätzlich zu TLS v1.0 aktiviert
      (TIdSSLIOHandlerSocketOpenSSL.SSLOptions.SSLVersions)
    - FTP: Kein Abbruch des Backups mehr nach Fehlern beim Verzeichniswechsel
    - FTP: Verbesserte Fehlermeldungen
  - Fehlerkorrekturen:
    - FTP: Bei Sicherung einer bereits komprimierten Datei als Zip wurde die
      Vorversion gelöscht, bevor eine optionale Sicherheitskopie angefertigt
      werden konnte.

6.0.2.0 (11.03.2019)
-------
  - Änderungen:
    - Neue Option im Taskscheduler-Assistenten: "Mit höchsten Privilegien ausführen"
    - "Desktop" und "Links" zur Auswahl der Benutzerordner im Wizard hinzugefügt
    - Vorgabe der Standard-Ports bei normalem und impliziten FTPS
    - Individuell einstellbare Log-Dateien auch bei Restore, Cleanup und Verify
    - Zugriff auf Netzwerkressource unter anderem Benutzer
    - FTP: TLS v1.1 und TLS v1.2 zusätzlich zu TLS v1.0 aktiviert
      (TIdSSLIOHandlerSocketOpenSSL.SSLOptions.SSLVersions)
    - FTP: Sende Socket-Befehl SO_KEEPALIVE zur Aufrechterhaltung der Verbindung
      beim Datentransfer
 - Fehlerkorrekturen:
    - Zielverzeichnisauswahl bei Thunderbird-Restore
    - Fortschrittsanzeige bei gesplitteten Zip-Archiven
    - Ausführen einer Aktion (z.B. Herunterfahren) nach Abbruch eines Backups
    - Einstellen der Befehlszeilenoptionen bei TbBackup
    - Mailversand bei Start von TbBackup über die Windows-Aufgabenplanung
    - Hinzufügen eines neuen Zeitplans für einen Backup-Auftrag

6.0.1.4 (13.02.2019)
-------
  - Neu:
    - Neue Befehlszeilenoption "/erractions": Verhindern einer nachfolgenden Aktion,
      z.B. Herunterfahren, beim Auftreten von best. Fehlern
    - Anzeige der zu sichernden Verzeichnisse im Steuerzentrum als Hinweis
  - Änderungen:
    - Verzeichnisauswahl-Dialog: Bei nicht gefundenen Unterverzeichnisses wird die
      nächst höhere verfügbare Verzeichnisebene verwendet
    - Verbesserte Fehlermeldungen beim FTP-Transfer von Zip-Archiven
    - Anzeige der vom Server gemeldeten FTP-Fähigkeiten im ausführlichen Protokoll
    - Löschen von Auftragsdateien
    - Vergleichseinstellungen bei der Sicherung von Dateien (Zeitstempel unf Größe)
    - Synchronisieren von Abzweigungspunkten
    - Sprachen hinzugefügt: Französisch, Spanisch und Russisch
 - Fehlerkorrekturen:
    - Status- und Protokollanzeige bei Restore mit Fehlern
    - Wiederherstellen von verschlüsselten Dateien: Wenn eine solche wegen eines
      falschen Kennworts nicht gelesen werden kann, wird die Zieldatei
      gelöscht anstatt eine Null-Byte-Datei zu hinterlassen
    - Auswahl der zuletzt bearbeiteten Auftragsdatei
    - FTP: Löschen von leeren Verzeichnissen bei Sicherung
    - Backup beim ersten Abmelden an bestimmten Wochentagen
    - Fortschrittsanzeige aus Größe der Dateien

6.0.1.3 (12.01.2019)
-------
  - Änderungen:
    - Detailverbesserungen im Steuerzentrum
    - Größenveränderbares Steuerzentrum
    - Überarbeitung der Anzeigetexte
    - Sprachen hinzugefügt: Italienisch und Portugiesisch
  - Fehlerkorrekturen:
    - Löschen von Backupaufträgen aus der Liste "MyBackups"
    - Lesen eines leeren Zip-Archivs
    - Restore im Modus "Zip-Archive pro Verzeichnis" und leerem Stammverzeichnis

6.0.1.2 (02.01.2019)
-------
  - Änderungen:
    - Neue Gruppe im Startmenü: Personal Backup 6
    - Anzeige des Datums von der Windows-Aufgabenplanung
    - Anzeigeposition des Protokollfensters wird auf Bildschirm eingepasst
    - Erweiterte Fehlermeldungen bei FTP
    - Möglichkeit, die Laufwerkskennung bei einem Auftrag zu ändern
    - Sprache hinzugefügt: Niederländisch
  - Fehlerkorrekturen:
    - TbBackup: Start mit Option /force und ohne /backupdir

6.0.1.1 (18.12.2018)
-------
  - Änderungen:
    - Sprache hinzugefügt: Ungarisch

6.0.1.0 (16.12.2018)
-------
  - Änderungen:
    - Direkte Bearbeitung von Aufträgen aus der Windows-Aufgabenplanung
  - Fehlerkorrekturen:
    - Überprüfung während des Backups per FTP
    - Start des Programm per Doppelklick auf eine Auftragsdatei im Explorer
    - Minimieren des Backup-Dialogs

6.0.0.0 (06.12.2018)
-------
  - Neu:
    - Steuerzentrum für einen schnellen Überblick über alle Backup-Aufträge und
      Zeitpläne
    - Neues Dienstprogramm PbMon für die Echtzeitsicherung von ausgewählten
      Verzeichnissen
  - Fehlerkorrekturen:
    - Anzeige des Symbols im Windows-Infobereich nach Autostart

5.9.4.9 (06.12.2018)
-------
  - Änderungen:
    - Änderung des lokalen Dateiheaders bei verschlüsselten Archiven (Vers-Flag)
    - InfoDialog-Formstyle auf fsStayOnTop
    - TbBackup: Erweiterte Befehlszeilen-Optionen
  - Fehlerkorrekturen:
    - CentralDirSize im EndHeader bei verschlüsselten Archiven

5.9.4.8 (18.11.2018)
-------
  - Fehlerkorrekturen:
    - Synchronisieren im Modus "Ausgewählte Dateien, andere behalten" (siehe auch
      Korrektur v. 7.11.)

5.9.4.7 (07.11.2018)
-------
  - Änderungen:
    - Anzeige der Startzeit beim Hinweis auf fehlgeschlagene Backups
  - Fehlerkorrekturen:
    - Zeitstempel für Zielverzeichnis bei der Methode "dmOneDir"
    - Verzeichnisanzeige statt Typenliste bei Wechsel des Quellverzeichnisses
    - Anzeige von Mailversandfehlern bei iaPrompt und iaErrorPrompt
    - Synchronisieren im Modus "Ausgewählte Dateien, andere löschen", wenn nur
      markierte Unterverzeichnisse gesichert werden

5.9.4.6 (09.10.2018)
-------
  - Änderungen:
    - Zurücksetzen des Programms (Position, Größe und Auftrag) über das Kontextmenü
      des Symbols im Windows-Infobereich (wie Befehlszeilenoption /reset)
  - Fehlerkorrekturen:
    - Einstellungen für Protokolldatei
    - Bei Sicherung als einzelne Zip-Dateien wurden eine vorhande unkompr. Version
      nicht gelöscht
    - Abbruch eines FTP-Transfers
    - PbStarter und TbBackup: Registry-Schlüssel für PersBackup.exe auf 64-Bit-Systemen
    - Weniger als 16 automatische Aufträge in der ini-Datei verursachten eine
      Überschreitung des Listenindex
    - Darstellungsprobleme bei hochauflösenden Bildschirmen
    - PbStarter: Dialoge für Aufgabenplanung und Desktop-Verknüpfung

5.9.4.5 (07.09.2018)
-------
  - Änderungen:
    - Bei einem Autostart schließt sich der Updatedialog nach 5 s selbsttätig
    - Verbesserungen im Backup-Protokoll
    - Wenn ein Benutzer als Admin angemeldet ist und automatische Aufträge mit
      VSS konfiguriert hat, wird im Autostart-Link das Flag SLDF_RUNAS_USER gesetzt
  - Fehlerkorrekturen:
    - Vom Benutzer eingestellte Größe des Unterverzeichnis-Fensters wurde nicht
      wieder hergestellt
    - Eingabe von Dateigrößen
    - Filter-Einstellung für Dateien älter/nicht älter als n Tage

5.9.4.4 (08.08.2018)
-------
  - Änderungen:
    - PbRestore: Verbesserungen beim Restore von Wechselplänen
    - Prüfung des Downloads für das Programmupdate optional mit SHA256
    - PbPlaner: Änderungen für die Ausführung über die Windows-Aufgabeplanung
      unter einem anderen Benutzerkonto
    - neues TLS-Zertifikat
    - Windows-Aufgabenplanung: Hinweis auf ungültige Namen für Aufgaben
  - Fehlerkorrekturen:
    - Ausschluss von Verzeichnissen, die mit einem Leerzeichen beginnen
    - Auswahl von Unterverzeichnissen über Filter

5.9.4.3 (11.07.2018)
-------
  - Änderungen:
    - Optionale nachfolgende Aktion auch bei Restore, Cleanup und Verify
    - Geänderter Kennwortdialog
    - Neue Optionen für Statusanzeige im Assistenten für die Windows-Aufgabenplanung
  - Fehlerkorrekturen:
    - Synchronisieren per FTP: Anzeige der Verzeichnisse im Protokoll
    - Indy10 - IdFTPListParseUnix: Fehler bei Dateínamen mit chinesischen
      Schriftzeichen für den Tag, aber nicht für den Monat
    - Backup in Zip-Archive per FTP: Wiederverbindung optimiert
    - Löschen von alten Sicherheitskopien
    - Restore aus Zip-Archiven: Erkennen von ungültigen Zeitstempeln

5.9.4.2 (17.06.2018)
-------
  - Änderungen:
    - Ein Laufwerksbuchstabe (z.B. E:\) kann durch den Volume-GUID (\\?\Volume{...}\)
      ersetzt werden
    - Aktualisierung auf OpenSSL v1.0.2o v. 27.03.2018
  - Fehlerkorrekturen:
    - Ausgrauen von nicht mehr verfügbaren Verzeichnissen
    - Installation: Behandlung von leeren .zip-Registry-Schlüsseln
    - Wechselpläne: tägliche Zyklen ohne voll+diff./inkr.

5.9.4.1 (10.05.2018)
-------
  - Änderungen:
    - PbRestore: optionales Dateifilter beim Restore von Verzeichnissen
  - Fehlerkorrekturen:
    - Anlegen von neuen Aufgaben für die Windows-Aufgabenplanung
    - Triggeranzeige im Assistenten für die Windows-Aufgabenplanung
    - Synchronisieren: Auswahl des Papierkorbs
    - Fokus auf die Liste der zu sichernden Verzeichnisse

5.9.4.0 (30.04.2018)
-------
  - Neu:
    - Funktion im Hauptmenü zum Löschen von Aufträgen
    - Optionale Verschlüsselung der Dateinanem in Zip-Archiven (nicht kompatibel
      zum Standard-Zipformat)
    - Erweitertes PbRestore, um auch Zip-Archive mit verschlüsselten Dateinamen
      zu entpacken
  - Änderungen:
    - Optionales Löschen von leeren Verzeichnissen beim Aufräumen per FTP
    - Verbesserte Ausgaben im Protokoll
    - Unter einem Abzweigungspunkt eingebundene Verzeichnisse, die direkt für das
      Backup ausgewählt werden, werden auch ohne Option "Dateien von Abzweigungspunkten .."
      gesichert
    - Symbol zum Explorer-Kontextmenü "Ordner sichern" hinzugefügt
  - Fehlerkorrekturen:
    - Ausführen des Standardauftrags bei Sicherung eines ausgewählten Verzeichnisses
    - Zweiwöchiger Zyklus mit Wechselplan
    - Ersetzen von zu sichernden Verzeichnissen, Programm konnte sich aufhängen
    - TbBackup: Verschieben der Maildaten
    - Entschlüsseln von enc-Dateien im Format vor 5.8.5.0

5.9.3.0 (12.03.2018)
-------
  - Neu:
    - Kopieren von alternativen Datenströmen
    - Optionales Löschen von leeren Verzeichnissen nach dem Backup per FTP
  - Änderungen:
    - Verbesserung beim Aufräumen: Löschen von leeren Verzeichnissen
  - Fehlerkorrekturen:
    - Taskplaner-Assistent: Anzeige der ausgewählten Wochentage bei wöchentlichem
      Start (Montag wurde immer eingeschaltet)
    - Setzen des Dateiattributs nach Kopieren von Dokumenten-Zusammenfassungen
    - Darstellungsfehler bei Verschiebung des vertikalen Splitters
    - Wechselpläne: Backups bei mehrfachen Abmeldungen am gleichen Tag
    - Wechselpläne: Backups 1 x wöchentlich an einem best. Tag
    - Spaltenüberschrift bei Dateitypen: Anzeige der Sortierrichtung fehlte

5.9.2.1 (14.02.2018)
-------
  - Neu:
    - Im Zielverzeichnis können über einen neuen Platzhalter (%evar(...)%) beliebige
      Windows-Umgebungsvariablen eingefügt werden
    - Neue Platzhalter für das Zielverzeichnis: %LDOW% (langer Name des Wochentags)
      und %LMONTH% (Monatsname)
  - Änderungen:
    - Bei automatischen Backups täglich zu einer Zeit kann das Nachholen von
      ausgefallenen Backups ausgeschaltet werden
  - Fehlerkorrekturen:
    - Verzeichnisauswahl per sicherer FTP-Verbindung beim Restore
    - Zugriffsverletzung bei Sicherung in Zip-Archiv nach Ende-Statusmeldung,
      wenn die Quelle das Stammverzeichnis eines Laufwerks und die Option
      "leere Verz. löschen" nicht ausgewählt ist (Ursache: Fehler in
      ExtFileTools:IsOEMStr aufgerufen von AddDir mit leerem String)
    - Wenn das Statusfenster immer im Vordergrund angezeigt werden soll, wird
      anderen laufenden Anwendungen nicht mehr der Fokus entzogen

5.9.2.0 (01.02.2018)
-------
  - Neu:
    - Neue Befehlszeilenoption "/stay" in Verbindung mit "/auto": Programm läuft
      im Hintergrund weiter, auch wenn keine Backups am aktuellen Tag anstehen
    - Sprache: Polnisch
  - Änderungen:
    - Kompressionseinstellung für Dateien ohne Erweiterung
    - Anzeige von gespeicherten Volumen-Namen bei den Quellverzeichnissen
    - Einstellbarer Font für die Protokollanzeige
    - Ini-Dateien von PbRestore, PbStarter und TbBackup auf Unicode umgestellt
    - Angabe des Exitcodes von externen Programmen in der Mail
  - Fehlerkorrekturen:
    - Ersetzen von nicht mehr vorhandenen Verzeichnissen
    - Taskplaner-Assistent: Anzeige und Auswahl, Wochentage
    - Layouts der Anzeigefenster: Platz für längere Texte, Anchors
    - Verify-Dialog: Umschalten Lokal - Ftp
    - TbBackup: Synchronisieren mit Papierkorb konnte nicht eingeschaltet werden
    - Wechselpläne im 2-Wochenzyklus

5.9.1.7 (05.01.2018)
-------
  - Fehlerkorrekturen:
    - Bearbeiten von Wechselplänen im 1-/2-Wochenzyklus
    - Übernahme von alten Aufträgen ohne Option "Zip-Komprimierung und Einzeldateien"
    - Prüfung auf Verfügbarkeit des Zieles
    - Optionales Sichern von leeren Stammverzeichnissen in Zip-Archive
    - PbStarter: Passworteingabe

5.9.1.6 (31.12.2017)
-------
  - Fehlerkorrekturen:
    - Externe Programme: Aufruf von vb-Skripts
    - Restore: Bei Wiederherstellung von verschlüsselten einzelnen Zip-Dateien
      mit festem Kennwort wurde die erste Datei nicht richtig verarbeitet
    - Initialisieren des Task-Scheduler-Interfaces

5.9.1.5 (28.12.2017)
-------
  - Fehlerkorrekturen:
    - Externe Programme: Aufruf von Batch-Dateien mit Leerzeichen im Pfad
    - Abzweigungspunkte bei Verzeichnisfiltern
    - Taskplaner: Auswahl von Wochenplänen ohne Montag und Monatsplänen ohne Januar
    - Bei UNC-Quellverzeichnissen wurde das Ziel falsch ermittelt (2)

5.9.1.4 (23.12.2017)
-------
  - Änderungen:
    - Aktualisierung der Aufgabenplaner-Anzeige bei Tippen von F5
  - Fehlerkorrekturen:
    - Bei UNC-Quellverzeichnissen wurde das Ziel falsch ermittelt
    - Probleme beim Starten des Programms unter Windows Vista und 7 (Fehler
      im "connect"-Aufruf von ITaskService) behoben
    - Ausführung von externen Programmen mit cmd.exe

5.9.1.3 (19.12.2017)
-------
  - Fehlerkorrekturen:
    - Max. Laufzeit bei geplanten Aufgaben wurde nicht übernommen
    - Sicherung mit VSS wurde nicht ausgeführt
    - TbBackup: Statusfenster in Testversand für Mail verursachte Fehler
    - Initialisierung des Task-Schedulers unter Windows XP und Vista

5.9.1.1 (16.12.2017)
-------
  - Änderungen:
    - Dateien, die nach der VS-Kopie erstellt wurden, werden vom Backup ausgeschlossen,
      da sonst ein Fehler generiert wird
    - Neu hingezufügte zu sichernde Verzeichnisse werden nicht mehr am Ende der
      Liste angehängt, sondern an der Stelle des ausgewählten Verzeichnisses
      eingefügt
  - Fehlerkorrekturen:
    - Der Assistent für die Windows-Aufgabenplanung zeigte keine geplanten Aufgaben
      an, wenn der Pfad zum Programm Leerzeichen enthält

5.9.1.0 (10.12.2017)
-------
  - Neu:
    - Neue FTP-Option für Zeitoffset bei MDMT/MFMT
    - Direkte Einstellung für automatisches Backup über die Windows-Aufgabenplanung
      in TbBackup
  - Änderungen:
    - Erweiterte Funktionen im Auswahldialog für geplante Aufgaben
  - Fehlerkorrekturen:
    - Umbenennen von Zip-Archiven > 4 GiB
    - Fortschrittsanzeige bei gesplitteten Zip-Archiven
    - Anbindung des Windows-Taskplaners
    - Beim Zurücksetzen des Archiv-Attributes auf der Quellseite wurde unter
      bestimmten Bedingungen ein falscher Fehler gemeldet

5.9.0.8 (23.11.2017)
-------
  - Neu:
    - Neu im Kontextmenü für zu sichernde Verzeichnisse: Ersetzen von
      ausgewählten Verzeichnissen, die nicht verfügbar sind
    - Neue Option beim Restore: Nur Dateien eines bestimmten Datums
    - Neues Interface für Windows-Taskscheduler 2.0 (verwendbar ab Vista) mit
      erweiterten Einstellmöglichkeiten
    - Assistent für Aufgabenplanung auch in PbStarter
    - Neue FTP-Option für IPv6-Protokoll
    - Neue FTP-Option zum Senden von OPTS UTF8 ON
    - Neue Befehlszeilenoption "/elevate" fordert einen Start "Als Adminstrator" an
  - Änderungen:
    - Verbesserungen im Assistenten für die Erstellung von Backupaufträgen
    - Statusanzeige beim Laden eines Auftrags, wenn Verzeichnisfilter angewendet
      werden
    - Bei der Sicherung von Verzeichnissen auf externen Laufwerken mit der Methode
      "getrennt für Laufwerke" werden die Namen für die Unterverzeichnisse im Ziel
      aus dem Volumenname (z.B. G:\Backup\Daten-1\..) gebildet und nicht aus der
      Laufwerkskennung (z.B. G:\Backup\LwK\..)
    - Größenangaben in Bytes auf Präfixe nach IEEE 1541 (KiB,MiB,GiB) umgestellt
    - Bei Sicherung an beim An- oder Abmelden an best. Wochentagen kann das
      Nachholen von verpassten Tagen abgeschaltet werden.
    - Automatische Backups mit Wechselplänen können sofort oder mit dem nächsten
      vollen Backup gestartet werden
  - Fehlerkorrekturen:
    - Restore von Zeitstempeln bei gz/gze-Dateien mit PbRestore
    - Zip-Kompression wurde bei alten Aufträgen falsch eingestellt
    - Abfrage bei Sicherung von nicht angeschlossenen Wechsellaufwerken
    - Log-Verzeichnispfad mit Leerzeichen in PbStarter
    - Korrektur bei Splitgrößen >= 2GiB von Zip-Archiven
    - Mehrfachversuch beim Umbenennen von Zip-Archiven (siehe 5.7.4.0)
    - Korrektur bei fehlgeschlagenen zeitgesteuerten automatischen Aufträgen

5.9.0.0 (01.09.2017)
-------
  - Neu:
    - Backup in gesplittete Zip-Archive von einstellbarer Größe
    - Automatisches Backup zu einer vorgebenen Zeit an ausgewählten Wochentagen
    - Einstellbare Vorgabe für Komprimierung bei neuen Aufträgen
    - Optionen bei externen Programmen für eine Aufforderung zum Ausführen als
      Administrator und Anzeige der Konsolenausgabe
    - Neue Zeitauswahl-Option für Dateien: nur sichern, wenn der Zeitstempel
      neuer ist als der letzte Backup-Zeitpunkt des Auftrags (s.u. unter /timseslot)
    - Neue Befehlszeilenoption "/portable" erzeugt automatisch die Umgebung
      für den Start des Programms von einem USB-Stick, ohne Spuren auf dem PC
      zu hinterlassen:
      "/ini:%progpath%\Persbackup.ini /taskdir:%progpath%\tasks /logdir:%progpath%\logs"
    - Geänderte Befehlszeilenoption "/timeslot:<option>" (ersetzt "/gap:..")
    - Neue Befehlszeilenoption "/timeslot:update" sichert alle Dateien mit einem
      Zeitstempel neuer als das letzte Backup des geladenen Auftrags
    - Neuer Datei-Header für nicht komprimierte verschlüsselte Dateien mit Zeitstempel
      (beim Entschlüsseln kompatibel zu Vorversionen)
    - Restore von nicht komprimierten verschlüsselten Dateien (.enc) stellt Zeitstempel
      wieder her (z.B. beim Backup auf FTP-Servern ohne MFMT-Unterstützung)
  - Änderungen:
    - Ungültige Zeichen in Dateinamen in den Headern von Zip-Archiven (Code page 437)
      werden in das Zeichen $D7 = × umgewandelt (früher $20 = space)
    - Einstellung für die Laufwerkskennung in die Programmeinstellungen verschoben
    - Ausführliche Fehlermeldungen auch im langen Protokoll
    - Installation: Keine Nachfrage bei Abbruch wegen Unterschied 32/64
  - Fehlerkorrekturen:
    - "VssBackupDoc.xml" wird von der Synchronisation ausgenommen
    - FTP-Verbindungen mit speziellen Port-Vorgaben
    - Testversand für Mail in TbBackup
    - Verify von verschlüsselten zip-Dateien per FTP
    - PbRestore: Überschreiben von vorhandenen Dateien beim Restore

5.8.10.6 (22.08.2017)
--------
  - Änderungen:
    - Durch Klick auf die Statusanzeige für das Protokoll oben rechts wird
      direkt das zugehörige Optionsfenster geöffnet
    - Aktualisierung auf Indy 10.6.2.5432 (Juli 2017)
  - Fehlerkorrekturen:
    - Keine Kopie von VssBackupDoc.xml bei fehlgeschlagenem VSS
    - Anzeige der Unterverzeichnisse des ersten Eintrags nach dem Laden eines
      Auftrags
    - Auswahl eines Unterverzeichnisses beim Restore per FTP
    - Restore von verschlüsselten zip-Dateien per FTP
    
5.8.10.5 (04.08.2017)
--------
  - Änderungen:
    - Optimierung des FTP-Transfers
  - Fehlerkorrekturen:
    - FTP-Transfer: Verbindungsabbrüche und Protokollausgabe
    - Synchronisieren mit Sicherheitskopien per FTP
    - Anzeige der Unterverzeichnisse nach dem Laden eines Auftrags

5.8.10.3 (30.07.2017)
--------
  - Fehlerkorrekturen:
    - Pfad für Cfg-Datei wurde falsch gesetzt
    - Protokollausgabe (ausführlich) bei Verwendung des Archivbits
    - Test des Mailversands in TbBackup

5.8.10.2 (28.07.2017)
--------
  - Änderungen:
    - Verbesserungen im FTP-Transfer: Wiederherstellung der Verbindung nach Fehlern
    - Protokollausgabe bei externen Programmen
  - Fehlerkorrekturen:
    - Speichern der Auswahl von zu sichernden Verzeichnissen
    - Eine benutzerdefierte Größeneinstellung für das Protokollfenster wurde
      nicht gespeichert
    - Dateizählung bei Verschieben aller Typen von links nach rechts oder umgekehrt

5.8.10.1 (24.07.2017)
--------
  - Änderungen:
    - Nach FTP-Timeout wird versucht, die Verbindung wiederherzustellen
  - Fehlerkorrekturen:
    - Extraktion von Dateien in Unterverzeichnissen von Zip-Archiven (PbRestore)
    - Verwendung von Platzhaltern (TbBackup)
    - Einlesen von "profiles.ini" im UTF8-Format (TbBackup)
    - Auswahl eines zu sichernden Verzeichnis in der Liste wieder zurück auf OnClick
      (siehe 5.8.10.0)
    - Überprüfen und Löschen mit Synchronisation von Zip-Dateien bei Backup-
      Komprimierung im gz-Format

5.8.10.0 (09.07.2017)
--------
  - Änderungen:
    - Auswahl eines zu sichernden Verzeichnis in der Liste mit OnMouseDown
      statt OnClick
    - Neues Dateisystem: ReFS
    - Fehlermeldung im Protokoll bei Exception während der VSS-Erstellung
    - Prüfung auf bestehende FTP-Verbindung geändert
  - Fehlerkorrekturen:
    - Nach einer VSS-Erstellung wurde das geänderte Quellverzeichnis nicht
      zurück gesetzt
    - Korrektur in VSS:DiscoverDirectlyExcludedComponents
    - Korrekturen beim FTP-Verzeichniswechsel
    - Bei einem leeren Auftrag und automatischen Aufträgen, die an bestimmten
      Wochentagen ausgeführt werden sollten, kam nach dem Start die Fehlermeldung:
      "Ein deaktiviertes oder unsichtbares Fenster kann nicht den Fokus erhalten"

5.8.9.5 (09.06.2017)
-------
  - Änderungen:
    - Verbesserte Bestätigungs-Anzeige und ausführlichere Protokolleinträge beim
      Löschen von Stammverzeichnissen
    - Einstellbare Wartezeit vor Starten der Überprüfung von Dateien (siehe auch 5.8.6.3)
    - Direktes Bearbeiten eines Eintrags der Verzeichnisfilter durch Doppelklick
    - Bei Backupfehlern wird die versendete Mail auf hohe Priorität gesetzt
    - VSS-Ausgabe: mit Lokalisierung für Bildschirmmeldungen, ohne Lokalisierung
      für VSS-Protokoll
    - Verbesserte Erkennung von Wechsellaufwerken
    - Standardkompression bei neuen Aufträgen auf Zip umgestellt
    - Neue Option für ext. Programme nach dem Backup: Kein Start, wenn keine
      Dateien gesichert wurden
    - Bei der Befehlszeilen-Option "/ini:.." kann auch ein Verzeichnis anstelle
      einer Datei angegeben werden. Die Ini- und Cfg-Datei werden dann in diesem
      Verzeichnis als Persbackup.ini und Persbackup.cfg abgeleg.
    - PbStarter: Neue Befehlszeilenoption /ini:...
  - Fehlerkorrekturen:
    - Suche von Fehlern im ausführlichen Protokoll
    - Anzeige der Zeitdauer (>= 24 Std.) im Protokoll
    - Protokollname mit Platzhalter in PbStarter
    - Mögliche Exception in VssUtils bei DisplayNameForVolume ausgeschlossen
    - Schreiben des "VSS Backup Components Document"
    - Optionsauswahl für Abzweigungspunkte

5.8.9.3 (14.05.2017)
-------
  - Änderungen:
    - Neue Platzhalter für den Start von externen Programmen (%taskdir% und
      %progpath%)
    - Optimierung der FTP-Sicherung
    - Auswerung des Platzhalters für Zielverzeichnis bei externen Programmen geändert
  - Fehlerkorrekturen:
    - Korrektur beim Synchronisieren von Sicherheitskopien
    - Fehler beim Löschen von schreibgeschützten Verzeichnissen behoben, wenn die
      Option "Leere Verzeichnisse behalten" nicht ausgewählt ist

5.8.9.2 (01.05.2017)
-------
  - Fehlerkorrekturen:
    - Korrektur bei FTP und Sicherheitskopien mit Zeitstempel
    - Korrektur in der FTP-Protokollanzeige: USER und PASS werden nicht im
      Klartext angezeigt
    - Option /silent im automatischen Update abgeschaltet, da der Dialog damit nicht
      angezeigt wurde.

5.8.9.1 (29.04.2017)
-------
  - Fehlerkorrekturen:
    - Abfragen bei nicht erreichbarem Ziel und Status im Vordergrund korrigiert
    - Vergleich von Dateien mit Leerzeichen im Pfad vor dem Restore behoben
    - Korrektur beim Überprüfen von Dateien gesichert in Zip-Dateien pro
      Unterverzeichnis
    - Korrektur bei FTP und Sicherheitskopien mit Vorversionen
    - Korrektur beim Synchronisieren von Sicherheitskopien per FTP
    - Korrektur beim Erzwingen von UTF-8 bei FTP

5.8.9.0 (18.04.2017)
-------
  - Neu:
    - Neue Befehlszeilenoptionen /status:(normal,ontop,behind) für das
      Statusfenster (Backupfortschritt und -ergebnis)
    - Neu im Kontextmenü für zu sichernde Verzeichnisse: Entfernen von allen
      ausgewählten Verzeichnissen, die nicht verfügbar sind
  - Änderungen:
    - Verhalten des Statusfensters gegenüber anderen Anwendungen
    - Anzeigeposition des Statusfensters, wenn mehrere Backups über PbStarter
      parallel gestartet werden
    - Anzeige von im Taskplaner eingetragenen Wechselplänen bei PbPlaner
    - Übersetzungen aktualisiert
  - Fehlerkorrekturen:
    - Wartezeit bei externen Programmen wurde nicht in ms umgerechnet
    - Mehrere Korrekturen in PbPlaner
    - Korrektur beim Überprüfen von komprimierten und verschlüsselten Dateien

5.8.8.0 (28.03.2017)
-------
  - Neu:
    - In den Befehlszeilen für externe Programme vor und nach dem Backup sind
      neben den internen Platzhaltern auch Windows-Umgebungsvariablen erlaubt
    - PbStarter kann optional mehrere Backups parallel starten
  - Änderungen:
    - Verzeichnisfilter können auch für mehrere Ebenen verwendet werden.
    - Überarbeitete niederländische Übersetzung
    - Format-Funktion durch Funktion ohne Exception ersetzt
    - Das akustische Signal beim Start des Programms und am Ende des Backups
      ist abschaltbar
    - Statusfenster beim Durchsuchen der Verzeichnisse vor dem Backup bleibt
      bei Befehlszeilenoption /quiet unsichtbar
    - Zu sichernde Verzeichnisse, die vorübergehend nicht verfügbar sind, werden
      deaktiviert (ausgegraut)
  - Fehlerkorrekturen:
    - Protokollausgabe beim Aufräumen von Stammverzeichnissen korrigiert
    - Korrektur bei der Vordergrund-Anzeige des Statusfensters
    - Fehlererkennung korrigiert, wenn eine Zieldatei nicht überschrieben werden
      kann
    - Korrektur bei Wechselplänen und automatischen Backups an bestimmten
      Wochentagen beim An- oder Abmelden
    - Korrektur beim Durchsuchen von nicht ausgewählten Verzeichnisse vor dem
      Backup, wenn die Option "Verzeichnisse durchsuchen" eingeschaltet ist

5.8.7.3 (10.03.2017)
-------
  - Änderungen:
    - Beim Mailversand eines Protokolls wird immer der gleich Modus wie für das
      gespeicherte Protokoll verwendet.
    - Kleine Änderungen im Mailtext
    - Aktualisierung auf OpenSSL v1.0.2k
  - Fehlerkorrekturen:
    - Protokollanzeige korrigiert: nur nicht modal, wenn Hauptfenster angezeigt
      wird (siehe auch 5.8.7.1)
    - Korrektur beim Anlegen von Verzeichnissen per FTP (Anpassung für ProFTPD)

5.8.7.2 (06.03.2017)
-------
  - Neu:
    - Neue Befehlszeilenoption /tempdir:<dir> für ein alternatives temp. Verzeichnis
  - Änderungen:
    - Änderungen im Einstelldialog für Verzeichnisse
    - Bei Start eines Backups von Hand oder über die Aufgabenplanung und Änderung
      der nachfolgenden Aktion von "kein" auf eine andere wird das Statusfenster
      nach der eingestellten Wartezeit automatisch geschlossen
    - Beim Quellverzeichnis wird nachfolgender Backslash grundsätzlich entfernt,
      bevor das Verzeichnis der Liste hinzugefügt wird.
    - Änderung bei der Ermittlung des FTP-Stammverzeichnisses (wegen ProFTPD)
  - Fehlerkorrekturen:
    - Externe Programme wurden nicht mehr ausgeführt
    - Korrekturen bei dem Backup nachfolgenden Aktionen, wie Herunterfahren oder
      Stand-by im Quiet-Modus

5.8.7.1 (27.02.2017)
-------
  - Änderungen:
    - Geänderte Protokollanzeige (kein modales Fenster - siehe auch 5.8.7.3)
  - Fehlerkorrekturen:
    - Fehler bei der Anzeige der Gesamtzahl der Dateien des Backups korrigiert
      (siehe auch Korrektur in 5.8.6.3)
    - Fehler beim Starten eines automatischen Auftrags ohne Wechselplan über
      das Kontextmenü im Infobereich behoben (siehe Änderungen in 5.8.7.0)
    - Fehler in der Protokollausgabe von gelöschten Verzeichnissen beim
      Synchronisieren behoben
    - Korrekturen bei der Auswertung von Pfadangaben aus der Befehlszeile
    - Fehler bei an Wochentagen ausgerichteten Wechselplänen behoben

5.8.7.0 (17.02.2017)
-------
  - Neu:
    - Über das Kontextmenü im Infobereich können alle für eine automatische Sicherung
      beim Abmelden eingetragenen Backups mit anschließendem Stand-by (anstelle
      von Abmelden) gestartet werden
    - Optionale Erzeugung einer Desktopverknüpfung zum Starten eines automatischen
      Auftrags (einschl. evtl. Wechselplan)
    - Sprache: Russisch
  - Änderungen:
    - Beim Prüfen auf den Namen des Datenträgers werden nachfolgende Leerzeichen
      ignoriert
    - Zeitanzeige beim ausführlichen Protokoll eingefügt
  - Fehlerkorrekturen:
    - Fehler beim Berechnen der Schritte für einen Wechselplan, wenn das Backup
      beim Abmelden erst nach Mitternacht erfolgt, behoben
    - Fehler in TbBackup 1.4 behoben, wenn das Auftragsverzeichnis nicht existiert
    - Fehler beim Starten eines automatischen Backups >=10 über das Kontextmenü
      im Infobereich behoben
    - Fehler bei Änderung einer voreingestellten Aktion (z.B. Herunterfahren)
      während des Backups behoben

5.8.6.3 (03.02.2017)
-------
  - Änderungen:
    - Einstellbare max. Wartezeit bei Netzwerkverbindung, Datei- und
      Verzeichnisoperationen
    - Ausgewählte Unterverzeichnisse, die nicht mehr existieren, werden aus dem
      Auftrag entfernt
    - Beim Öffnen eines Auftrags, der als automatischer Auftrag eingetragen ist,
      werden dessen Einstellungen sofort angezeigt
    - Geänderte Hinweise beim nächsten Start, wenn es Fehler in automatischen
      Aufträgen gab
    - Geänderte Überschrift im Protokoll-Ausdruck
  - Fehlerkorrekturen:
    - Fehler bei der Erkennung von Abzweigungspunkten behoben, wenn nur ausgewählte
      Unterverzeichnisse gesichert werden sollen
    - Bei Sicherungen mit Archivbit wurde die Dateianzahl nicht richtig ermittelt
      (falsche Fortschrittsanzeige)
    - Wenn beim Synchronisieren ein Fehler auftrat, wurden nachfolgende Verzeichnisse
      nicht mehr verarbeitet
    - Fehler beim Synchronieren mit Sicherheitskopien behoben (Löschen von
      nicht leeren Verzeichnissen)
    - Fehler beim Überprüfen von verschlüsselten Dateien behoben

5.8.6.2 (17.01.2017)
-------
  - Änderungen:
    - Verbesserte Protokolleinträge beim Löschen von Dateien
    - Aktualisierung auf OpenSSL v1.0.2j
    - Mailversand: Suche nach SSL-Bibliotheken geändert
    - Dialog für Windows-Aufgabenplanung geändert
  - Fehlerkorrekturen:
    - Verarbeitung von Abzweigungspunkten bei Restore, etc.
    - Korrektur der Uhrzeiteinstellung in der Dateiauswahl
    - Keine Erstellung von pblink-Dateien bei Sicherung in Zip

5.8.6.1 (07.01.2017)
-------
  - Neu:
    - Sprache: Portugiesisch
  - Änderungen:
    - Fortschrittsanzeige im Windows-Infobereich erweitert
  - Fehlerkorrekturen:
    - Fehlerausgabe im ausführlichen Protokoll beim Sichern in Zip-Dateien
      war unvollständig
    - Fehler beim Löschen von Verzeichnissen (>260 Zeichen) behoben
    - Synchronisieren: Fehler bei der Anzeige der Anzahl von gelöschten Dateien
      behoben, wenn ganze Unterverzeichnisse betroffen waren
    - Fehler bei der Erkennung von rekursiven Abzweigungspunkten behoben
    - Fehler in TbBackup behoben: Auftrag wurde falsch konfiguriert
    - Fehler bei der Auswertung der Befehlszeilenoption /mode:full behoben

5.8.5.5 (18.12.2016)
-------
  - Änderungen:
    - Versionsangaben in Auftragsdateien immer von Personal-Backup-Hauptprogramm
    - Möglichkeit im Assistenten auch die Zip-Komprimierung von Einzeldateien
      auszuwählen
    - In TbBackup werden optional auch die Kalenderdaten gesichert
  - Fehlerkorrekturen:
    - Korrektur beim Restore von Sicherheitskopien aus einem getrennten Verzeichnis
    - Beim Sichern in Zip-Dateien wurden Fehler nicht im Protokoll angezeigt

5.8.5.4 (06.12.2016)
-------
  - Änderungen:
    - Zusätzliche Optionen in TbBackup für das Schließen des Statusfensters
    - TbBackup unterstützt für das Ziel auch Volumennamen
    - Neue Option für Abzweigungspunkte beim Backup (ignorieren)
    - Fortschrittsanzeige im Windowsinfobereich als Tipp am Symbol
  - Fehlerkorrekturen:
    - Bei neuen Aufträgen, die über die Befehlszeile gestartet werden, wird
      vor dem Backup für eine korrekte Fortschrittsanzeige die Anzahl der zu
      sichernden Dateien ermittelt
    - Korrekturen beim Auswerten von Abzweigungspunkten: CreateFile-Aufruf in
      GetFileNameFromSymLink und Erkennung von Rekursionen

5.8.5.3 (25.11.2016)
-------
  - Neu:
    - Möglichkeit, auch für Restore-, Cleanup- und Verify-Aufträge
      Desktopverknüpfungen anzulegen
    - Verbesserte Deinstallation erlaubt auch das Löschen von Aufträgen und
      Protokollen
  - Änderungen:
    - Beim Start des Programms wird das Privileg "SeBackupPrivilege" gesetzt.
    - Neue Option beim Aufräumen: Leere Verzeichnisse behalten
  - Fehlerkorrekturen:
    - Wenn die Option "Sperrbildschirm während des Backups beim Herunterfahren"
      eingeschaltet ist, wurde das Herunterfahrenm nicht ausgeführt (siehe
      auch Option /end:shutdown).

5.8.5.2 (12.11.2016)
-------
  - Fehlerkorrekturen:
    - Format-Fehler behoben
    - TbBackup liest "profiles.ini" auch wenn nicht UTF-8
    - Korrektur beim Einlesen des Profils in TbBackup

5.8.5.0 (10.11.2016)
-------
  - Neu:
    - Neues Hilfsprogramm zum einfachen Sichern und Wiederherstellen von
      Thunderbird-Daten
    - Neue Funktion: Sichern von ausgewählten Einzeldateien
  - Änderungen:
    - Einstellbare Verschlüsselungstiefe auch für enc und gze, daher geändertes
      Datei-Format, die Wiederherstellung von mit den Vorversionen erzeugten
      verschlüsselten Dateien ist weiter möglich
    - Verbesserungen im Assistenten für Erstellung von Backupaufträgen
    - Befehlszeilenoption /end:shutdown fährt den Computer herunter, auch wenn
      kein interativer Benutzer angemeldet ist (im Unterschied zu /end:poweroff)
    - Neue Optionen beim Dialog für eine Desktop-Verknüpfung: Herunterfahren und
      Hybrid aus
    - Der Benutzer kann einstellen, ob die Statusanzeige immer im Vordergrund
      oder nicht erfolgen soll
  - Fehlerkorrekturen:
    - Fehler beim Extrahieren aus Zip-Dateien in PbRestore behoben
    - Behoben: Wenn während eines laufenden automatischen Backup (z.B. nach dem
      Anmelden) eine buj-Datei per Doppelklick geöffnet wird, hing sich das
      Programm auf.
    - Korrektur bei der Befehlszeilenoption /prompt:.. für Aufräumen, Überprüfen
      und Restore
    - Korrektur bei der Verwendung eines alternativen Kontos für den Netzwerkzugriff
    - Befehlszeilenoptionen /log und /logdir wurde falsch ausgewertet


5.8.4.4 (26.09.2016)
-------
  - Änderungen:
    - Wenn bei Sicherung in einzelne Zip-Dateien die Verschlüsselung ein- oder
      ausgeschaltet wird, werden die Zieldateien automatisch erneuert.
    - Befehlszeilenoption /prompt auch für Restore, Clean und Verify
    - Neue Option für Restore: Zielverzeichnis vor Restore löschen (wird nur von
      TbBackup verwendet)
    - Verbesserte Fehlermeldung, wenn das Herunterladen des Updates fehlschlägt
  - Fehlerkorrekturen:
    - Fehler beim Schreiben des VSS-Dokuments "VssBackupDoc.xml" in eine Zip-Datei
      behoben
    - Korrekturen beim Erstellen von Zip-Dateien mit Überprüfung
    - Korrektur im Dialog für Zeitvergleichseinstellung
    - Anzeige von Balloon-Tooltips im Infobereich nach Autostart korrigiert
    - Beim Wiederherstellen wurden nicht ausgewählte Verzeichnisse angelegt
    - Beim Start von automatischen Aufträgen per Befehlszeile wurde die Option
      /end:restart nicht ausgeführt
    - Beim Abbruch des Backups wurde die tmp-Datei nicht gelöscht

5.8.4.3 (21.08.2016)
-------
  - Änderungen:
    - Statusanzeige zeigt lange Dateinamen als Hint
  - Fehlerkorrekturen:
    - Befehlszeilen-Option "/edit" wurde beim Programmstart nicht erkannt
    - Beim Start von automatischen Aufträgen per Befehlszeile wurde die Option
      /end:... nicht ausgeführt
    - Die Option /prompt:.. funktionierte bei automatischen Aufträgen per
      Befehlszeile nicht
    - Korrektur beim Mailversand: Nach fehlgeschlagener Authenfizierung wurde
      die Verbindung nicht getrennt

5.8.4.2 (04.08.2016)
-------
  - Fehlerkorrekturen:
    - Kompatibilität zu Windows XP wiederhergestellt (Aufruf von GetProductInfo)

5.8.4.1 (02.08.2016)
-------
  - Fehlerkorrekturen:
    - Fehler bei der Ausgabe der Betriebssystem-Version in das Protokoll behoben
      (trat nur auf bei Systemen mit installierten Service-Pack)

5.8.4.0 (31.07.2016)
-------
  - Neu:
    - Neue Option: Verzeichnis für Sicherheitskopien im Stammverzeichnis des Backups
  - Änderungen:
    - Systemversionsinfo im ausführlichen Protokoll geändert von TOSVersion auf
      GetSysVersionLongString
    - Eintrag im Autostart-Menü erfolgt nur nach Schließen des Hauptfensters
    - Wenn eine in der Befehlszeile angegebene Steuerdatei nicht gefunden wurde,
      wird immer das Desktopfenster angezeigt
    - Neuer Platzhalter für Protokolldatei (%taskname% = Dateiname des Auftrags)
    - Option /dir:... auch mit Auftrag aus Befehlszeile (statt Standardauftrag)
    - Bei Wechselplänen wird das Stamm-Zielverzeichnis nicht gelöscht, wenn es
      leer ist
  - Fehlerkorrekturen:
    - Beim Einlesen von Protokolldateien mit fehlerhafter Codierung (z.B.
      ANSI/UTF8-gemischt) wird nicht mehr der Fehler "Keine Zuordnung für
      Unicode-Zeichen..." angezeigt
    - Die Einstellung für den Backup-Fortschritt wurde falsch angezeigt

5.8.3.1 (28.06.2016)
-------
  - Fehlerkorrekturen:
    - Fehler bei Prüfung auf ungültige Zeichen im Zielpfad behoben

5.8.3.0 (22.06.2016)
-------
  - Neu:
    - Prüfung der Integrität der Download-Datei beim automatischen Programmupdate
    - Prüfung auf ungültige Zeichen im Zielpfad
  - Änderungen:
    - Verbesserte Fehlermeldung beim Überprüfen
  - Fehlerkorrekturen:
    - Automatische Erkennung von Datenträgernamen bei den Quellverzeichnissen
      korrigiert. Unter Windows 10 werden USB-Sticks als lokaler Datenträger
      (DRIVE_FIXED statt DRIVE_REMOVABLE) registriert.
    - Korrekturen in der Fehlerprotokollierung

5.8.2.3 (09.06.2016)
-------
  - Fehlerkorrekturen:
    - Kopieren von Berechtigungen für Verzeichnisses mit langen Namen
      ergänzt
    - Fehler bei Erstellung von Verzeichnissen mit einer Länge von genau 248
      Zeichen behoben
    - Beim Backup wurde ein volles Zielmedium nicht erkannt
    - Sicherheitskopien von Dateien ohne Erweiterung wurden nicht erkannt

5.8.2.2 (06.06.2016)
-------
  - Änderungen:
    - Verbesserte Fehlermeldung bei unerwarteten FTP-Problemen beim Restore
    - Beim Kopieren von Berechtigungen sind lange Dateinamen erlaubt
  - Fehlerkorrekturen:
    - Fehler beim Restore aus Backups mit Zip-Dateien pro Verzeichnis behoben
    - Fehler in PbRestore bei der Dateianzeige behoben
    - Fehler beim Zählen der Dateien behoben, wenn nur Unterverzeichnisse
      ausgewählt sind
    - Fehler bei Verzeichniswechsel per FTP behoben, wenn nur einzelne
      Unterverzeichnisse ausgewählt wurden

5.8.2.1 (20.05.2016)
-------
  - Neu:
    - Neue Optionen für ext. Programme nach dem Backup
    - PbStarter kann einen Dateimanager unter einem anderen Konto starten
    - Einstellbarkeit des Erscheinungsbilds (siehe 5.8.2) deaktiviert, da Probleme
      bei automatischen Backups nach dem Anmelden und beim Herunterfahren auftreten.
      Wenn diese Probleme gelöst werden können, wird in einer späteren Version
      diese Option wieder zur Verfügung stehen.
  - Änderungen:
    - Verbesserungen in PbRestore
    - Verbesserte Hinweise im Windows-Infobereich nach Autostart
  - Fehlerkorrekturen:
    - Korrektur der Fehleranzeige bei gesperrten Verzeichnissen
    - Fehler beim automatischen Backup beim Abmelden an best. Wochentagen
      behoben: Wenn nur solche Aufträge aktiv waren, wurde das Programm nach
      dem Autostart sofort beendet
    - Fehler in PbRestore beim Zurückspeichern aus Wechselplänen behoben
    - Korrektur der Fehlererkennung beim Schreiben in eine Datei
    - Korrektur der Kontextmenüs im Datei-Öffnen-Dialog (Fehler in den Delphi-
      Bibliotheken behoben durch "VCL Styles Utils")

5.8.2.0 (03.05.2016)
-------
  - Neu:
    - Vom Benutzer einstellbares Erscheinungsbild
  - Änderungen:
    - Benutzerdefiniertes Protokollverzeichnis auch für FTP, SMTP und VSS
  - Fehlerkorrekturen:
    - Fehler bei Suche der Abschnitte in der Protokollanzeige behoben
    - Fehler bei der Anzeige der gelöschten Dateien während der Synchronisation
      behoben
    - Fehler beim Senden des FTP-Befehls OPTS UTF8 behoben
    - Fehler in PbStarter behoben

5.8.1.0 (18.04.2016)
-------
  - Neu:
    - Neues Hilfsprogramm zum Starten eines Backups unter einem anderen
      Benutzerkonto
    - Neuer Dialog für die Programmeinstellungen
    - Umorganisation der verwendeten eigenen Delphi-Units
    - Vorgaben für die Kennzeichnungen der Sicherheitskopien sind vom Benutzer
      einstellbar
    - Neue Option für Mail-Anhang: Nur bei Fehlern
    - Neue Backupoption: Keine Prüfung auf Volumen-Namen der Quelle
    - Neue Protokolloption: Zusammenfassung der Fehler am Ende des Protokolls
    - Bei den Sicherheitskopien vom Backup kann eingestellt werden, dass immer
      eine Mindestanzahl von Vorversionen erhalten bleibt, auch wenn sie älter
      als eingestellt sind.
    - Neuer Platzhalter "Benutzername" für externe Programme vor und nach Backup
    - Neue Befehlszeilenoption /logdir:<dir> für ein alternatives Protokollverzeichnis
    - In der Mailadresse für die Empfänger ist der Plazhalter %username% erlaubt
  - Änderungen:
    - Zurückspeichern auch von leeren Verzeichnissen
    - Durchsuchen von Verzeichnissen optimiert
    - Wenn bei einer Sicherung in eine Zip-Datei diese leer bleibt, wird sie im
      Ziel nicht erstellt
    - Position und Größe des Protokollfensters werden gespeichert
    - Statussanzeige beim Fortschritt des Backups geändert
    - Verbesserte Fortschrittsanzeige
    - Beim Löschen auf der Quellseite können Stamm- und Unterverzeichnisse
      getrennt ausgewählt werden
    - Anzeige der Kompressionsrate der Dateien im langen Protokoll
    - Beim Restore per FTP aus gz- und Zip-Dateien wird der Original-Zeitstempel
      wiederhergestellt
    - Löschen in den Papierkorb umgestellt auf IFileOperation (statt SHFileOperation)
  - Fehlerkorrekturen:
    - Wiederherstellung der Zeitstempel beim Restore von Verzeichnisses korrigiert
    - Vorschau für verschlüsselte Dateien bei Restore korrigiert
    - Dateianzeige bei Verzeichnisauswahl korrigiert
    - Einige Fehler bei den Programmeinstellungen korrigiert
    - Erstellen von Verzeichnissen bei FTP korrigiert
    - Fehler beim Restore und Löschen von hs-Dateien behoben
    - Wenn eine Option in einem Auftrag geändert wurde, bei dem das Ziel über einen
      Datenträgernamen ausgewählt ist und dieser Datenträger nicht eingelegt ist,
      wird der Benutzer beim Speichern des Auftrags nicht unnötigerweise aufgefordert,
      diesen Datenträger einzulegen.
    - Beim Eintrag in die Windows-Aufgabenplanung für Anwendungsname und
      Ausführungsverzeichnis werden bei ev. enthaltenen Leerzeichen Anführungszeichen
      hinzugefügt
    - Attribut und Zeitstempel von Stammverzeichnis wurden nicht richtig gesetzt
    - Fehler beim Verschlüsseln von Einzel-Zipdateien mit 256 bit behoben
    - Anzeige von Zip-Archiven im Verzeichnisauswahlfenster abgeschaltet
    - Fehler beim Restore behoben, wenn Dateien und Verzeichnisse abwechselnd
      aus- und angewählt werden
    - Fehler beim Sichern von Zip-Dateien pro Unterverzeichnis per FTP behoben
    - Fehler beim Datei-Zeitstempel für Sicherheitskopien behoben, wenn mit dem
      Archivbit gesichert wird

5.7.4.1 (18.03.2016)
-------
  - Fehlerkorrekturen:
    - Fehler beim Restore behoben, wenn unkomprimierte Dateien, abwechselnd
      verschlüsselt und unverschlüsselt zu kopieren sind
    - Ähnlicher Fehler auch bei Verify behoben
    - Fehler beim Synchronisieren von ausgewählten Unter-Unterverzeichnissen
      behoben


5.7.4.0 (08.01.2016)
-------
  - Änderungen:
    - Das Umbenennen der temp. Dateien und das Öffnen der Dateien für das
      Überprüfen wird mehrfach versucht, um Fehler zu vermeiden, wenn auf die
      Dateien kurzfristig nicht zugegriffen werden kann
    - Umstellung des Aufrufs von "CoInitializeSecurity" bei VSS
    - Verbesserte Systemfehlermeldungen im ausführlichen Protokoll für TZip
  - Fehlerkorrekturen:
    - Fehler beim Umbenennen der temp. Datei behoben, wenn im Ursprungsverzeichnis
      eine Datei sowohl in normaler als auch in komprimierter Form vorliegt
    - Fehler bei der Protokollanzeige behoben, wenn z.B. durch einen Systemabsturz
      Nullbytes in die Protokolldatei geschrieben wurden
    - Fehler beim Sichern mit VSS in Zip-Datei behoben
 
5.7.3.8 (15.12.2015)
-------
  - Fehlerkorrekturen:
    - Fehler nach zeitgesteuerten automatischen Aufträgen behoben, wenn kein
      Auftrag im Hauptfenster geöffnet ist ("Deaktiviertes oder unsichtbares
      Fenster kann den Fokus nicht erhalten")
    - Das Programm wurde geschlossen, wenn eine Auftrags-Datei zum zweiten
      Mal mit Doppelklick im Explorer geöffnet wurde
    - Fehler bei FTP-Sicherung in ein Verzeichnis außerhalb des Stammverzeichnisses
      des angemeldeten Benutzers behoben

5.7.3.7 (03.12.2015)
-------
  - Fehlerkorrekturen:
    - Löschen von Backup-Sicherheitskopien beim Synchronisieren nur, wenn die
      Option Synch-Sicherheitskopien deaktiviert ist
    - Fehler bei Option "Erlaube das Ausschalten der Anzeige ..." behoben
    - Option zum Löschen von Sicherheitskopien abhängig vom Backupdatum korrigiert

5.7.3.6 (20.11.2015)
-------
  - Fehlerkorrekturen:
    - Fehler beim Mailversand behoben: Fehlerhafter Anhang, wenn vorher eine
      Testmail versendet wurde.
    - Fehler beim Zeilenumbruch im Ausdruck bei langen Dateinamen behoben
  - Änderungen:
    - Option zum Löschen von Sicherheitskopien abhängig vom Backupdatum wieder
      aktiviert

5.7.3.5 (15.11.2015)
-------
  - Fehlerkorrekturen:
    - Backup-Hinweise fehlten in der Mail
    - Fehler beim Löschen von Sicherheitskopien behoben
    - Fehler beim Ersetzen eines zu sichernden Verzeichnisses behoben
  - Änderungen:
    - Verbesserungen im Protokoll, u.a. zusätzliche Systemfehlermeldungen im
      ausführlichen Modus
    - Löschen von alten Sicherheitskopien auch, wenn keine neue Ursprungsdatei
      kopiert werden muss
    - Löschen von Sicherheitskopien in getrennten Verzeichnissen beim Synchronisieren

5.7.3.4 (04.11.2015)
-------
  - Fehlerkorrekturen:
    - Fehler beim Schreiben des Utf8-Boms in die Protokoll-Datei auf Systemen
      behoben, die nicht die Codepage 1252 (ANSI Latin 1; Western European) verwenden.
    - Löschen des SMTP-Protokolls nach einem Test funktionierte nicht
    - Korrekturen beim Versenden der Testmail
    - Korrekturen im ausführlichen Protokoll

5.7.3.3 (30.10.2015)
-------
  - Fehlerkorrekturen:
    - Fehler bei der Überwachung auf Systemabsturz (siehe 5.7.3.1) bei parallel
      laufenden Backups behoben (Verwalten der lock-Datei)
    - Fehler in PbRestore bei nicht zu kopierenden Dateien behoben
    - Fehler beim Restore per FTP behoben

5.7.3.1 (28.10.2015)
-------
  - Änderungen:
    - Vor jedem Schreiben in das temp. Verzeichnis wird geprüft, ob es noch
      existiert, falls nicht, wird es neu angelegt (Absicherung gegen zwischen-
      zeitlich laufenden Cleaner-Programme).
    - Das Kopieren von Berechtigungen von Dateien und Verzeichnissen erfolgt
      immer als letzte Aktion (nach Atrributen und Zeitstempeln)
    - Zur Unterscheidung von Zip-Dateien, die bei der Komprimierung von Einzeldateien
      erzeugt wurden, von normalen Zip-Dateien, wird im lokalen Datei-Header das
      sonst unbenutzte Bit 7 im "general purpose bit flag" gesetzt
    - Wenn ein Backup durch einen Systemabsturz abgebrochen wurde, wird beim
      nächsten Start ein entsprechender Hinweis angezeigt und die Möglichkeit
      zum Nachholen dieses Backups angeboten
    - Das Löschen in den Papierkorb ist für alle NTFS-Ziele möglich (bislang nur
      für "fixed drives")
  - Fehlerkorrekturen:
    - Berechtigungen für die zu sichernden Basis-Verzeichnisse wurden nicht gesetzt
    - Korrekturen in den Restore-Routinen
    - Bei gelöschten leeren Verzeichnissen wurde versucht, die Attribute zu setzen

5.7.3.0 (02.10.2015)
-------
  - Änderungen:
    - Bei "Alles neu", "Diff." und "Inkr." wird das Zielverzeichnis wieder für
      jedes zu sichernde Verzeichnis getrennt gelöscht (siehe auch 5.6.0), da
      sonst bei nicht verfügbarer Quelle das gesamte Backup gelöscht wird.
      Auf überlappende Verzeichnisse wird geprüft, wenn diese so angeordnet sind,
      dass übergeordnete Verzeichnisse zuerst kommen
    - Beim Klick auf ein zu sicherndes Verzeichnis wird die Aktualisierung der
      Typenlisten in einem eigenen Thread ausgeführt, um das Klick-Ereignis auf
      die Liste schnell zu beenden
    - Beim "Öffnen"-Dialog für einen Auftrag ist immer das Verzeichnis ausgewählt,
      in dem sich der letzte geöffnete Auftrag befindet. Für das Standard-
      Auftragsverzeichnis gibt es einen zusätzlichen Menüpunkt
    - Restore-Statusanzeige geändert
    - Vorschau-Funktion in PbRestore
  - Fehlerkorrekturen:
    - Fehler bei der Auswahl eines Wochentags für das automatische Backup behoben
      (Mo wurde manchmal selbsttätig hinzugefügt)
    - Fehler beim Löschen von Verzeichnissen, die keine Dateien sondern nur
      Unterverzeichnisse enthalten
    - Fehler beim Packen von bereits komprimierten Dateien in verschlüsselte
      Einzel-Zipdateien behoben

5.7.2.1 (11.09.2015)
-------
  - Änderungen:
    - Anpassung an "DPI-awareness" (z.B. für 4k-Bildschirme ab Windows 7)
    - Restore von Sicherheitskopien verbessert
    - Protokollmeldungen für Backup-Modus eingefügt
    - Zeitoptimierung der Fortschrittsanzeige
    - Optional auswählbares temporäres Verzeichnis
    - Die zu sichernden Verzeichnisse werden nur bei einem Doppelklick aktualisiert
    - Erwseiterte Protokollmeldungen bei Fehlern
  - Fehlerkorrekturen:
    - Fehler beim Datumsvergleich in PbRestore beim Zurückspeichern aus Wechselplänen
      behoben
    - Fehler im Taskplaner-Assistenten bei monatlicher Sicherung behoben
    - Fehler beim Überprüfen großer Dateien behoben (TimeOut)
    - Fehler beim Überprüfen von großen Einzel-Zipdateien behoben
    - Fehler bei wöchentlichen Wechselplänen behoben
    - Die Hinweisdateien auf Abzweigungspunkte wurden beim Synchronisieren gelöscht
    - Fehler bei Wartezeit und mehrfachen FTP-Anmeldeversuchen behoben
    - Warnungsmeldung bei Setzen von Zeitstempeln per FTP korrigiert
    - Ein ausgefallenes Backup beim Abmelden an bestimmten Wochentagen wurde nicht
      nachgeholt, wenn nach dem nächsten Start das Programmfenster geöffnet wurde,
      da beim Minimieren der Zeitpunkt des nächsten Backups neu berechnet wurde.
    - Bei automatischen Aufträgen wurden die Dateizähler in der Auftragsdatei nicht
      aktualisiert
    - Korrekturen bei der Erkennung von Dateien > 4GB auf FAT32 und bei zu
      sichernden Dateien, bei denen sich nur das Attribute verändert hatte.

5.7.1.3 (17.07.2015)
-------
  - Fehlerkorrekturen:
    - Beim Start eines Backup über das Kontext-Menü im Windows-Infobereich wurde der
      falsche Auftrag gestartet
    - Fehler in der Volumen-Fortschrittsanzeige bei Gesamtgröße von Null behoben
      (Bewirkt "Division durch Null" und Lesefehler)
    - Fehler beim Synchronisieren von Sicherheitskopien behoben

5.7.1.2 (07.07.2015)
-------
  - Änderungen:
    - Geänderte Anzeige für die nächsten Backup-Termine
  - Fehlerkorrekturen:
    - Fehler beim Speichern der Einstellungen für Sicherheitskopien beim Synch.
      behoben
    - Einträge für automatische Aufträge in der Ini-Datei korrigiert
    - Fehler beim Nachholen eines vollst. Backups im Wechselplan nach Wochentagen
      bei 7-täg. Zyklus behoben
    - Fehler beim Synchronisieren von Unterverzeichnissen behoben
    - Fehler beim Synchronisieren im Modus "ausgewählte Dateien, andere löschen"
      korrigiert
    - Beim Löschen von Verzeichnissen in den Papierkorb wurde irrtümlich immer
      ein Fehler angezeigt.

5.7.1.1 (26.06.2015)
-------
  - Fehlerkorrekturen:
    - Datei-Erweiterung der Auftragsdatei in TaskSchedDlg korrigiert
    - Zurückspeichern von Zip-Dateien korrigiert
    - Fehler bei Eingabe von Zahlen behoben

5.7.1.0 (23.06.2015)
-------
 - Neu:
    - Optional: Sicherung von Einzeldateien als Zip-Datei (auch bei FTP)
    - Ausnahmen für die zu komprimierenden Dateitypen auch bei Zip-Dateien
    - Optional: Verwendung von Volumen-Schattenkopien (VSS) - erfordert Admin-Rechte
    - Sicherheitskopien optional in ein getrenntes Verzeichnis
    - Neue Befehlszeilenoption /end:idleoff: Wie /end:poweroff, aber das System
      wird nur heruntergefahren, wenn kein Benutzer interaktiv angemeldet ist.
    - Neue Auftragsoption: Verzeichnisse vor dem Backup durchsuchen, um eine präzise
      Gesamt-Fortschrittsanzeige zu gewährleisten.
    - Neue allg. Option: Vor dem Backup beim Abmelden/Herunterfahren wird der
      Computer gesperrt
    - Automatisches Löschen von älteren Protokollen
    - Sprache: Französisch
  - Änderungen:
    - Statusanzeige auf zwei Monitoren positionierbar
    - Erweiterte Einstellungen für FTP-Verbindung
    - Kopierroutinen optimiert
    - Schreibcache optional abschaltbar
    - PbRestore kann mit gz/gze- und enc-Dateien verknüpft werden
    - Synchronisation ist nicht erlaubt bei Löschen von Dateien auf der Quellseite
    - Erweiterte Fehlermeldungen im ausführlichen Protokoll beim Restore
    - Gesamtfortschrittsanzeige zeigt wahlweise die Anzahl der kopierten Bytes (neu)
      oder die Anzahl der kopierten Dateien
    - Einstellungen für Sicherheitskopien neu strukturiert
    - Auswahl für Sicherheitskopien bei Restore, Verify und Cleanup geändert
    - div. Umstruktierungen der Units und Komponenten
    - Fehlermeldung, wenn SSL für Mail-Versand nicht verfügbar ist
    - Verbesserte Prüfung, ob der Zielpfad beschrieben werden kann
    - Aktualisierung auf OpenSSL v1.0.2c
  - Fehlerkorrekturen:
    - Fehler beim Restore aus Zip-Dateien behoben
    - Statusanzeige beim Test für Mailversand korrigiert
    - Löschen auf der Quellseite funktionierte nicht für Pfadlängen>Max_Path
    - Korrektur beim Kopieren von Dateiinfos
    - Beim Sichern von Netzlaufwerken wird eine ev. fehlende Verbindung
      wieder hergestellt
    - Bei Verwendung der Option /repl:.. (siehe 5.6.0) mit VSS wurde das Archivbit
      der Originaldatei bei Komplett- und inkr. Sicherung nicht gelöscht
    - Fehler beim Kopieren von gesperrten Dateien behoben
    - Fehler beim Einschalten der Synchronisation behoben
    - Fehler beim Abschalten der Kompression von Zip-Dateien behoben
    - Fehler bei Backup und vollem Zieldatenträger behoben
    - Korrekturen beim Zurückspeichern von Abzweigungspunkten
    - Beim Abbruch eines Verzeichnisscans wurden die alten Werte nicht wieder
      hergestellt
    - Fehler beim Restore und Verify von Zip-Dateien mit Volumenname im Pfad
      behoben
    - Fehler beim Erstellen einer Desktop-Verknüpfung mit Punkt im Dateinamen behoben

5.6.7.0 (05.02.2015)
-------
  - Neu:
    - Neue Platzhalter für Zielverzeichnis: n Tage, Wochen oder Monate im Wechsel
  - Fehlerkorrekturen:
    - Fehler beim Speichern der Einstellungen für Zip-Verschlüsselung behoben

5.6.6.0 (25.01.2015)
-------
  - Neu:
    - PbRestore kann mit gz/gze-Dateien verknüpft werden
    - Zusätzliche Schaltfläche im Restore-, Verify- und Cleanup-Dialog für
      sofortiges Speichern des Auftrags
  - Änderungen:
    - Verbesserte Fehlermeldungen im ausführlichen Protokoll bei Systemfehlern
    - Änderung von Zeitstempel, etc. erst nach Rückbenennung der temp. Kopie
    - Geänderter Dialog für Protokoll-Einstellungen
    - Zusätzliche Speichern-Schaltfläche im Restore, Cleanup- und Verify-Dialog
    - Bei Sicherungen in Zip-Dateien als Teil von Wechselplänen wird das
      Zielverzeichnis nicht gelöscht.
  - Fehlerkorrekturen:
    - Fehlermeldung bei gescheitertem Umbenennen der temp. Datei korrigiert
    - Fehler in der Delphi-Bibliothek Vcl.Forms behoben: Das Umschalten des Desktops
      von einem auf zwei Monitore und umgekehrt wurde bei laufendem Programm nicht
      erkannt. Nachrichtenverarbeitung für WM_DISPLAYCHANGE für TScreen eingefügt.
    - Korrektur bei der Funktion "Verzeichnis ersetzen" (siehe 5.6.5.0)
    - Viele kleine Feinabstimmungen (visuell, Taborder, etc.)
    - Korrektur beim Synchronisieren von Verzeichnissen mit Sicherheitskopien

5.6.5.0 (10.01.2015)
-------
  - Neu:
    - Zu sicherndes Verzeichnis kann über Kontext-Menü ersetzt werden, z.B. auch
      bei Änderung des Datenträger-Namens eines externen Laufwerks
  - Fehlerkorrekturen:
    - Die Position des Programmfensters wurde vor dem Maximieren nicht gespeichert
    - Fehler bei Filter für Dateinamensuffixe in Restore, Cleanup und Verify
      korrigiert
    - Fehler bei Sicherheitskopien beim Synchronisieren für Verzeichnisse korrigiert,
      wenn kein Präfix angegeben wurde
    - Fehler beim Laden von Restore-Aufträgen aus Zip-Dateien behoben
    - Fehler beim Ersetzen des Platzhalters %status% bei ext. Programmen behoben

5.6.4.0 (14.12.2014)
-------
  - Änderungen:
    - Kleine Änderungen in den Kennwortdialogen
    - Zeitvergleichsfehler bei wöchentlichen Wechselplänen behoben
    - Präfix für Protokoll als Mail-Anhang kann vom Benutzer eingestellt werden.
    - Neuer Platzhalter für externe Programme: Kennwort-Abfrage
    - Dialog für Zurückspeichern in Ursprungsverzeichnis geändert
  - Fehlerkorrekturen:
    - Korrektur beim Abspeichern von automatischen Backups, die auf nicht
      mehr vorhandene Aufträge verweisen.
    - Korrektur bei Auswertung eines Ini-Pfades mit Platzhalter aus der Befehlszeile
      für die Datei PersBackup.cfg
    - Fehler bei der Anzeige für die Restore-Auswahl behoben, wenn mehrere
      Wurzelverzeichnisse vorhanden sind

5.6.3.1 (16.11.2014)
-------
  - Fehlerkorrekturen:
    - Eingesteckte USB-Datenträger u.ä. wurden nicht erkannt

5.6.3.0 (14.11.2014)
-------
  - Neu:
    - Der Eintrag im Kontext-Menü für die "Sicherung mit einem Klick" kann im
      Hauptmenü des Programms für den jeweiligen Benutzer ein- und ausgeschaltet
      werden.
  - Änderungen:
    - Verbesserte Fehlermeldungen im Protokoll, wenn in das Ziel nicht geschrieben
      werden kann
    - Der Name eines automatischen Auftrags kann beliebig geändert werden.
  - Fehlerkorrekturen:
    - Bei Zielen auf einem Netzwerkserver war die Option "Berechtigungen kopieren"
      ausgegraut.
    - Bei der Verarbeitung von Sicherheitskopien durfte der Dateiname kein "#"
      enthalten.
    - Fehler beim Sichern in Zip-Dateien mit Wechselplan behoben

5.6.2.0 (25.10.2014)
-------
  - Neu:
    - Optional kann per Rechtsklick auf ein Verzeichnis im Windows-Explorer
      ein "Sicherung mit einem Klick" für dieses Verzeichnis mit den Einstellungen
      eines auswählbaren Standard-Auftrags durchgeführt werden.
    - Programm-Symbole in verschiedenen Größen
  - Änderungen:
    - Wenn im Fortschrittsfenster eines Backups eine der Optionen "Abmelden" oder
      "Ausschalten" ausgewählt wurde, werden danach auch die für das Abmelden
      geplanten automatischen Backups ausgeführt.
    - Auftragsverzeichnis entweder "Standard" oder "Auswahl"
  - Fehlerkorrekturen:
    - Fehler beim Löschen des Zielverzeichnisses bei "full, diff., incr." behoben

5.6.1.0 (13.10.2014)
-------
  - Änderungen:
    - Aktualsierung der Hilfe-Dateien
  - Fehlerkorrekturen:
    - Status-Platzhalter beim Mail-Betreff Restore, Cleanup und Verify korrigiert
    - Korrektur bei der Gesamtfortschrittsanzeige, wenn Verzeichnisse abgewählt wurden
    - AppId in InnoSetup-Skript korrigiert

5.6.0.0 (6.10.2014)
-------
  - Neu:
    - Desktop-Verknüpfung für mehrere Backup-Aufträge
    - Neue Befehlszeilenoption /repl:<Lw>=<UNC> für die Integration in
      das Programm "Volume Shadow Copy Simple Client"
    - Optional kann Windows während des Backups den Monitor ausschalten
  - Änderungen:
    - Optimierung beim Kopieren im Einzeldatei-Modus (während des Kopierens einer
      Datei wird das Verzeichnis bereits nach weiteren zu sichernden Dateien
      durchsucht)
    - Hinweise auf Fehler beim Synchronisieren in Mail und Protokollstatus
    - Bei Start eines Auftrags über die Windows-Aufgabenplanung kann optional
      die Protokolleinstellung des Auftrags übernommen werden (bislang war nur
      eine unabhängige Einstellung möglich)
    - Wenn man die Maus über die Liste der zu sichernden Verzeichnissen bewegt,
      wird jeweils die Anzahl und Gesamtgröße der zugehörigen Dateien
      angezeigt
    - Bei "Alles neu", "Diff." und "Inkr." wird das Zielverzeichnis bereits vor
      Beginn des gesamten Backups komplett gelöscht und nicht erst vor dem
      Kopieren der einzelnene Verzeichnisse-> Behebt ein Problem bei überlappenden
      Verzeichnissen
  - Fehlerkorrekturen:
    - Fehler beim Ausblenden von Sicherheitskopien von Dateien ohne Erweiterung
      bei Restore, Cleanup und Verify behoben
    - Verbesserungen bei der Fehlererkennung
    - Bei Wechselplänen wurde nicht immer eine Zeitstempel-Datei $TimeStamp.pbu
      im Ziel geschrieben
    - Positionen der Fenster für Sofort-Backup und Status bei einen Rechtsklick auf
      das Symbol im Infobereich korrigiert (falls Taskleiste oben und links)
    - Im Mail-Betreff wurde der Platzhalter %taskname% bei Restore, Cleanup und
      Verify nicht ersetzt
    - Einstellungen für FTP-Timeout und Verbindungsversuche wurden bei Restore,
      Cleanup und Verify nicht gespeichert

5.5.10.0 (31.8.2014)
--------
  - Neu:
    - Platzhalter für Stunde, Minute und Namen des Quellvolumens
  - Fehlerkorrekturen:
    - Update der spanischen Übersetzung
    - Korrektur beim Einstellen des Modus für den Mailversand
    - Korrektur in Taskplaner-Assistent (Erweiterte Einstellungen bei täglich)
    - Fehler beim Erstellen eines Verzeichnisses im Ziel wurde in der
      Statusanzeige nicht angezeigt

5.5.9.0 (23.7.2014)
-------
  - Neu:
    - Sprache: Spanisch
  - Fehlerkorrekturen:
    - Korrektur beim Test auf Verfügbarkeit von Netzwerkverzeichnissen
    - Korrektur der Fehlermeldung bei externen Programmen
    - Korrektur beim Mailversand (Restore und Cleanup): Wenn keine passenden
      Dateien gefunden wurden, wurde das als Fehler gewertet.
  - Änderungen:
    - Kleine Änderungen beim Mail-Test

5.5.8.0 (8.7.2014)
-------
  - Fehlerkorrekturen:
    - Das Programm hängt sich manchmal nach dem Start auf (z.B. in PE-Umgebung),
      wenn der Schedule-Dienst nicht läuft und dann nicht gestartet werden kann.
      Fehlerbehebung: Da dieser Dienst auf allen Systemen normalerweise immer
      automatisch läuft, wird darauf verzichtet ihn explizit zu starten.
      Stattdessen werden in diesem Fall alle Funktion im Programm, die die
      Windows-Aufgabenplanung betreffen, abgeschaltet.
    - Beim Restore wurde das Erstellungsdatum von Verzeichnissen nicht kopiert
    - Korrektur bei Sicherung auf Netzwerkverzeichnisse unter alternativem Benutzer
    - Korrektur beim Platzhalter für den Backupstatus im Mail-Betreff
  - Änderungen:
    - Verbesserte Testfunktion für Mailversand mit Kommunikationsprotokoll
    - Neuer Platzhalter für Nummer des Wochentags (Montag = 1)
    - Ungarische Hilfedatei (übersetzt von Robert Kovacs)

5.5.7.0 (14.5.2014)
-------
  - Fehlerkorrekturen:
    - Fehler beim Löschen eines leeren Stammverzeichnisses behoben
    - Nach dem Löschen von Dateien wurde die Mail-Benachrichtigung doppelt
      versendet
    - Fehler beim Sichern mit vorheriger Synchronisation und ohne Unterverzeichnisse
      in ein leeres Verzeichnis behoben
  - Änderungen:
    - Automatische Erkennung der Schlüssellänge beim Zurückspeichern aus
      verschlüsselten Zip-Archiven
    - Kleine Korrekturen an der Programmoberfläche

5.5.6.0 (12.4.2014)
-------
  - Neu:
    - Optionales Protokoll der FTP-Kommunikation zur Erleichterung der Fehlersuche
      bei Problemen
  - Änderungen:
    - Aktualisierung der OpenSSL-Komponenten auf Version 1.0.1g zum Schließen
      der "Heartbleed"-Sicherheitslücke
    - Bei langen FTP-Transfers wird alle 5 Min. ein NOOP gesendet, um den Steuerkanal
      aktiv zu halten und zu verhindern, dass die Verbindung serverseitig
      beendet wird.
    - Fehlermeldung im Protokoll, wenn das Löschen des Stammverz. per FTP fehlschlägt
    - Verbesserte Fehlermeldungen im ausführlichen Protokoll beim Synchronisieren
    - Verbindungsprüfung zu Netzwerkressourcen verbessert
  - Fehlerkorrekturen:
    - Fehler beim Ausführen eines wöchentlichen Wechselplans behoben
    - Beim Start mit Option /ini:.. wird keine Unterordner in AppData angelegt
    - Korrektur bei Verzeichniswechseln auf FTP-Servern, die nach MKD den
      vollständigen Pfad zurückgeben (siehe auch Vers. 5.5.2), wenn gleichzeitig
      die Option "alles  in Klein/Großbuchstaben" gewählt war
    - Korrektur für ein Backup im Modus "Alles neu,.." auf Strato-FTP-Servern
    - Abfangen eines möglichen Konvertierungsfehler bei "SITE ZONE" in IdFtp

5.5.5.0 (12.3.2014)
-------
  - Neu:
    - Schaltfläche zum Einfügen des Namens eines Wechseldatenträgers im
      Auftrags-Assistenten
    - Maximalalter für Sicherheitskopien (nicht bei FTP)
  - Änderungen:
    - Zusätzliche Schaltfläche für Programmdaten im Assistenten
    - FTPS auch ohne Passivmodus
    - Optimierung beim Einlesen von FTP-Dateilisten
    - Zusätzlich Prüfung auf Verfügbarkeit des Quellverzeichnisses vor dem
      Synchronisieren
    - FTPS: wahlweise Explicit SSL/TLS (Wenn verfügbar) oder Implicit SSL/TLS (Immer)
    - Zusätzliche Schaltfläche zum Setzen des Protokollnamens auf den Vorgabewert
    - Verbesserte Fehlermeldungen im Protokoll bei FTP
    - Einstellbare Anzahl von Verbindungsversuchen bei FTP
    - Verbesserte Fehlermeldung beim Mailversand
    - Mailversand mit SASL-Authentifizierung
    - Verhalten der Checkbox für den Infobereich verändert
    - Zusätzliche Infos im ausführlichen Protokoll bei Restore
  - Fehlerkorrekturen:
    - Bei automatischen Aufträgen wurde die Uhrzeit manchmal auf den Vorgabewert
      zurückgesetzt
    - Verbesserte Behandlung von Verbindungsabbrüchen bei sicheren FTP-Verbindungen
    - Fehler beim Überprüfen von enc-Dateien ohne Entschlüsselung behoben
    - Geänderte Delphi-Funktion "DirectoryExists" erkennt Fehler ERROR_BAD_NET_NAME
    - Fehler beim Schreiben der Größe von gz-Dateien >4GB per FTP korrigiert
    - Berechnung der Kopiergeschwindigkeit korrigiert
    - Fehler in den Konvertiertabellen ANSI <> OEM (Zip) korrigiert

5.5.4.0 (31.1.2014)
-------
  - Neu:
    - Dateifilter können vom vorherigen Verzeichniseintrag kopiert werden
    - Neue Dateiauswahl: Älter als x Tage
  - Änderungen:
    - Neue als Programmstandard vorgesehene nicht zu komprimierende Typen
      werden automatisch übernommen
    - Zeitvergleichsdialog geändert
    - Benutzerfreundlichere Unterstützung für Platzhalter bei externen Programmen
    - Einstellbare Anzahl von erlaubten Timeouts
  - Fehlerkorrekturen:
    - Anzeigefehler bei Text für Dateisicherheit behoben
    - Falsche Fehlermeldung bei Sicherung als Zip per FTP entfernt
    - Restore von Zip-Dateien funktionierte nicht
    - Löschen von kopierten Dateien auf der Quellseite funktionierte nicht bei FTP
    - Korrektur beim Prüfen von ungleichen Attributen

5.5.3.0 (5.1.2014)
-------
  - Neu:
    - Sprache: Niederländisch
  - Änderungen:
    - Differenzierte Fehlermeldung beim Umbenennen der temp. Dateien nach Kopieren
    - Änderungen beim Setzen der Attribute im Ziel
    - Dateien >4GB auch für LTFS-Dateisysteme erlaubt
    - Statusmeldung am Ende des Backup erweitert
  - Fehlerkorrekturen:
    - Beim Synchronieren per FTP wurden die Dateien beim Löschen ganzer Verzeichnisse
      doppelt gezählt.
    - Wenn beim Backup mit eingeschalteter Verschlüsselung, kein Kennwort
      angegeben wurde, wurde bei einigen Dateitypen falsch synchronisiert
    - Das FTP-Kennwort wurde auch im Auftrag gespeichert, wenn es nicht
      fest eingegeben wurde
    - Fehlermeldung, wenn beim Kopieren der Zip-Datei per FTP die Verbindung
      fehlschlägt, korrigiert
    - Fehler beim Synchronisieren von gz-Dateien behoben
    - Stammverzeichnis für Wechselplan per FTP wurde nicht angelegt

5.5.2.2 (21.12.2013)
-------
  - Änderungen:
    - Bei der Befehlszeilenoption /showlog kann optional eine Protokolldatei
      angegeben werden
    - Bei geänderten Attributen (außer Archivbit) wird nicht mehr die ganze
      Datei erneut kopiert. Die Attribute werden jetzt direkt im Ziel angepasst.
    - Beim Löschen eines Verzeichnisses aus dem Backup-Auftrag kann optional auch
      das zugehörige Zielverzeichnis gelöscht werden.
  - Fehlerkorrekturen:
    - Bei Sicherungen mit mit zurückgesetzten Archivbit wurde wegen der
      unterschiedlichen Attribute immer neu kopiert (siehe auch den Hinweis oben
      unter Änderungen)

5.5.2.1 (16.12.2013)
-------
  - Fehlerkorrekturen:
    - Fehler beim Erstellen des Basis-FTP-Verzeichnisses auf einigen Servern
      korrigiert
    - Fehler bei der Auswahl von zu löschenden Stammverzeichnissen behoben

5.5.2.0 (14.12.2013)
-------
  - Änderungen:
    - Wenn das Hauptfenster nach dem Minimieren neu geöffnet wird, wird der
      aktuelle Auftrag immer neu geladen. Nicht gespeicherte Änderungen
      werden damit rückgängig gemacht.
    - Zusätzliche Fehlermeldungen im Protokoll, wenn temp. Dateikopien
      nicht umbenannt werden kontnen.
    - Löschen von Verzeichnissen über das Kontextmenü bei der Verzeichnisauswahl
      verbessert
    - Fehlermeldung, wenn eine Desktopverknüpfung nicht erzeugt werden konnte
    - Bei FTP-Befehl MKD wird auch Reply-Code 200 akzeptiert
  - Fehlerkorrekturen:
    - Dateien mit geänderten Attributen (nicht bei FTP) werden gesichert.
    - Archivattribut wurde im Ziel immer gesetzt
    - Beim Synchronisieren wurden in ein Unterverzeichnis verschobene
      Sicherheitskopien gelöscht
    - Fehler beim Anlegen von Verweisen auf Abzweigungspunkte behoben
    - Falsche Fehlermeldung beim Umbenennen von Sicherheitskopien behoben
    - Korrektur bei der Auswertung von relativen FTP-Pfaden nach PWD
    - Befehlszeilen für ext. Programme werden in Protokoll und Mailversand nicht
      mehr angezeigt, wenn sie in der Auftragsdatei verschlüsselt gespeichert
      werden
    - Zweizeilige Statusmeldung bei eingeschalteter Synchronisation korrigiert
    - Fehler beim Synchronisieren von gz-Dateien per FTP behoben
    - Bei automatischen Backups wurde nicht nur bei Fehlern, sondern auch
      bei Warnungen auf eine Benutzereingabe gewartet

5.5.1.0 (7.11.2013)
-------
  - Änderungen:
    - Standardwert für Zeitüberschreitung beim Kopieren auf 60s erhöht
    - Abzweigungspunkte werden immer als "pblink-Datei" gespeichert
    - Abzweigungspunkte werden imm Restore-Dialog angezeigt
    - Verbesserte Fehlerbehandlung beim Restore per FTP
    - Erweiterte Einstellmöglichkeiten für die tägliche Aufgabenplanung
  - Fehlerkorrekturen:
    - Rundungsfehler beim Backup an einem Wochentag behoben
    - Zurückspeichern von Abzweigungspunkten korrigiert
    - Fehler bei Verzeichnisauswahl für FTP-Restore (Passive mode) korrigiert
    - Überprüfung einer bestehenden FTP-Verbindung während Restore und Verify
      eingefügt
    - Suche nach ssleay32.dll und libeay32.dll bei Mailversand korrigiert

5.5.0.1 (12.10.2013)
-------
  - Fehlerkorrekturen:
    - Fehler beim Zeitvergleich und Option Größenvergleich behoben
    - Falsche Behandlung von zukünftigen Zeitstempeln korrigiert (siehe 5.4.2.5)
    - Fehler beim Verwenden der Befehlszeilenoption "backupdir" (verwendet von
      PbPlaner) behoben (Basisverzeichnis wurde nicht ergänzt)

5.5.0.0 (25.9.2013)
-------
  - Neu:
    - Kopieren von Datei-Berechtigungen (nur NTFS und Netzwerk)
    - Restore von Datei-Berechtigungen (nur NTFS und Netzwerk) und Datei-Infos
    - Optionaler Kennwortschutz beim Überschreiben eines Auftrags
    - Befehlszeilenoption (/reset) zum Zurücksetzen der Position des Hauptfensters
      und um zu verhindern, dass der letzte Auftrag geladen wird
    - Neuer Modus beim Synchronisieren: Auswahl synchronisieren, alle andere löschen
      (zusätzlich zu: Auswahl synchronisieren, alle andere behalten)
    - Optional können zu sichernde Verzeichnisse ohne Rückfrage übersprungen
      werden, wenn das zugehörige Laufwerk nicht bereit ist
    - Abzweigungspunkte werden gesichert und können wieder hergestellt werden.
    - Sprachen: Ungarisch und Italienisch
  - Änderungen:
    - Neue ini-Sektion für Hauptfensterposition (automatisch kompatibel zu
      Vorversion)
    - Auswahl der Aktion nach dem Backup in der Statusanzeige nur noch bei Start
      über den Button und bei Steuerung über die Befehlszeile nach Option /noaction
    - Zusätzliche Infos im langen Protokoll zu Einstellungen und Optionen
    - Units ExtFileTools und FtpTools überarbeitet
    - Volles Backup auch bei Steuerung über PbPlaner mit Modus wie im Auftrag
      (Kopieren oder Alles neu, siehe auch 5.4.5)
    - Nach einem Fehler beim Kopieren der temporären Zip-Datei per FTP wird
      diese nicht gelöscht, sondern entweder vom Benutzer gespeichert oder, bei
      automatischem Betrieb, mit einem Zeitstempel im Dateinamen versehen, im
      Temp-Verzeichnis belassen
    - Sicherheitskopien in Unterverzeichnisse sind auch ohne Suffix möglich.
  - Fehlerkorrekturen:
    - Fehler beim Zurückspeichern von unkomprimierten Dateien behoben:
      Schreibgeschütze Dateien konnten nicht überschrieben werden
    - Es war nicht möglich, die Kompression für alle Typen einzuschalten
    - Fehler beim Erstellen einer Zip-Datei wird abgefangen
    - Fehler bei der Auswertung eines Zielverzeichnisses aus der Befehlszeile
      behoben
    - Fehler im Aufgabenplaner-Assistenten behoben (Enddatum konnte nicht
      gesetzt werden)
    - Ersatz für ungültige Zeichen in Dateinamen konnte nicht eingegeben werden
    - Fehler beim Abbrechen eines Restores behoben
    - Die Berechnung der Summen für ein- und ausgeschlossenen Dateitypen war
      bei Verwendung eines Filters fehlerhaft.
    - Fehler beim Sichern von Abzweigungspunkten behoben

5.4.8.0 (9.7.2013)
-------
  - Fehlerkorrekturen:
    - Einstellung für automatische Programm-Updates wurde im Menü nicht angezeigt
    - Volumennamen wurden nicht erkannt, wenn ein Restore-, Verify- oder Cleanup-Auftrag
      über die Befehlszeile gestartet wurde
    - Korrektur beim Nachholen des ersten vollst. Backups im wöchentlichen Wechselplan
    - Geschwindigkeitsoptimierung bei Restore und Verify
    - Korrektur bei wöchentlichen Backups
  - Änderungen:
    - Beim Start von einem Wechseldatenträger (z.B. USB-Stick) werden außer der
      Ini- und der Log-Dateien (siehe 5.0.2.1) auch die Datei PersBack.cfg
      automatisch in das dortige Programmverzeichnis geschrieben.
    - Automatische Updates: Version und Downloadadresse in getrennten Dateien
  - Neu:
    - Zusätzliche Optionen zum Einstellen der Prozesspriorität und der
      Prozessorauslastung beim Kopieren

5.4.7.2 (21.6.2013)
-------
  - Änderungen:
    - Es wird nur noch alle 14 Tage auf Programm-Updates geprüft, um die
      Belastung des Personal-Backup-Webservers zu reduzieren

5.4.7.1 (20.6.2013)
-------
  - Fehlerkorrekturen:
    - WaitForThread verändert, um zu hohe Prozessorbelastung zu reduzieren
  - Änderungen:
    - Automatische Update-Funktion abgeschaltet, da Traffic auf Personal-Backup-
      Webserver zu hoch

5.4.7.0 (14.6.2013)
-------
  - Fehlerkorrekturen:
    - Fenster in reduzierter Höhe wurde nicht gespeichert
    - Fehler beim Synchronisieren mit Dateifilter behoben
    - Beim Umschalten der Synchronisation wurde das Change-Flag nicht gesetzt
    - Bei Sicherung in Zip-Dateien wurde die Option "Archivbit zurücksetzen"
      nicht gespeichert.
    - Korrekturen beim Nachholen des vollst. Backups in Wechselplänen
    - Fehler beim Backup per FTP behoben, wenn nur tiefer liegende Unterverzeichnisse
      ausgewählt sind
  - Änderungen:
    - HeloName beim Mailversand fest auf "PersonalBackup" eingestellt (Wird sonst
      von Indy auf den Computernamen gesetzt, wobei es mit dem Exchange-Server
      zu Problemen mit Umlauten kommt).
    - Zusätzliche Meldungen im extra langen Protokoll bei Synchronisation per FTP

5.4.6.0 (8.5.2013)
-------
  - Fehlerkorrekturen:
    - Zugriffsverletzungs-Fehler bei Dateivorschau über Context-Menü behoben
    - Fehler beim Verschieben von Sicherheitskopien in Unterverzeichnis behoben
    - Fehler beim automatischen Backup an best. Wochentag behoben
  - Änderungen:
    - SMTP-Timeout auf 30 s erhöht
    - Zusätzliche Meldung im extra langen Protokoll vor Mailversand
  - Neu:
    - Nach dem Backup beim Herunterfahren kann optional eine Zeitverzögerung
      eingefügt werden
    - Das Synchronisieren kann wahlweise vor oder nach dem Backup durchgeführt werden

5.4.5.0 (22.4.2013)
-------
  - Fehlerkorrekturen:
    - Die Checkbox wurde beim Umordnen der zu sichernden Verzeichnisse nicht verschoben
    - Fehler beim Synchronisieren von enc-Dateien anderer Anwendungen behoben
    - Aufträgen aus der Befehlszeile wurde nicht automatisch die Standarderweiterung
      (buj,rsj,cuj) angehängt
    - Korrekturen beim Nachholen von ausgefallenen wöchentlichen Backups
    - Speicherleck beim Überprüfen per FTP behoben
  - Änderungen:
    - Bei Wechselplänen mit automatischen Aufträgen wird das erste Backup in dem
      Modus ausgeführt, wie er im Auftrag festgelegt wurde, d.h. entweder
      "Kopieren" (opt. mit Synchronisieren) oder "Alles neu".
    - Wenn ein Backupauftrag umbenannt wird, prüft das Programm, ob dieser Auftrag
      für ein automatisches Backup benutzt wird. Auf Wunsch des Benutzers wird
      das dann auch dort korrigiert.
    - Wenn man die Maus über die Nummerntasten der automatischen Aufträgen bewegt,
      wird der Name des zugehörigen Auftrags angezeigt.
    - Korrekturen in der Protokollanzeige
  - Neu:
    - Neuer Punkt im Aktions-Menü: Löschen von alten Protokollen

5.4.4.0 (14.3.2013)
-------
  - Fehlerkorrekturen:
    - Weitere Korrektur bei der Prüfung, ob ein Netzlaufwerk oder eine
      Netzwerkressource verbunden ist (siehe auch 5.4.3.1 und 5.4.2.6)
    - Anzeige des Hintergrundes bei der Typenauswahl korrigiert
    - 100%-Anzeige im Updatedialog korrigiert
    - Mailversand wurde angezeigt, obwohl kein Empfänger dafür ausgewählt
      ist, eine Mail bei fehlerfreiem Backup zu erhalten
    - Sicherheitskopien, die mit %bdate% beginnen, wurden beim Löschen nicht erkannt
    - Weitere Korrekturen beim Löschen von Sicherheitskopien
    - Korrekturen in PbPlaner
    - Fehler beim Zurückspeichern von Verzeichnissen in PbRestore behoben
    - Fehler beim Erstellen von Sicherheitskopien beim Backup behoben
      (Backslash fehlte im Dateipfad)
  - Änderungen:
    - Beim Löschen von Sicherheitskopien wird die Auswahl "Alter der Dateien"
      abgeschaltet, wenn die Option "Alter der Sicherheitskopien" ausgewählt
      wird.
    - Synchronisieren erfolgt nach dem Backup (nicht vorher)
    - Geänderte Einstellungen für die Auswahl von Sicherheitskopien beim
      Restore, Verify und Cleanup
    - Erweiterte Dateitypen-Anzeige mit Sortierung nach Name, Anzahl und Größe
    - Neues Tastenkürzel "Esc" zum Minimieren bei aktiven automatischen Aufträgen
    - Fortschrittsanzeige bei Mailversand

5.4.3.2 (22.2.2013)
-------
  - Fehlerkorrekturen:
    - Erneute Korrektur bei der Prüfung, ob ein Netzlaufwerk oder eine
      Netzwerkressource verbunden ist (siehe auch 5.4.3.1 und 5.4.2.6)
    - Autostart-Eintrag korrigiert
    - Größenveränderung des Status-Fensters korrigiert
  - Änderungen:
    - "silent"-Installation ohne automatischen Start des Programms erfordert
      zusätzlichen Befehlszeilen-Parameter "/norun" für das Setup
    - Listen der letzten Restore- und Löschaufträge im Kontext-Menü des
      Symbols in der Taskleiste

5.4.3.1 (19.2.2013)
-------
  - Fehlerkorrekturen:
    - Fehler bei Sicherheitskopien mit Platzhaltern für Datum und Zeit behoben
    - ActiveControl wird beim Deaktivieren auf Default-Wert gesetzt, um
      zu verhindern, dass beim Wiederaktivieren u.U. Bestätigungsabfragen
      geöffnet werden
    - Löschen von ganzen Verzeichnissen in den Papierkorb funktionierte nicht
    - Darstellungsfehler der Statusanzeige unter Windows 8 behoben
    - Korrektur bei der Erkennung von bereits verbundenen Netzlaufwerken
      (siehe auch 5.4.2.6)
    - Autostart-Eintrag wird bei Wechsel zwischen 32- und 64-Bit-Version
      angepasst

5.4.3.0 (14.2.2013)
-------
  - Änderungen:
    - Eine per /force gestartete Instanz hat ein eigenes Mutex und wird daher
      beim Öffnen des Programms von Hand nicht gestoppt
    - Bei einer per /force gestarteten Instanz kann das Programm nicht mehr
      über das Symbol im Windows-Infobereich geöffnet werden
  - Fehlerkorrekturen:
    - Korrektur beim Wiederherstellen der minimierten Anwendung
    - Fehler beim Löschen von nicht mehr vorhandenen Aufträgen aus den
      History-Listen behoben

5.4.2.6 (6.2.2013)
-------
  - Neu:
    - Windows-7-Bibliotheken könnnen direkt dem Auftrag hinzugefügt werden
  - Fehlerkorrekturen:
    - Sicherheitsabfrage des automatischen Backup korrigiert
    - Die Nichterreichbarkeit eines Netzwerkpfads wurde bei der Sicherung
      nicht erkannt (fehlerhafte Prüfung durch DirectoryExists). Zusätzliche
      Prüfung bei Netzlaufwerken und Freigaben eingefügt.
    - Exception bei nicht definiertem Standarddrucker wird abgefangen (Verbesserung)

5.4.2.5 (31.1.2013)
-------
  - Änderungen:
    - Neue Option: Genauer Vergleich der Zeitstempel, d.h. Dateien werden im
      Ziel überschrieben, wenn die Zeitstempel um mehr als die eingestellte
      Toleranz voneinander abweichen, unabhängig davon, ob sie älter oder
      neuer sind.
    - Zukünftiger Zeitstempel wird nicht korrigiert, wenn mit Archivbit
      gesichert wird oder die Option "genauer Vergleich" eingestelt ist
    - Bei der Sicherung wird zuerst in eine temp. Datei kopiert. Bei einem Fehler
      wird diese gelöscht, so dass die Datei vom vorherigen Backup erhalten bleibt.
      Andernfalls wird sie in das Original umbenannt.
    - Bei ausgewählter Option "Kopiere Erstellungsdatum" wird auch das Datum des
      letzten Zugriffs gesetzt.
    - Optionales Verschieben von Sicherheitskopien (Vorversionen) in ein
      Unterverzeichnis
  - Fehlerkorrekturen:
    - Korrektur im IdleHandler (Backup beim Abmelden)
    - Speicherleck in FtpFileTools behoben
    - Korrektur beim Zählen von wöchentlichen Wechselplänen

5.4.2.4 (17.1.2013)
-------
  - Fehlerkorrekturen:
    - Fehler beim Mailversand mit Protokoll behoben
    - Das Desktop-Fenster wurde nicht angezeigt, wenn ein Backupauftrag über
      Doppelklick im Explorer zum Bearbeiten geöffnet wurde und das Programm
      im Hintergrund lief.

5.4.2.3 (16.1.2013)
-------
  - Änderungen
    - Kleine Änderungen in der Protokollausgabe (Anzeige von Attributen bei Fehlern)
    - Eine Remote-Verbindung mit einem alternativen Benutzerkonto wird nach dem
      Backup getrennt
    - Zurücksetzen des ReadOnly-Attributs beim Löschen verändert
    - Nach Update wird kein Neustart veranlasst
    - Neue Befehlszeilenoption für PbPlaner (/ini:..)
    - Backup-Sicherungen optional in ein Unterverzeichnis
    - Protokoll wird wie unter 5.3 als UTF-8-TextFile geschrieben (siehe auch 5.4.0.0)
      => schneller im extra langen Modus
  - Fehlerkorrekturen:
    - Warteschleife in WaitForThread optimiert
    - Dateiinfos können nur kopiert werden, wennn nicht komprimiert und nicht
      verschlüsselt wird.
    - Nach dem Abbruch eines Backups wurde eine falschen Anzahl von Dateien
      angezeigt
    - Anzeige der Backupdauer auch für mehr als 24 Stunden
    - Korrektur bem Synchronisieren von gz-Dateien, wenn ohne Kompression gesichert #
      wird

5.4.2.2 (20.12.2012)
-------
  - Änderungen
    - Anpassung an neue Systemroutinen (FileExists, etc.) mit FollowLink
    - Fehlermeldung im Protokoll bei Abbrechen der FTP-Verbindung geändert
  - Fehlerkorrekturen:
    - Kleine Korrekturen bei symbolischen Links
    - Korrektur beim Sortieren der Restore-Vorschau nach Datum
    - Beim Abmelden konnte das Backup nicht mehr abgebrochen werden
    - Zähler für wiederholte FTP-Kopie bei Verbindungsverlust wurde nicht
      immer auf null zurückgesetzt

5.4.2.1 (3.12.2012)
-------
  - Fehlerkorrekturen:
    - Zeitstempel von $timestamp.pbu und Basisverzeichnis wurden falsch gesetzt
    - Fehler beim Synchronisieren von nicht zu komprimierenden Dateien behoben
    - Laufzeit des Backups wurde beim Synchronisieren nicht aktualisiert

5.4.2.0 (29.11.2012)
-------
  - Änderungen
    - TimeStamp-Infodatei kann optional auch bei anderen Backups als in
      Wechselplänen geschrieben werden
    - Automatische Aufträge werden nicht mehr gelöscht, wenn die Auftragsdatei
      nicht gefunden wurde
    - Fehlermeldung im Protokoll, wenn die Auftragsdatei nicht gefunden wurde
    - Liste der nicht zu komprimierenden Dateitypen erweitert
    - Der Zeitstempel des Basisverzeichnises des Backups wird auf den
      Zeitpunkt des Backup-Starts gesetzt
  - Fehlerkorrekturen:
    - Mailversand an Empfänger nur bei Fehler korrigiert
    - Korrektur in IMWndProc
    - Beim Umstellen auf Verschlüsselung wurden bereits existierende gz-Dateien
      im Ziel nicht gelöscht.
    - Korrektur beim Synchronisieren
    - Readonly-Dateien im Ziel wurden nicht gelöscht
    - Fehler beim Schreiben des Protokolls behoben (Nullbyte)
    - Exception bei nicht definiertem Standarddrucker wird abgefangen

5.4.1.0 (15.11.2012)
-------
  - Änderungen
    - Zurückspeichern von Verzeichnisbäumen aus Zip-Dateien in PbRestore eingefügt
    - Nach Ersetzen eines autom. Auftrags werden die zugehörigen Einstellungen
      nicht mehr zurückgesetzt
  - Fehlerkorrekturen:
    - Abmelden/Herunterfahren/Standby wurde bei Aufträgen, die über Doppelklick
      auf die Datei gestartet wurden, nicht ausgeführt
    - Thread-Fehler (Speicher-Leck) in ShellCtrls behoben
    - Archivbits der Quellverzeichnisse wurden bei Auswahl dieser Option
      nicht richtig zurückgesetzt
    - Nach dem Durchsuchen eines Verzeichnisses wurde manchmal der crNoDrop-Cursor
      angezeigt.
    - Änderung ShellCtrls: Refresh benötigte bei großen Verzeichnissen eine fast 
      endlose Zeit
    - Mehrere kleine Fehler beim Erstellen des Löschprotokolls korrigiert

5.4.0.2 (1.11.2012)
-------
  - Fehlerkorrekturen:
    - Fehler beim Aufruf des Maildialogs, wenn noch kein Empfänger angegeben
      war, behoben

5.4.0.1 (26.10.2012)
-------
  - Neu
    - Neue Option beim Löschen von Sicherheitskopien: Platzhalter in Datei-
      und Verzeichnisnamen für das Backup-Datum werden ausgewertet.
    - Erweiterte Funktion in PbRestore zum Zurückspeichern von Wechselplänen.
  - Fehlerkorrekturen:
    - Fehler in ShellCtrls behoben: In ShellDirDialog ist C:\ ist ausgewählt und
      die Anzeige muss aus irgendeinem Grund aktualisiert werden =>
      Beim Neuaufbau der Baumstruktur wird kurzzeitig D:\ (DVD-Laufwerk) ausgewählt
      und ein Datenträger angefordert.
    - Div. Speicher-Lecks beseitigt

5.4.0.0 (15.10.2012)
-------
  - Neu
    - Quellcode auf Delphi-XE2 umgestellt
    - Die für das Backup ausgewählten Verzeichnisse können individuell
      durch Mausklick ein- oder ausgeschlossen werden.
    - Neuer Platzhalter für Benutzer- und Computername im Zielpfad
    - Sicherheitsabfrage beim Ab- oder Umschalten eines automatischen Auftrags
    - Beim Mailversand können auswählbare Empfänger optional nur bei Fehlern
      benachrichtigt werden.
    - Neuer Platzhalter %status% bei externen Programmen nach dem Backup steht
      für Fehlercode (siehe auch ErrorLevel)
  - Änderungen
    - TimeStamp-Infodatei wird im Ziel nur bei Wechselplänen geschrieben
    - Geänderte Platzhalter: %computername% und %username%
    - Beim Löschen von Dateien wird das aktuelle Backupverzeichnis nicht
      übernommen
    - Schnelleres Kopieren durch Änderung in WaitFor..Thread
    - Protokoll wird als Stream geschrieben (wegen UTF-8)
  - Fehlerkorrekturen:
    - Beim Laden eines FTP-Löschauftrags wurde nicht auf FTP umgeschaltet.
    - Sicherheitskopien wurden beim Synchronisieren gelöscht, wenn auf
      Vorversionen eingestellt war und keine fester Name angegeben wurde.
    - Die Fenstergröße wurde im Zustand "Maximieren" nicht richtig gespeichert
    - Restore- und Löschdialog wurden in den Hintergrund verschoben, wenn
      keine Dateien gefunden wurden.
    - Beim Ausführen eines Backups über "/force" wurde der Drucker nicht richtig
      initialisiert.
    - Manchmal wurde irrtümlich ein Fehler beim automatischen Start angezeigt
      (siehe 5.3.0.2), weil der Fehler eines vorangegangenen von Hand gestarteten
      Backups nicht zurückgesetzt wurde.

5.3.2.2
--------
  - Fehlerkorrekturen: 10.9.2012
    - Beim Herunterfahren gab es manchmal einen Fehler beim Zugriff
      auf Screen.ActiveForm (ActivateHandler in BuMain)
  - Neu: 7.9.2012
    - Nach der Rückkehr aus einem Ruhezustand (z.B. Energiesparmodus) wartet das
      Programm die gleiche Zeit, wie beim automatischen Neustart, bevor die
      ersten anstehen Backups nachgeholt werden.
  - Änderungen: 10.9.2012
    - Korrektur beim Zeitfilter "älter als" (0:00 des Folgetages ist jetzt
      ausgeschlossen)
    - Textänderungen: ScheduleDialog, Neuer als -> Alle seit
    - Nach Minimieren wird wieder der vorherige Fensterzustand hergestellt.

5.3.2.1
--------
  - Fehlerkorrekturen: 5.9.2012
    - Fehler wegen zu geringer Kopiergeschwindigkeit behoben (WaitForThread)

5.3.2.0
--------
  - Neu: 30.8.2012
    - Festes Kennwort für die Entschlüsselung bei Restore-Aufträgen
    - Optional: Verschieben von zu löschenden Dateien beim Synchronisieren in
      ein Unterverzeichnis
  - Änderungen: 29.8.2012
    - Auch beim Restore werden Warnungen jetzt angezeigt
    - Beim Abbruch eines Backups wird eine Bestätigung angefordert
    - Das Statusfenster wird bei automatischen Aufträgen nicht aktiviert, so dass
      die letzte vorher aktive Anwendung den Fokus behält
    - Bei geöffnetem Statusfenster ist das aufrufende Fenster (z.B. Backup) gesperrt
    - Anzeige der verstrichenen Backupzeit und des Fortschritts in Prozent im Statusfenster
  - Fehlerkorrekturen: 30.7.2012
    - Virtuelle Ordner (z.B. Bibliotheken) können nicht mehr per Drag&Drop
      dem Auftrag hinzugefügt werden
    - Die Systemroutine "FileAge" verursacht einen Fehler bei ungültigen
      Zeitstempeln (EncodeDate), durch eigene Routine ersetzt (hat sich nur bei
      eingeschaltetem extra langen Protokoll ausgewirkt)
    - Korrektur bei der Pfadverwaltung in den History-Listen
    - Korrektur beim beim Aufruf von Dateien aus dem Listenmenü bei Indizes > 15

5.3.1.2
--------
  - Änderungen: 9.7.2012
    - Kleine visuelle Änderungen
    - Warnmeldung bei Einschalten eines der Modi "Alles neu", "Differenziell" oder
      "Inkrementell".
  - Fehlerkorrekturen: 3.7.2012
    - Bei einem ungültigen Datum (BackupDate) in der Ini-Datei wurde der
      Zeitwert nicht übernommen.
    - Wenn bei automatischen Backups zuerst ein Auftrag mit "Abmelden" und dann
      ein Auftrag mit "Anmelden" eingetragen war, wurde das Programm nach dem
      Autostart geschlossen und nicht in die Taskleiste gesetzt.
    - Korrektur der Angabe von Zeitstempeln im extra langen Protokoll
    - Korrektur beim Minimieren des Backup-Fensters
    - Korrekturen bei der Protokollanzeige, wenn ein eigenes Protokoll im
      Auftrag angegeben ist.
    - Fehler in Statusanzeige (2. Zeile) behoben)

5.3.1.1
--------
  - Änderungen: 25.5.2012
    - Kleine Änderungen beim Restore-Protokoll
    - Beim Klick auf das Symbol in der Taskleiste wurde das Hinweisfenster immer
      auf dem Hauptmonitor angezeigt, jetzt auf dem jeweils aktuellen.
    - Kleine Textkorrekturen
    - Hinweis im langen Protokoll, wenn eine Datei überschrieben wurde.
    - Einstellbare Zeitüberschreitung für die FTP-Verbindung (Standard = 60s)
  - Fehlerkorrekturen: 29.5.2012
    - PbRestore konnte keine gze-Datzeien zurückspeichern (siehe auch V. 5.2.0)
    - Korrektur an der Position der CheckBox "Repeat" im Statusfenster

5.3.1.0
--------
  - Fehlerkorrekturen: 7.5.2012
    - Nach dem Minimieren des Fensters konnte es nicht mehr geöffnet werden.
    - Fehler beim Schließen eines Teilbaums mit Unterverzeichnissen behoben
      (wirkte sich nur aus, wenn der Eintrag in der ersten Zeile der Anzeige stand)
    - Beim Sichern per FTP wurde eine eingestellte Geschwindigkeitsbegrenzung
      irrtümlich auch bei den lokalen Vorverarbeitungen (Komprimieren, Verschlüsseln)
      verwendet.
    - Fehler beim Abmelden (siehe 5.3.0.2) wurden nicht in der Ini-Datei gespeichert
      und daher beim automatischen Start nicht angezeigt.
  - Änderungen: 3.5.2012
    - Bei der Auswahl "nur die markierten" Unterverzeichnisse werden die Dateien
      des Basisverzeichnisses nicht mehr gesichert
    - Position der Wiederholungsanzeige im Statusfenster verändert
    - Zeitüberschreitung beim Ausführen von ext. Programmen kann optional
      ignoriert werden.
  - Neu: 21.4.2012
    - Die Listen mit den zuletzt benutzen Aufträgen können bearbeiet werden
    - Beim Synchronieren sind Sicherheitskopien der folgenden Typen möglich:
      Suffix=<Suffix>   ->  Dateiname.<Suffix>.Ext
      Suffix=+<Suffix>  ->  Dateiname.Ext.<Suffix>
    - Option "Überprüfen" nach Backup auch bei Sicherung per FTP

5.3.0.4
--------
  - Änderungen: 11.4.2012
    - Bei Sicherung in Zip-Dateien kann das Archivbit zurückgesetzt werden, auch
      wenn es nicht benutzt werden soll (ähnlich "alles neu" in Einzeldateien).
    - Anpassung der Einträge in der Liste der zu sichernden Verzeichnisses an
      andere Schriftgrößen.
    - Anpassung aller Dialoge an größere Schriften
  - Fehlerkorrekturen: 4.4.2012
    - Beim Löschen eines Verzeichnisses während des Synchonisierens wurde dies
      nicht in der Statusanzeige dargestellt.
    - Im Wizard wurde AppData nicht richtig ermittelt.

5.3.0.3
--------
  - Fehlerkorrekturen: 29.3.2012
    - Fehler beim Kopieren der temp. Zip-Datei per FTP behoben
    - Korrekturen bei der Anzeige des Zip-Namens
    - Umschaltung Dir <-> FTP in Cleanup korrigiert

5.3.0.2:
--------
  - Neu: 2.3.2012
    - Wenn ein Backup beim Abmelden fehlerhaft war, wird beim nächsten automatischen
      Start ein optionaler Hinweis angezeigt
  - Änderungen: 21.3.2012
    - Anzeige für Name der Zipdatei bei dmZipRoot wie im Wizard
    - Option im Statusfenster, um das Backup zu wiederholen
    - In den Historylisten für die Aufträge werden relative Pfade gespeichert,
      wenn die Aufträge sich im Standardverzeichnis befinden.
    - Beim Sichern in Zip-Dateien per FTP werden vor dem Kopieren der temporären
      Datei im Ziel vorhandene Archive nicht sofort überschrieben, um bei einem
      Fehler oder Abbruch wiederhergestellt werden zu können.
  - Fehlerkorrekturen: 21.3.2012
    - Beim Speichern von Aufräumaufträgen wurde der Modus immer auf "Dateien löschen"
      zurückgestellt.
    - Korrektur beim Warten auf externe Programme
    - Die Befehlszeilenoption "/taskdir" wurde nicht richtig ausgewertet (z.B. beim
      Start von einem USB-Stick)
    - Taskbar-Fortschrittsanzeige wurde am Ende nicht immer auf 100% gesetzt.

5.3.0.1:
--------
  - Fehlerkorrekturen: 18.2.2012
    - Fehler bei Anlegen von automatischen Aufträgen behoben (Listenindex überschreitet ..)
    - Im Wizard wurden nur 8 automatische Aufträge zur Auswahl angezeigt.

5.3.0.0:
--------
  - Fehlerkorrekturen: 16.2.2012
    - Bei Sicherung in eine Zip-Datei mit Archivbit wurde die Vorschau nicht
      richtig angezeigt.
    - Fehler (SetFocus) beim Hinzufügen eines Verzeichnisses über das Menü behoben.
    - ZipName wurde nicht richtig aus dem Wizard übernommen.
    - Anzeige des Tooltipps für den Auftrag korrigiert
    - E-Mail-Versand nur bei Fehlern wurde nur bei Kopierfehlern und nicht auch
      bei anderen Fehlern ausgeführt.
    - Beim Wechsel der Sprache wurde die Typenliste verändert.
    - Beim Prüfen des Dateinamens in Zip-Dateien, ob er UTF-8-codiert werden muss,
      wurde fälschlicherweise ISO-8859-1 statt Code-Page 437 verwendet.
  - Änderungen: 14.2.2012
    - Bis zu 16 automatische Aufträge
    - Möglichkeit für jeden Auftrag eine individuelle Protokolldatei mit
      Platzhaltern für Datum und Zeit zu erstellen.
    - Zusätzlicher Eintrag im Eventlog, wenn ein Auftrag über die Befehlszeile
      mit "Quiet" gestartet wurde.
    - Auswahloptionen als automatischer Auftrag im Wizard geändert.
    - Balloontipps im Infobereich können im Menü "Programmeinstellungen"
      über "Hinweise anzeigen" abgeschaltet werden.
    - Bei Option "Archivbit zurücksetzen" wird das auch auf das Archivbit des
      übergeordneten Verzeichnisses angewandt.
    - Zusätzlicher Hinweis auf Aktion im Filterdialog
    - Auch bei geöffnetem Programmfenster bleibt das Symbol im Windows-Infobereich
      stehen. Mit einem Rechtsklick darauf kann das Fenster an seine
      Standardposition verschoben werden (z.B. bei Systemen mit 2 Monitoren).

5.2.0.3:
--------
  - Fehlerkorrekturen: 24.1.2012
    - Weitere Korrektur beim Zeitstempelvergleich mit einigen FTP-Servern (z.B.
      bei Feature MTFM, aber ohne MLST).
    - Hinweis auf verfügbares Update wurde nicht immer im Vordergrund angezeigt.
    - Bei Sicherung per FTP wurde bei Verschlüsselung und von der Kompression
      ausgenommenen Dateien falsch synchronisiert.
    - Bei Restore, Cleanup und Verify wurden einige FTP-Einstellungen nicht
      gespeichert.

5.2.0.2:
--------
  - Fehlerkorrekturen: 19.1.2012
    - Nach einem Backup wurde die Ausführungszeit in der Auftragsdatei nicht
      aktualisiert (bereits seit Vers. 5.1.2.2).
    - Beim Backup über die Befehlszeile funktionierte ein anschließendes
      Herunterfahren nicht.
    - Korrektur beim Zeitstempelvergleich mit einigen FTP-Servern (z.B. vsFTP).
  - Änderungen: 18.1.2012
    - Vor dem Kopieren einer Datei werden die Attribute unverändert gelassen.
      Das Setzen auf den Wert des Originals erfolgt danach (erfordert bei NTFS
      die entsprechende Berechtigung).
    - Korrekturen im Layout der Fenster für: Restore, Cleanup und Verify

5.2.0.1:
--------
  - Fehlerkorrekturen: 12.1.2012
    - Unter Windows XP und älter wurde ein Backup beim Start u.U. mehrfach gestartet
      Angezeigter Fehler: "Aus einem sichtbaren Fenster .."
      Ursache: Fehler beim Abschalten der Balloon-Tipps
    - ProgressBar in BuMain entfernt, da nicht mehr benötigt (verursachte außerdem
      Fehler beim Start unter Windows 2000 wegen fehlender DLL für UxTheme)
    - Korrektur in der Statusanzeige von Wechselplänen
    - Backup mit Archivbit in Zip-Dateien korrigiert

5.2.0.0:
--------
  - Neu: 19.12.2011
    - Neues Modul zum Überprüfen von gesicherten Dateien
    - Möglichkeit, beim Backup Abzweigungspunkte (junctions) auszuwerten
    - Im Statusfenster kann optional während des backups eine nachfolgende Aktion
      (z.B. Herunterafhren oder Standby) gewählt werden
    - Die meisten Dialoge werden erst bei Aufruf erzeugt, um Ressourcen zu sparen:
      Dadurch funktioniert das Backup auch beim Herunterfahren über ein
      Gruppenrichtlinien-Skript.
    - Neues Startlogo
  - Änderungen: 12.12.2011
    - Geänderte Erweiterung bei verschlüsselten gzip-Dateien (.gze)
      Grund: 1. Da das Format nicht kompatibel zum gz-Standard ist, kann es so
                nicht so leicht zu Verwechslungen kommen.
             2. Gibt die Möglichkeit eines direkten Restores über FTP
    - Bei Sicherung in Zip-Dateien gibt es nur noch den Modus kopieren, da hier
      grundsätzlich immer die Zieldatei neu angelegt wird (bei Einzeldateien nur
      bei voll, diff. und inkr.)
    - Kleine Änderungen im Assistenten für neue Aufträge
    - gzip mit Zusatzinfo für 64-bit-Größe
    - Restore und Cleanup überarbeitet
    - Beim Herunterfahren werden nur noch EWX_POWEROFF und EWX_REBOOT unterstützt.
    - Fehlermeldung nach Ausführung von externen Programmen verbessert
    - Beim Synchronisieren auf einem lokalen Laufwerk kann optional der
      Windows-Papierkorb benutzt werden.
    - Balloon-Tipps werden bei Windows XP nach 5 s abgeschaltet
  - Fehlerkorrekturen: 5.1.2012
    - Korrektur beim Anlegen der Verzeichnisse von Wechselplänen
    - Datumsberechnung bei Restore über FTP korrigiert
    - Volles Backup beim 2-wöchigen Wechselplan wurde einen Tag zu früh ausgeführt
    - Korrektur beim Nachholen von ausgefallenen vollst. Backups in Wechselplänen
    - Bei Sicherung in "ein Verzeichnis" ist nur der Modus "Kopieren" erlaubt.

5.1.2.3:
--------
  - Fehlerkorrekturen: 9.11.2011
    - Fehler beim Aufruf des Taskplaners in Restore und Cleanup mit bereits
      gespeicherten Aufträgen behoben.
    - Bei geplanten Aufgaben wird dem Namen von Windows intern eine Erweiterung
      ".job" angehängt, so dass die Identifizierung innerhalb des programminternen
      Interfaces fehlschlug, Erweiterung wird entfernt (siehe JclTask)
  - Änderungen: 21.11.2011
    - PbPlaner: Schaltfläche zum Erzeugen einer Desktop-Verknüpfung zum Start
      des konfigurierten Wechselplans von Hand.
    - geänderte Optionen bei Aufgabenplanung: Standby und Ruhezustand
    - Neue Version von OpenSSL (1.0.0e)

5.1.2.2:
--------
  - Fehlerkorrekturen: 7.11.2011
    - weiteren Fehler in GetSessionData behoben
    - Darstellungsfehler in Wizard behoben
    - Abspeicherung von verschlüsselten Befehlszeilen der Länge 96 - 126 war
      fehlerhaft. Maximallänge auf 8192 erweitert.

5.1.2.1:
--------
  - Fehlerkorrekturen: 3.11.2011
    - DLLs für GetUserSessionData werden dynamisch geladen, da erst ab XP verfügbar.
    - Wegen eines Fehlers in der Delphi-Bibliotheksfunktion "StdCtrls.GetCaretPos"
      wurde bei der Protokollanzeige die Zeilenpositon falsch angegeben.
    - Dateien der Länge Null wurden aus Zip-Dateien nicht zurückgespeichert
  - Änderungen: 4.11.2011
    - Anzeige der Änderungshistorie im Hilfe-Menü
    - Während eines von Hand gestarteten Backups kann zusätzlich ausgewählt werden,
      ob nach dem Ende des Backups der Standby- oder Ruhezustand angenommen werden
      soll (siehe 5.1.0.0).
    - Diese Zusatzaktionen werden auch bei Aufträgen aus der Befehlszeile angezeigt,
      und können dann nachträglich geändert werden.

5.1.2.0:
--------
  - Änderungen: 28.10.2011
    - Balloon-Tooltip beim Minimieren des Programms.
    - Platzhalter für externe Programme geändert (neu: %zipname%).
    - Die Anzeige der Eingabeaufforderung bei externen Batch-Dateien bei automatischen
      Aufträgen ist abhängig von der Einstellung für die Statusanzeige oder der
      "prompt"-Option in der Befehlszeile (nur bei "wait" oder "error").
    - Möglichkeit, beim automatischen Backup beim Abmelden eine Tageszeit anzugeben,
      vor der das Backup nicht gemacht wird (außer die aktuelle Anmeldung erfolgte
      nicht am gleichen Tag)
    - Restore von gz-Dateien (nur unverschlüsselt) und enc-Dateien über FTP
  - Fehlerkorrekturen: 26.10.2011
    - falsche Meldung im extra langen Protokoll, wenn bei FTP-Sicherung eine
      Datei im Ziel nicht existiert.
    - zusätzliche Meldung im extra langen Protokoll mit der Antwort vom FTP-Server
      nach Verzeichniswechsel
    - Dialog zum Starten der Konfiguration eines Restores mit der Aufgabenplanung
      korrigiert.
    - Bei Wechselplänen mit z.B. 21 Tagen wurde der aktuelle Wochtenag falsch angezeigt.
    - Korrekturen beim Navigieren durch das Protokoll

5.1.1.0:
--------
  - Neu: 30.9.2011
    - Hilfsprogramm "PbRestore" mit opt. Prüfung auf Überschreiben (Vers. 2.1)
    - Tastenkürzel für div. Grundfunktionen
    - Deinstallation auch bei laufendem Programm möglich
  - Änderungen: 15.10.2011
    - Kein automatischer FTP-Dialog beim Laden eines Restore-Auftrags
    - Doppelklick auf eine rsj-Datei startet den Restore-Dialog
    - Korrekturen der Tabulator-Reihenfolge bei div. Dialogen
    - Verbesserte Möglichkeiten, das Programm über die Tastatur zu bedienen
    - kleine Korrekturen in den englischen Texten
    - Bei automatischen Wechselplänen wird dem Verzeichnisnamen ein F, D oder I
      angefügt, um anzuzeigen, um welchen Typ von Backup es sich jeweils handelt
      (z.B. BD01F für Voll, BD02D für differenziell)
    - Geänderter Hinweis im extra langen Protokoll, wenn das Archivbit nicht
      gesetzt ist.
    - Geändertes Kontextmenü für Auftrag
  - Fehlerkorrekturen: 15.10.2011
    - Korrekturen in der Statusanzeige für das Protokoll
    - Korrektur im Zeitvergleich beim Restore
    - Endzeit im Protokoll bei fehlerhafter Ausführung eines externen Programms
      war falsch
    - Zusätzliche Anzeige des System-Fehlercodes bei fehlerhafter Ausführung eines
      externen Programms
    - Korrekturen bei "SetCurrentDir"
    - Korrektur bei Cleanup: Checkboxen "cbDelBak" und "cbDelSync" wurden nicht
      richtig gespeichert
    - Zeitvergleich bei FTP verwendete bei einigen Servern nicht die lokale Zeit
    - Im Kontextmenü für den Auftrag führte die Protokolleinstellung zu
      globalen Einstellung (siehe Hauptmenü) und nicht zu den Auftragseinstellungen.
    - Bei Änderund der globalen Protokolleinstellungen und Übernahme in den
      geöffneten Auftrag wurde das Änderungsflag nicht gesetzt.

5.1.0.4:
--------
  - Fehlerkorrekturen: 25.8.2011
    - mehrere kleine Korrekturen in den angezeigten Texten
    - Bei Klick auf "Fertig" wurde irrtümlich eine "Abbrechen"-Aktion ausgelöst
      (hat sich nur ausgewirkt, wenn danach ein zweites automatisches Backup
      ausgeführt wurde)
    - Korrektur in ExecuteProcess bei "Delay=0"
  - Änderungen: 25.8.2011
    - Geändertes Kontext-Menü für zu sichernde Verzeichnisse: "Alle Verzeichnisse
      neu durchsuchen"
    - Verbesserte und erweiterte Funktionen bei Klick auf das Symbol im Infobereich
      (z.B. Fenster in den Vordergrund holen).
    - Überarbeitete und aktualisierte Hilfe-Dateien

5.1.0.3:
--------
  - Änderungen: 3.8.2011
   - Automatisches Update weiter verbessert
   - kleine Korrekturen bei der Anzeige auf zwei Bildschirmen
   - variable Breite des AutoStart-Panels wird gespeichert
  - Fehlerkorrekturen: 4.8.2011
    - Bei gz-Archiven wurde bei Dateien >= 4 GB eine falsche Länge geschrieben.

5.1.0.2:
--------
  - Fehlerkorrekturen: 2.8.2011
    - Einstellung von Verschlüsselung mit festem Kennwort korrigiert
  - Änderungen: 2.8.2011
    - Beim automatischen Update nach Autostart konnte sich das Programm aufhängen,
      wenn die Updateabfrage nicht funktionierte.

5.1.0.1:
--------
  - Fehlerkorrekturen: 1.8.2011
    - Fehler beim Kopieren mit Archivbit per FTP und in Zip-Datei behoben
    - Anzeige der Auftragsbeschreibung als Hinweis korrigiert.

5.1.0.0:
--------
  - Neu: 20.7.2011
    - Übersichtlichere Einstellung der Auftragsoptionen
    - Option bei Kopieren mit Archivbit: "Nur Dateien mit gesetzem Archivbit"
      an: Es werden nur die Dateien kopiert, deren Archivbit gesetzt ist
      aus: Wenn eine Datei im Ziel nicht existiert, wird sie immer kopiert, andernfalls
      nur, wenn das Archivbit gesetzt ist.
    - Während eines von Hand gestarteten Backups kann ausgewählt werden, ob nach
      dem Ende der Benutzer abgemeldet ooder der Computer heruntergefahren
      werden soll.
  - Änderungen: 20.7.2011
    - Umfangreiche Bearbeitung der englischen und deutschen Texte der GUI
    - Prüfung auf Updates bei AutoStart auch, wenn Sicherung beim Anmelden erfolgt
    - Protokoll als text/plain im Mailanhang wird nicht mime-kodiert
    - Hinweistexte mit Unterscheidung für Singular und Plural
  - Fehlerkorrekturen: 26.7.2011
    - Routine FTP.ChangeToSubdir nach MKD:
      1. Auswertung für Antwort "257" mit anschließendem CWD
      2. Antwort 250 wird akzeptiert (lt. RFC eigentlich nicht erlaubt, wird aber
      von einigen Servern zurückgegeben), anschließend CWD
    - Das in Vers. 5.0.8.6 eingeführte Verfahren "Kopieren mit Archivbit" war
      fehlerhaft. Mit neuer Option (s.o.) korrigiert.
    - Darstellungsfehler des Hintergrunds von SelectedDirBox unter XP korrigiert
    - Mehrere Fehler beim Anzeigen und Vergleichen von Dateien im Restore-Auswahldialog
      behoben.
    - Dateizählung beim Synchronisieren korrigiert

5.0.9.2:
--------
  - Fehlerkorrekturen: 1.7.2011
    - Fehler beim Starten aller automatischen Backups aus dem Kontextmenü behoben.
    - In der Statusanzeige sind Pfade mit "&" erlaubt.
    - Korrektur in der zweizeiligen Anzeige bei Kopierfehlern
  - Änderungen: 4.7.2011
    - Fortschrittsanzeige in der Taskbar über ITaskbarList3
    - Möglichkeit UTF-8 zu erzwingen, auch wenn nicht in Featurelist gemeldet
    - Indy10-Routinen:
      - GIdDefaultAnsiEncoding = encOSDefault statt encASCII
      - in IdFtp: Explizites Abschalten von UTF-8 falls nicht in der Featurelist

5.0.9.1:
--------
  - Neu: 22.6.2011
    - Neue Befehlszeilenoption: /suspend:[standby,hibernate]
    - Bei Start eines Auftrags über das Kontextmenü der Taskleiste kann
      nach dem Backup der Standby- oder Ruhezustand eingenommen werden.
  - Änderungen: 23.6.2011
    - Neue Version der Indy10-Routinen verwendet  (40.45 v. Mai 2011)
    - div. Korrekturen beim FTP-Transfer, um plötzliche Unterbrechungen
      der Verbindung (insbes. bei TLS) zu beheben
    - Restore von Zip-Dateien pro Verzeichnis erlaubt Platzhalter im Zip-Namen
    - Fester Name für alle Zip-Dateien bei Sicherung in getrennte Verzeichnisse
      auch bei Platzhalter mit Datum und/oder Zeit
    - Dateien der Länge 0 werden in Zip-Archiven ohne Kompression gespeichert
      (damit werden die Archive im Gegensatz zu WinZip auch von 7Zip als
      fehlerfrei erkannt)
  - Fehlerkorrekturen: 19.6.2011
    - Korrektur im Restore-Dialog: cbDecrypt nicht bei Zip-Dateien

5.0.9.0:
--------
  - Änderungen: 7.6.2011
    - Statusanzeige jetzt zweizeilig (gelöscht und kopiert)
    - GetThreadLocal durch GetUserDefaultLCID ersetzt, siehe auch:
      https://forums.embarcadero.com/thread.jspa?threadID=30655&tstart=15
    - Sicherheitskopien von Verzeichnissen auch bei FTP
    - Problem beim Kopieren von Dateien mit führendem Leerzeichen per FTP:
      Das Leerzeichen geht durch die Struktur der FTP-Befehlszeile grundsätzlich
      verloren. Einige Server (z.B. FileZilla) erlauben das Einschließen mit
      Anführungszeichen (wie in der Befehlszeile von Windows), daher entsprechende
      neue Option bei den FTP-Einstellungen.
      Bei anderen Servern gibt es nur die Möglichkeit alle Leerzeichen im
      Dateinamen wie bei anderen Sonderzeichen durch das Hex-Äquivalent
      (z.B. %0020) zu ersetzten (siehe in den FTP-Einstellungen).
    - Protokolleinstellungen werden im Restore- und Clean-Auftrag gespeichert
    - Sofortiger Abbruch des Backups, wenn bei FTP ein Verzeichniswechsel fehlschlägt
      oder die Verbindung abbricht
    - Überarbeitete Fehlermeldungen
  - Fehlerkorrekturen: 7.6.2011
    - Taste "Protokolleinstellungen" bei Restore war ohne Funktion
    - Eine mögliche Exception beim Mailversand wird abgefangen.
    - Korrekturen in der englischen GUI
    - Sicherheitskopien von Verzeichnissen wurden beim Synchronisieren nicht
      richtig erkannt, wenn sie einen Platzhalter enthielten
    - Fehler beim Zählen der zu löschenden Stammverzeichnisse behoben.
    - Mehrere Fehler beim Löschen mit Synchronisieren per FTP behoben
    - Wenn die Protokolleinstellungen für den aktuellen Auftrag über das Hauptmenü
      verändert wurden, wurde das "Changed"-Flag nicht gesetzt
    - Falsche Fehlerprotokollierung bei Kopieren von Datei-Infos

5.0.8.7:
--------
  - Fehlerkorrekturen: 18.5.2011
    - Bei Netzwerkverzeichnissen funktionierte die Erkennung auf Pfade mit
      nachfolgenden Leerzeichen nicht
    - Beim Backupmode komplett wurde irrtümlich das Archivbit benutzt

5.0.8.6:
--------
  - Neu: 13.5.2011
    - Hilfsprogramm "PbRestore" erweitert für Zurückspeichern von kompletten
      Verzeichnisbäumen (Vers. 2)
  - Änderungen: 16.5.2011
    - Bei einigen Optionen wurde das "Changed"-Flag nicht gesetzt
    - Bei Sicherung mit Überprüfung wird nach dem Schreiben "FlushFileBuffers"
      ausgeführt, um den Schreib-Cache zu leeren
    - Bei Archivbit als Kriterium beim Kopieren werden Dateien aus im Backup noch
      nicht existierenden Verzeichnisse immer kopiert
    - Sortier-Taste für zu sichernde Verzeichnisse nach unten verschoben
    - Änderung von Dateinamen beim Kopieren auch bei FTP unter Einstellungen
    - Anzeige von Hints überarbeitet
    - Bei der Anzeige des Statusfenster beim Warten wird das Hauptfenster für
      Eingaben gesperrt.
    - Bei FTP wird auch, wenn das Setzen des Zeitstempels fehlgeschlagen ist
      (wird von vielen FTP-Servern nicht unterstützt), das Archivbit (falls
      die Option gewählt ist) zurück gesetzt.
    - kleine Korrekturen im Wechselplandialog
    - Während eines zeitgesteuerten autom. Auftrag ist das Taskbar-Icon gesperrt.
    - Unterverzeichnissnamen im Zielpfad mit Leerzeichen am Ende werden korrigiert
      (entweder abgeschnitten oder durch NewDir ersetzt), da solche Pfade in
      Windows nicht direkt gelöscht oder umbenannt werden können
    - Größe des Statusfensters beim Durchsuchen kann verändert werden
    - Verbesserte Statusanzeige beim Durchsuchen für Restore und Cleanup
  - Fehlerkorrekturen: 13.5.2011
    - In der Liste der zu sichernden Verzeichnisse wurde die Anzahl der
      Unterverzeichnisse nicht richtig angezeigt, wenn alle ein oder ausgeschlossen
      wurden
    - Die Zeit der letzten Sicherung wurde nur bei automatischen Aufträgen richtig angezeigt
    - Wenn die Protokolleinstellungen für den aktuellen Auftrag über das Hauptmenü
      verändert wurden, wurde die Anzeige nicht aktualisiert.
    - Bei vollem Zieldatenträger wurde keine entsprechede Statusmeldung ausgegeben
    - Bei wöchentlichem Wechselplan mit Backup beim Abmelden an einem bestimmten
      Tag wurde der Zyklus nicht weitergezählt.

5.0.8.5:
--------
  - Änderungen: 11.4.2011
    - zusätzlicher ExitCode: 5 = vom Benutzer abgebrochen
    - Save-Button wird nur aktiviert, wenn ein Auftrag geändert wurde
  - Fehlerkorrekturen: 13.4.2011
    - Bei FTP-Servern, die MLST nicht untertstützen (z.B. VSFTPD), wird der
      Zeitstempel über LIST nur tagesgenau (Uhrzeit immer 0:00) übergeben, wenn
      die Datei älter als ein Jahr ist. Daher wurden solche Dateien immer neu
      kopiert. In diesem Fall wird jetzt der Zeitstempel explizit über MDTM
      abgefragt, um den genauen Wert für den Vergleich zu erhalten.
    - nach einem automatischen Backup wurde das letzte Backupdatum nicht aktualisiert.

5.0.8.4:
--------
  - Änderungen: 6.4.2011
    - Automatisches Backup "1 x pro Woche beim Anmelden" geändert in
      "1 x pro Woche an best. Wochentag"
    - Hinweis im Protokoll, wenn es sich um eine Fortsetzung handelt
    - Beim Abbruch einer Datensicherung werden unvollständige Zip-Dateien gelöscht.
  - Fehlerkorrekturen: 5.4.2011
    - Bei Wechselplänen und FTP wurden Zip-Dateien in das falsche Verzeichnis kopiert.
    - Steuerdateien mit Kommentar wurden falsch eingelesen
    - Anzeige im Kontextmenü Verzeichnisse für Auswahlvorschau nur, wenn Archivbit
      verwendet wird.
    - Auswahlvorschau für Archivbit korrigiert

5.0.8.3:
--------
  - Änderungen: 29.3.2011
    - Keine Wait-Option bei Quiet-Modus im Assistenten für die Windows-Aufgabenplanung
    - Start-Dialog bricht ab, wenn die Auftrags-Datei nicht gefunden wurde
    - Steuerdatei wird zuerst im aktuellen dann im Programm-Verzeichnis gesucht
    - Verbesserte Geschwindigkeitsanzeige beim Kopieren
    - Bei Start von Aufträgen über die Befehlszeile wird ein ExitCode gesetzt:
      0 = keine Fehler, 1 = Auftrag nicht gefunden, 2 = Ziel nicht erreichbar,
      3 = Quelle nicht gefunden, 4 = Fehler beim Backup, Restore, Aufräumen
    - Bei Aufträgen über die Windows-Aufgabenplanung wird immer der volle
      Pfad eingetragen.
    - Kleine Korrekturen bei FTP-Protokolleinträgen
    - Ergänzungen bei den Protokolleinträgen Restore und Cleanup
  - Fehlerkorrekturen: 17.3.2011
    - In TaskSchedDlg wurde der relative Pfad u.U. falsch bestimmt.
    - Fortschrittsanzeige in Cleanup wurde im Quiet-Modus falsch aufgerufen

5.0.8.2:
--------
  - Änderungen: 28.2.2011
    - zusätzliche Hinweise über gestartete Aufträge bei Mausbewegung über das
      Taskbar-Symbol
    - Neue verbesserte Funktion für das Anlegen eines Desktop-Icons (siehe auch 4.3.3.6)
    - einige zusätzliche Formate in der Liste für nicht zu komprimierende Dateien.
    - Geschwindigkeitsbremse auch bei Windos-Zielen möglich
    - Fehlermeldung, wenn eine Optionendatei aus der Befehlszeile nicht gefunden wurde
    - Einträge im Ereignis-Log bei Fehlern im Quiet-Modus
  - Fehlerkorrekturen: 16.2.2011
    - Popup-Fenster bei Rechtsklick auf Unterverzeichnisauswahl erschien an
      falscher Stelle.
    - Port für SMTP und FTP einstellbar zwischen 0 und 65535

5.0.8.1:
--------
  - Änderungen: 3.2.2011
    - Protokollstatusanzeige getrennt für geladenen Auftrag und automatischen Auftrag
    - Die Fensterposition wird bei einem und zwei Bildschirmen automatisch angepasst.
    - Kleine Änderungen in der Protokollausgabe
    - Getrennte Voreinstellung für Kopierpuffergröße für Windows und FTP
    - Bei Backup per FTP kann die max. Datenrate vorgegeben werden
    - Bei Anzeige des Protokolls aus dem Statusfenster kann nicht gelöscht werden.
    - Bei eingeschaltetem Kopieren von Datei-Infos ist kein Überprüfen möglich
  - Fehlerkorrekturen: 28.1.2011
    - Protokolleinstellungen wurden bei Warnungs-Option immer auf extra lang
      gesetzt.
    - Starten von Löschaufträgen über die Befehlszeile funktionierte nicht
    - Korrekturen bei den Subjects für Mailversand
    - Fehler beim Filtern von Sicherheitskopien beim Löschen behoben
    - Das Protokoll wurde nach dem Löschen von Abschnitten nicht als UTF-8 gespeichert.

5.0.8.0:
--------
  - Neu: 6.1.2011
    - Auftragsbezogene Protokolleinstellungen bei Restore und Cleanup
    - Mailversand bei Restore und Cleanup
    - Sicherheitskopien bei Backup per FTP
  - Änderungen: 12.1.2011
    - Beschriftungen des Start-Buttons bei Restore und Cleanup erweitert
    - Protokollierung bei Restore und Cleanup überarbeitet
    - Platzhalter für die Zeit zusätzlich mit Sekunden (hhmmss)
    - keine unterstrichenen Buchstaben in Popup-Menüs
  - Fehlerkorrekturen: 13.1.2011
    - Datei-Filter-Dialog in Cleanup hatte falsche Beschriftung
    - Einträge für Eventlog korrigiert und ergänzt
    - Beim FTP-Transfer mit "TLS, if available" gibt es, wenn der Server kein
      TLS unterstützt, beim Einlesen der entfernten Verzeichnisse eine
      Exception in Indy10, Workaround: "DataPortProtection:=ftpdpsClear;" nach
      "Connect" und "UsingSFTP=false" (siehe TExtFtp.DoConnect)
    - Nach Auswahl eines neuen Verzeichnisses zum Backup und Klick auf ein
      Unterverzeichnis, wurden alle markiert.

5.0.7.2:
--------
  - Änderungen: 11.12.2010
    - Kleine Änderungen in der Protokollausgabe
    - FTP-Fehlermeldungen überarbeitet
    - Neues Infofenster für die Taskleiste
    - Timeout-Kontrolle auch beim Sichern in Zip-Dateien (siehe 5.0.5)
    - Beim Sichern in Basisverzeichnisse ist Synchronisieren möglich
    - Verbesserte Anzeige beim Unterverzeichnisbaum
  - Fehlerkorrekturen: 15.12.2010
    - Beim Restore wurden die Option "leere Verz. behalten" falsch verwendet.
    - Abbrechen von FTP bei Start von Restore und Cleanup funktionierte nicht richtig
    - Beim Kopieren von Datei-Infos wurde das Originaldatum nicht wieder hergestellt.

5.0.7.1:
--------
  - Änderungen: 23.11.2010
    - "Enc"-Dateien können auch unverschlüsselt zurückgespeichert werden
      (z.B. wenn sie von anderen Anwendungen stammen)
    - ShowMemo erkennt Textkodierung automatisch am BOM
    - Einträge im Protokoll, wenn Restore/Cleanup abgebrochen wurde oder
      keine passenden Dateien gefunden wurden
    - SetThreadExecutionState Function eingefügt, um Ruhe-Modus zu verhindern
      (Backup, Restore, Cleanup)
    - Warnungen werden nur im kurzen Protokoll angezeigt, wenn die entsprechende
      Option in den Protokolleinstellungen ausgewählt wurde
  - Fehlerkorrekturen: 23.11.2010
    - Nach dem Erstellen eines automatischen Auftrags über den Wizard wurde
      das ActiveFlag nicht richtig gesetzt.
    - Erneute Korrektur beim Synchronisieren (eingeschlossene Verz.)
    - exFAT-Dateisystem für Dateien >4GB wird akzeptiert
    - Beim Synchronisieren umbenannte Dateien mit Datums-/Zeitinfo wurden
      immer wieder umbenannt

5.0.7.0:
--------
  - Änderungen: 5.11.2010
    - Warnungen werden auch im kurzen Protokoll angezeigt
    - Die Kennungen der beim Synchronisieren erstellten Sicherheitskopien
      (Dateien und Verzeichnisse) sind einstellbar (auch bei Restore und Cleanup)
  - Fehlerkorrekturen: 9.11.2010
    - Wenn Unterverz. ausgeschlossen waren, wurde nicht richtig synchronisiert.
    - Bei Wechseldatenträgern wurde NTFS manchmal nicht erkannt.

5.0.6.1:
--------
  - Neu: 14.10.2010
    - Vorschau und Vergleichsmöglichkeit bei der Auswahl von Restore-Dateien
      mit ext. Programmen (z.B. Liste.exe und WinMerge.exe)
    - Einfügen des Volumen-Namens von lokalen Datenträgern auf Knopfdruck
  - Fehlerkorrekturen: 12.9.2010
    - Korrektur beim Update unter WindowsXP mit Administratorrechten
    - Einige korrigierte Protokolleinträge
  - Änderungen: 25.10.2010
    - Leere Basisverzeichnisse mit Platzhaltern für die Zeit werden gelöscht.
    - Bei Auswahl eines Verzeichnisses mit Volumenkennung (:<Volume>:\..) wird
      nach dem Datenträger gesucht und die Volumenkennung auch nach der Wahl
      beibehalten.

5.0.6.0:
--------
  - Fehlerkorrekturen: 27.9.2010
    - Bei der FTP-Fehlermeldung errFtpDatConn wurde das Backup nicht richtig
      fortgesetzt (fehlender Verzeichniswechsel).
  - Änderungen: 11.10.2010
    - Ersetzung von ungültigen Zeichen in Dateinamen beim FTP-Transfer.
    - Einige neue Protokolleinträge bei FTP
    - Automatisches Backup beim Abmelden an einem best. Wochentag
    - Hinweis auf Fehler beim Zurücksetzen des Archivbits im kurzen Protokoll
    - Verbesserter Assistent zum Erstellen von Backup-Aufträgen
    - Bei einem über das Kontextmenü oder über die Befehlszeile gestarten Backup
      mit Abmelden/Herunterfahren wird bei "Abbrechen" auch der Abmeldeprozess
      nicht durchgeführt.
    - Automatische Backups beim Abmelden/Herunterfahren werden bei "Abbrechen"
      sofort komplett gestoppt, der Abmeldeprozess wird ausgeführt.

5.0.5.4:
--------
  - Fehlerkorrekturen: 20.9.2010
    - Die Checkbox "Keep empty directories" beim Restore wurde falsch abgefragt
      (invertiert).
    - nach einem Fehler beim FTP-Transfer wurde die fehlerhafte Zieldatei nicht
      gelöscht.
  - Änderungen: 24.9.2010
    - Restore- und CleanUp-Vorschau:
      - verwendet virtuelles TListView, um viele Dateien schnell anzuzeigen.
      - Aufbau des Verzeichnisbaums für viele Unterverzeichnisse optimiert

5.0.5.3:
--------
  - Änderungen: 15.9.2010
    - Verkürzter Install-Dialog bei Programmupdate
    - Beim Rückspeichern per FTP wird nicht entpackt (weder gz noch zip), da das
      bei großen Dateien beim Scan zu lange dauert
      Restore daher hier manuell immer in zwei Schritten:
        1. per FTP in lokales Verz. kopieren
        2. aus lokalem Verzeichnis entpacken
  - Fehlerkorrekturen: 15.9.2010
    - Einstellung für Löschen von Sicherheitskopien wurde nicht im Auftrag gespeichert
    - Statusfenster wurde bei Fehler nicht geschlossen
    - Fehler beim Kopieren und Verschlüsseln über FTP behoben
    - Sicherheitskopien von synch. Verz. wurden mehrfach umbenannt (~~~..)
    - Bei Restore via FTP funktionierte die Kennwortübergabe an den
      Auswahldialog für Verzeichnisse nicht
    - Korrektur (siehe 5.0.5.0) bei Wiederherstellen von abgbrochenen FTP-Verbindungen

5.0.5.2:
--------
  - Änderungen: 9.9.2010
    - Geschwindigkeitsanzeige nur während des Kopierens
    - Anzeige der Gesamtzeit im Protokoll
  - Fehlerkorrekturen: 9.9.2010
    - Fehler bei Sichern in Zip-Dateien behoben
    - Hinweis für die nächsten Backups wurde nicht angezeigt (Taskbar)

5.0.5.1:
--------
  - Änderungen: 5.9.2010
    - Zeitüberschreitung beim Kopieren ist einstellbar
    - Im interaktiven Betrieb wird bei Zeitüberschreitung nach Weitermachen
      gefragt, sonst Abbruch des Backups
    - Geschwindigkeitsanzeige verbessert
    - Neue Zeiteinstellungen beim Restore relativ zum aktuellen Datum
  - Fehlerkorrekturen: 4.9.2010
    - Prüfung auf Zeitüberschreitung beim Pausieren abgestellt
    - Bei Abbruch durch Zeitüberschreitung wurden angefangene Kopien nicht gelöscht.

5.0.5.0:
--------
  - Neu: 27.8.2010
    - Desktop passt sich an die Anzeigeeinstellungen für die Textgröße an.
      (alle Formulare auf "Scaled=true")
  - Änderungen: 31.8.2010
    - Watchdog für die Timeout-Kontrolle (10s) beim Kopieren von Dateien eingefügt.
    - Zusätzliche Größeninfo für jede Datei im extra langen Protokoll
    - Zusätzlicher Platzhalter für Woche und Jahr (Jahr wird am Jahresanfang falls
      erforderlich korrigiert)
    - Geschwindigkeitsanzeige im Statusfenster
  - Fehlerkorrekturen: 31.8.2010
    - Korrekturen an der Position der Desktopkomponenten
    - Cleanup: Korrektur der Optionsanzeige
    - Das Speichern von verschlüsselten Befehlszeilen der Länge 95 funktionierte nicht.
    - Beim Packen und Verschlüsseln von großen Dateien kann die FTP-Verbindung
      abbrechen. Neuverbinden in TWriteFtpThread.WriteFile eingefügt.
    - Beim Backup bei Anmeldung und ohne Statusanzeige wurde das Taskbar-Icon nicht angezeigt.
    - Gelöschte Dateien wurden manchmal doppelt gezählt
    - Synchronisieren von Verzeichnissen überarbeitet

5.0.4.0:
--------
  - Änderungen: 21.6.2010
    - Splitter in ConfirmFilesDialog (Dateiauswahl bei Restore und CleanUp)
    - Auch Rückwärtssortierung in ConfirmFilesDialog
    - Aufruf von externen Programmen nur noch über Auftrag
    - Anzeige des kopierten Volumens im Status
    - Anzeige von Fehlern bereits währende des Backups
    - Bei Quellverzeichnissen auf ext. Laufwerken wird die Volumen-Bezeichnung
      gespeichert und vor dem Backup überprüft.
  - Fehlerkorrekturen: 21.6.2010
    - Meldungen beim Online-Update korrigiert
    - KeepSyncCB  wurde beim Ändern des Backupziels oder beim Laden einen Auftrags
      fälschlicherweise zurückgesetzt.
    - Fehlermeldung beim Synchronisieren und löschen von Verzeichnisses korrigiert
    - Mailversand bei Abbruch des Backups wegen Fehlern korrigiert.
    - Fehler bei der Darstellung von Historylisten (PopupMenu) behoben:
      Der erste Eintrag wurde bei 77 Zeichen abgeschnitten.
      Ursache: Windows-API; Abhilfe: "OwnerDraw" setzen
    - Kleine Korrekturen bei Statusmeldungen

5.0.3.2:
--------
  - Fehlerkorrekturen: 8.6.2010
    - kleine Korrekturen bei der Protokollausgabe
    - Der Assistent zum Anlegen eines neuen Auftrags startete immer, wenn
      das Programm aus der Taskleiste reaktiviert wurde (siehe 5.0.3.1).
    - Fehler beim Restore von Unterverzeichnissen behoben.

5.0.3.1:
--------
  - Fehlerkorrekturen: 6.6.2010
    - Fortschrittsanzeige beim Restore aus Zip-Dateien funktionierte nicht
    - Abbruch bei Backup und Restores mit Zip-Datei korrigiert
    - In der Routine CountSyncFiles hängte sich das Programm manchmal auf.
  - Änderungen: 4.6.2010
    - Beim Synchronisieren werden auch komplette Verzeichnisse auf Wunsch
      nur umbenannt (~'<Verz>')
    - Entsprechende Änderungen bei CleanUp
    - Beim Start des Programms wird automatisch der Assistent für neue Aufträge
      gestartet, wenn kein konfigurierter Auftrag vorhanden ist.
    - Neue Hinweise im Protokoll beim Start von Restore und Cleanup über die
      Befehlszeile, wenn die Auftragsdatei oder das Verzeichnis nicht gefunden
      wurden.

5.0.3.0:
--------
  - Fehlerkorrekturen: 19.5.2010
    - Die Prüfung auf FAT32-Ziel ergab bei Remote-Pfaden ein falsches Ergebnis
    - Fehler beim Verändern von zweistelligen Sicherheitskopien (ActBakSuffix)
      behoben.
    - Automatische Umstellung der Nummerierung von 1- auf 2-stellig.
    - Beim Synchronisieren wurde nicht auf rekursive Abzweigungspunkte geprüft.
  - Änderungen: 21.5.2010
    - Dialog für "Backup aufräumen" mit zusätzlichen Einstellmöglichkeiten für
      Sicherungskopien.

5.0.2.2:
--------
  - Fehlerkorrekturen: 16.5.2010
    - Korrektur eines Fehlers in Vers. 5.0.2.1 bei der Auswertung der Befehlszeile
    - Wenn ein automatischer Auftrag (z.B. #1) über die Befehlszeile aufgerufen wird,
      wird automatisch die Option /force gesetzt (keine Startdialog).
    - Fehler in CheckOption bei Stringlänge 0 korrigiert.
    - Fehler beim Synchronisieren (siehe Änderung in 5.0.2.1) behoben.
    - Fehler bei Fehlermeldungen im Protokoll (siehe auch errFileFull in 4.5.3.1)
  - Änderungen: 16.5.2010
    - zusätzliche Hinweise beim Synchronisieren im extra langen Protokoll für
      übersprungene Dateien.

5.0.2.1:
--------
  - Fehlerkorrekturen: 12.5.2010
    - Bei Fehler "errFileFull" wird die Größe des Platzes auf dem Ziel geprüft:
      1. zu wenig Platz: Dialog "Datenträger wechseln"
      2. sonst: Schreibfehler
    - Fehler bei SetCurrentDirUNC(LastDir) durch falschen UNC-Pfad behoben (nur XP)
    - Beim Schließen des Programms kam manchmal die Synchr.-Warnung, Ursache
      bleibt ungeklärt, korrigiert über Workaround
    - Die Befehlszeilenoptionen wurden tlws. nicht richtig ausgewertet.
    - ReadOptionFile in BuMain verwendet "PersBackup.exe"-Pfad, wenn kein vollst.
      Pfad angegeben wurde.
    - Fehler bei Ausführung mit /force und laufendem Programm behoben.
  - Änderungen: 5.5.2010
    - Bei FAT32 als Ziel werden Dateien >4GB beim Sichern übersprungen
    - Beim Synchronisieren werden zu löschende Dateien auf Wunsch in eine
      Sicherheitskopie (*.sync.<ext>) umbenannt
    - Verbesserte Filtermöglichkeiten zum Ausschluss von Sicherheitskopien beim
      Restore
    - Beim Start von einem Wechseldatenträger (z.B. USB-Stick) werden die Ini- und
      Log-Datei in das dortige Programmverzeichnis geschrieben.

5.0.2.0:
--------
  - Fehlerkorrekturen: 6.4.2010
    - Überprüfung der Überlappung von Quell- und Zielpfad korrigiert
    - Der Zähler für die Sicherheitskopien konnte nur bis 9 eingestellt werden (MaxValue)
    - Fehler in UpdateTreeView bei nicht vorhandenem Pfad behoben
  - Änderungen: 19.3.2010
    - Vom Backup ausgeschlossene Dateien werden im extra langen Protokoll aufgeführt.
  - Neu: 7.4.2010
    - Zusatzprogramm: PbRestore zum Zurückspeichern von einzelnen Dateien (auch gz, enc und zip)

5.0.1.5:
--------
  - Fehlerkorrekturen: 15.3.2010
    - Die Bibliotheksroutine MatchesMask aus der Unit Masks bei Delphi2009 ist fehlerhaft.
      Nach Einspielen der Updates von CodeGear/Embarcadero für Delphi2009 ist
      der Fehler behoben.

5.0.1.4:
--------
  - Änderungen: 11.3.2010
    - Protokollanzeige explizit auf UTF8 eingestellt
    - Verzweigungen (Junctions) und symbolische Links können auf Wunsch über
      "Erweiterte Einstellungen" zugelassen werden.
    - Rekursive Abzweigungspunkte werden erkannt und ignoriert
    - Splitter zwischen Verzeichnisanzeige und Auswahl, sowie zwischen
      Auftrag und Verzeichnisauswahl
    - Zusatzinfo bei ausgewählten Typen
    - abschaltbare Hints
    - In der Breite verstellbare Fenster im Verzeichnisdialog (ShellDirDlg)

5.0.1.3:
--------
  - Fehlerkorrekturen: 15.2.2010
    - Beim Durchsuchen der Ordner werden Verzweigungen (Junctions) und symbolische Links
      zur Vermeidung von endlosen Rekursionen ausgeschlossen.
    - Die Anzahl der Tage bei Dateiauswahl "nicht älter als .." wurde nicht immer
      übernommen.
    - Fehler im Ftp-Dialog bei Verzeichnisauswahl: PwdDialog wurde nicht initialisiert
      => neue Funktion: ReadPassword
    - Ftp im Restoredialog nur für Einzeldateien
    - Fehler beim Zeitvergleich bei überlangen Dateinamen behoben
  - Änderungen: 15.2.2010
    - Im Ziel wird immer ein Zeitstempel angelegt ($TimeStamp.pbu)

5.0.1.2:
--------
  - Fehlerkorrekturen: 8.2.2010
    - Dateinamen aus der Befehlszeile wurden falsch übernommen.
    - Korrekturen bei der Protokollausgabe während des Synchronisierens
    - Beim Zurückspeichern von verschlüsselten Zip-Dateien pro Unterverzeichnis
      wurde das Kennwort für jede Zip-Datei erneut abgefragt
    - Sicherung per FTP und Zip-Datei pro Basisverzeichnis erzeugte ungültige Dateinamen.
  - Änderungen: 9.2.2010
    - Es sind jetzt 99 (statt 9) Sicherheitskopien möglich.
    - Beim Synchronisieren von "allen Dateien" werden auch nicht ausgewählte Dateien und
      Typen im Ziel gelöscht.
    - Zusätzliche Meldungen im Event-Log bei "quiet"-Betrieb

5.0.1.1:
--------
  - Fehlerkorrekturen: 1.2.2010
    - Nach dem Starten eines für die automatische Ausführung vorgesehenen Backups
      aus der Taskleiste wurden die Verzeichnisse dieses Auftrags dem aktuell in
      der Bearbeitung befindlichen Auftrag hinzugefügt.
    - In der Befehlszeile und in der Taskplaner-Konfiguration konnten keine Pfade
      verarbeitet werden, die ein Komma enthalten.
      Geändert: Komma ist erlaubt, wenn solche Pfade durch Anführungszeichen
      eingeschlossen werden.
  - Änderungen: 3.2.2010
    - Zusätzliche Infos im extra langen Protokoll für Verzeichnisse
    - Geänderte Struktur der Units (FileUtils und ExtFileTools)

5.0.1.0:
--------
  - Fehlerkorrekturen: 20.1.2010
    - Dateien im Quellenverzeichnis wurden nicht gelöscht (Aufruf von
      SHFileOperation geht nicht mit UNC-Pfad)
    - Beim Synchronisieren werden Vorversionen nicht mehr gelöscht.
    - Automatische Wiederherstellung einer unterbrochenen Netzwerkverbindung korrigiert
    - FTP-Button wurde nicht angezeigt
    - In den in Vers. 5 verwendeten Indy-Routinen ist bei FTP standardmäßig ASCII
      als Modus festgelegt (Indy in Vers. 4 hat Binary). Wir bei Initialisierung
      von ExtFtp auf Binary gesetzt.
    - Fehler beim Synchronisieren von Dateien mit Kompr. und Verschl., die in
      der Ausschlussliste für Kompr. stehen, behoben.
    - Die Systemroutine ReadString in IniFiles beschränkt die Stringlänge auf 2048,
      geändert auf 65536 (Standard-String).
  - Änderungen: 20.1.2010
    - Anzeige der Anzahl der Dateien im Verzeichnisbaum beim Restore/Aufräumen verbessert.
    - Anzeige der Anzahl der beim Synchronisieren gelöschten Dateien
    - Bei regulären Ausdrücken gelten folgende Voreinstellungen:
      Ordner und Dateien: beachte Groß- und Kleinschreibung (ausschalten mit "(?i)")
      Erweiterungen: keine Beachtung von Groß- und Kleinschreibung

5.0.0.12:
--------
  - Fehlerkorrekturen: 18.12.2009
    - Bei einigen Funktionsaufrufen von DeleteFile wurde nicht die UNC-Version verwendet
    - Korrektur für Zweimonitorbetrieb
    - bei "CopyFileStorage" wurde der Returnwert nicht richtig gesetzt.
    - kleine Korrekturen beim Erstellen und Löschen von Sicherheitskopien
    - Fehlermeldung bei fehlenden Schreibrechten auf Zieldatei statt "errFileAttr"
      jetzt "errFileWrite"
  - Änderungen: 10.12.2009
    - Zusätzlicher Platzhalter %actdest% beim Aufruf von externen Programmen enthält
      vollst. Pfad zu dem Zielverz. (auch bei Wechselplänen).


5.0.0.11:
--------
  - Fehlerkorrekturen: 30.11.2009
    - Bei FTP-Verbindung wurde das Scheitern beim Erstellen des Basisverzeichnisses nicht erkannt.
    - Das Löschen von Dateien im Ziel (ohne,gz,enc) wurde korrigiert.
    - Die aktuelle Protokolldatei wurde nicht geladen.
    - Das Löschen einer Protokolldatei aus der Anzeige funktionierte nicht.
    - Fehler in der Indy10-Routine IdMessageClient (Zeile 1215ff.) behoben:
      Semikolon fehlte
    - Bei einigen Funktionsaufrufen wurde nicht die UNC-Version verwendet
    - %taskname% zeigte bei Aufträgen über die Befehlzeile einen falschen Namen
    - Das Port für den Mailversand wurde manchmal auf 25 zurückgesetzt.
    - Option "Datei-Info" wurde nicht gespeichert.
    - Beim Kopieren von Datei-Infos funktionierte das Verify nicht.
    - Bei leerer File-Summary wurde ein Fehler zurückgegeben.
  - Änderungen: 3.12.2009
    - Bei Zweimonitor-Betrieb wird eine Position auf dem 2. Monitor automatisch
      wieder hergestellt, auch wenn zwischenzeitlich nur ein Monitor angeschlossen
      war.
    - Wenn beim Sichern einer Datei im Modus "Archivbit zurücksetzen" (z.B. bei
      vollständigem Backup) ein Fehler auftritt, wird das Archivbit immer gesetzt.

5.0.0.10:
--------
  - Fehlerkorrekturen: 13.11.2009
    - Beim Wechsel von Zip nach Einzeldateien blieb "Dateien komprimieren" gesperrt
    - Beim Start von zwei Backups kurz hintereinander und akt. Mailversand, gab
      es eine Kollision des temp. Protokolls (Name nur minutengenau).
      Neu: Name sekundengenau.
    - Stammverzeichnisse wurden nicht gelöscht.
    - Fehler beim Ersetzen von Platzhaltern im Mailversand behoben.
  - Änderungen: 10.11.2009
    - StartBtn gesperrt bei Verzeichnissuche
    - Proxyserver für Programm-Updates
    - Laden von Protokolldateien im Ansichtsfenster

5.0.0.9:
--------
  - Fehlerkorrekturen: 29.10.2009
    - In ExtFileTools fehlten noch einige UNC-Pfade
    - Beim Sichern per FTP wurden Verzeichnisses mit Umlauten nicht richtig verarbeitet.
    - Fehler beim Erstellen von Zip-Archiven mit UTF-8 behoben.
    - PostCmd wurde nicht im Auftrag gesichert.
    - Fehler beim Erstellen von Verzeichnissen mit langen Namen behoben.
    - Beim Wechsel von Zip nach Einzeldateien blieb "Dateien komprimieren" gesperrt
  - Änderungen: 28.10.2009
    - Automatische Anpassung des Fensters, wenn die Bildschirmgröße sich so ändert,
      dass das Fenster außerhalb liegt.

5.0.0.8:
--------
  - Änderungen: 2.10.2009
    - Drag&Drop von anderen Anwendungen verbessert (bei Dateien wird der übergeordnete Pfad
      eingetragen).
    - Neuer Ort für Ini- und Log-Dateien: ..\Anwendungsdaten\PersBackup5
      Einstellungen von Vers. 4 werden beim ersten Mal übernommen.
    - Verbesserte Einstellungsmöglichkeiten (Alter in Tagen, wochen, Monaten, Jahren)
      beim Löschen von Dateien
    - Neuer Key in [CleanUp]: DeleteDirs (statt AgeMode)
    - Dateiinfos werden im Normalmodus (nicht mehr ShellCopy) kopiert. Diese
      Option ist nur freigegeben, wenn das Ziel ein NTFS-Dateisystem ist.
    - Kein Dialog beim Abfragen des Protokolls über die Befehlszeile
    - Alphabetische Sortierung im Unterverzeichnisbaum auch FAT32 (AlphaSort)
    - Zielauswahl über RadioButton
    - Schaltfläche für Protokollanzeige im Statusfenster
    - Befehlszeilen können verschlüsselt gespeichert werden
    - Anzeige des Namens des Zieldatenträgers
    - opt. Löschen von Vorversionen beim Update
    - Anpassung der Zip-Verschlüsselung an WinZip 11 ff, siehe:
      http://www.winzip.de/aes_info.htm#CRC
    - Einstellungen von Restore und Cleanup wurden bei "/auto" nicht geladen.
      Zugeh. LoadFromIni's verschoben von FormShow nach Backup.LoadFromIni
    - sek. Protokolldatei wird nur für den zuletzt ausgeführten Auftrag angezeigt.
    - FTP-Responsecodes und -Verzeichnisse beim Restore im extra langen Protokoll
    - ApplyBtn bei Zeitfiltern für das Backup zur Aktualisierung der Anzeige
    - Bei Hinzufügen eines neuen Verzeichnisses wird immer die Seite
      "Unterverzeichnisse" angezeigt.
    - Neue Befehlszeilenoption: /gap:.. (Zeitbereich für Backup)
    - Verbesserte Backup-Vorschau
  - Fehlerkorrekturen: 29.9.2009
    - Beim Verlassen der Auftrags-Einstellungen wurde der Unterverzeichnisbaum nicht
      mehr angezeigt.
    - Beim Ausführen von Aufträgen aus dem Taskleisten-Menü wurden die Einstellungen
      für "InterAction" nicht aus "AutoTask" übernommen.
    - Fehler durch Änderung aus 5.0.0.7 (Option "Verzeichnisse durchsuchen") behoben:
      Bei mehreren Einstellungsänderungen wurde fälschlicherweise das Verzeichnis aus "SelectDirBox"
      abgewählt. Folge waren blockierte Auswahltabs.
    - Visuelle Korrektur bei Type-StringGrid
    - Korrekturen für Darstellung im Aero-Design:
      Die Probleme werden durch TabSheet hervorgerufen:
      - Der Hintergrund wird mit der (hellen) Farbe des Tabs dargestellt. Dadurch erscheinen
        aufgesetzte RadioButtons mit einem grauen Rechteck.
      - SpeedButtons verschwinden völlig, bzw. werden erst angezeigt, wenn man mit der Maus
        darüber geht.
      - Labels werden nicht angezeigt.
      Abhilfe: Auf jedes TabSheet wird ein Panel ohne Rand mit alClient gesetzt. Alle Komponenten
      kommen dann auf das Panel (anstatt direkt auf TabSheet).
    - Bei Auswahl des Modus "alles neu" wurde manchmal die Checkbox "Archivbit löschen"
      nicht gesetzt. Dies hat sich vermutlich auch auf automatische Aufträge ausgewirkt.
    - Zugriffsverletzung bei Klick auf Systemmenü behiben
    - Bei CleanUp wurden Proxy-einstellungen nicht gespeichert
    - Bei vollem Zieldatenträger erfolgt Dialogabfrage nur bei iaPrompt und iaErrorPrompt,
      zusätzlich Fehlermeldung im Protokoll
    - Protokollmode "kurz" funktionierte nicht
    - Fehler beim Löschen "älter als .. Jahre" behoben
    - IncludeTrailingSlash bei Ftp-Restore und - Cleanup
    - Bei FTP-Servern, die ModifiedDateGMT nicht unterstützten, hängte sich der
      Restore wegen des ungültigen Datums auf.
    - Verify bei Zip-Dateien: Eintrag nur ab langem Protokoll
    - Beim Schreiben über TIniFile traten Exceptions auf, wenn in Dateien geschrieben
      wurde, für die keine Schreibrechte existieren (siehe IniFileUtils).
    - kleine Korrekturen bei Hint-Anzeigen (Hauptmenü und Cleanup)
    - Beim Restore wurden trotz ausgewählter Option keine leeren Verz. angelegt.
    - Beim Restore wurde die Option "leere Verz." nicht gespeichert

5.0.0.7:
--------
  - Fehlerkorrekturen: 22.6.2009
    - Protkolleinstellung aus der Befehlszeile wurde nicht übernommen
    - Korrektur des Zusammenspiels von cbPreC/cbPostC mit Dialog
    - Bei ausgeschalteter Option "Verzeichnisse durchsuchen" wurde das Fenster
      mit den Unterverzeichnissen nicht gelöscht. Außerdem wurde immer
      das erste Verzeichnis ausgewählt.
    - PbPlaner: Leerstring cbWeekDay verursachte bei Windows 2000 eine
      Schutzverletzung (ntdll.dll) beim Aufruf von TranslateComponent.
    - Beim Laden eines Auftrags oder beim Umschalten Normal/Ftp wurde die
      Checkbox cbShellCopy nicht ausgegraut, wenn cbCompress ausgewählt war.
      Dadurch wurde nicht richtig synchronisiert.
  - Änderungen: 30.6.2009
    - Platzhalter für Mail-Betreff
    - WriteProtokoll geändert, Mailprotokoll getrennt von Hauptprotokoll
    - Über einen Registy-Eintrag (HKCU\Software\PersonalBackup) kann der Ort
      von Ini- und Log-Datei beliebig verlegt werden.
    - Anzeige des Arbeitsverz. und der Ini-Datei im Einstellungsmenü als Hint

5.0.0.6:
--------
  - Änderungen: 16.6.2009
    - Zusätzliche Statusanzeige beim Restore und Löschen (Anzahl der Dateien)
    - Anzeige des Ziels im Protokoll geändert
    - Einstellungen für Protokoll verbessert
    - Voreinstellung für Protokoll immer auf kurz
    - Mailversand: nie, immer oder nur bei Fehlern
    - Neue Befehlszeilenoption: /zipname:<name>
    - Befehlszeilenoption /backupdir:<path>
        vollst. Pfad (z.B. G:\backup) ersetzt Zielpfad aus Auftrag
        relativer Pfad (z.B. backup\1) wird zu Zielpfad aus Auftrag hinzugefügt
    - Protokollanzeige mit TMemo (nicht TRicheEdit)
  - Fehlerkorrekturen: 15.6.2009
    - Protokolleinstellungen des Auftrags wurden bei Start von Hand nicht
      übernommen
    - Bei gesperrten Dateien konnte der Kopierprozess sich aufhängen (CopyStream)
    - Bei Cleanup wurde das Sync-Verz. nicht im Auftrag gespeichert
    - Beim Verifizieren mit ShellCopy (Erweiterte Kopie) wurde die Quelldatei
      nicht geschlossen

5.0.0.5:
--------
  - Neu: 23.5.2009
    - Restore von einzelnen und verzeichnisweisen Zip-Dateien
    - Auswahldialog für Dateien beim Restore mit Verzeichnisbaum und Suchfunktion
    - Datei-Vorschau bei der Aus- bzw. Abwahl von Unterverzeichnissen
  - Änderungen: 18.5.2009
    - Anzeige der Dateigrößen beim Restore korrigiert
    - beim Restore werden standarmäßig keine leeren Verzeichnisse angelegt,
      optional abschaltbar
    - Restore des Erstellungsdatums
    - Statusanzeigen und Dialoge passen sich bei Ändern der Bildschirmgröße
      so an, dass sie immer voll sichtbar sind.
    - Dateifilter dürfen auch Erweiterungen enthalten
    - Änderung bei den Hauptforms auf "Scaled=false"
    - beí Zeitstempelgleichkeit kann optional die Größe als Vergleichskriterium
      benutzt werden (nur wenn nicht komprimiert und nicht verschlüsselt).
    - CheckRoot-Prüfung geändert (eine Zip-Datei ist ausgenommen)
   - Fehlerkorrekturen: 18.5.2009
    - Kein Prompt bei automatischen Updates (Wait) und SendMail-Fehler
    - Korrektur im Taskplaner-Assistenten bei Aufträgen mit Leerzeichen
    - Erstellung einer Desktop-Verknüpfung korrigiert

5.0.0.4:
--------
  - Änderungen: 24.4.2009
    - Installation bei automatischen Update nach Download auch bei Vista
    - Protokolleinstellungen können können für jeden Auftrag verschieden gewählt
      werden.
  - Fehlerkorrekturen: 24.4.2009
    - Das zu synchronisierende Verzeichnis wurde im Fortschrittsfenster manchmal
      nicht und mit zu kurzer Länge angezeigt.
    - In der Befehlszeile für den Taskplaner wurde die Ini-Option bei Pfaden
      mit Leerezeichen nicht mit Anführungszeichen versehen.
    - Unter Vista hängte sich das Programm beim Start auf, wenn keine
      Ini-Datei gefunden wurde - behoben.

5.0.0.3:
--------
  - Änderungen: 30.3.2009
    - Umgestellt auf englische Bibliotheken
    - Kontextmenü bei Taskplaner
    - Fehlermeldung im extra langen Protokoll, wenn das Archivbit der Quelle
      nicht zurückgesetzt werden konnte.
    - Wenn die sprachspezifische Hilfe nicht gefunden wurde, wird die
      englische Hlfe angezeigt.
  - Fehlerkorrekturen: 7.4.2009
    - "Send mail" wurd bei einem neuen Auftrag nicht zurückgesetzt
    - Bei der Verzeichnisauswahl funktionierten Links zu Netzwerkressourcen
      nicht, in Shellctrls ergänzt
    - HH.pas auf WideStrings geändert

5.0.0.2:
--------
  - Änderungen: 27.3.2009
    - Untermenü für die Spracheinstellung wird aus "language.cfg" geladen.
      Angepasste Versionen dazu in den Unterordnern
      local\xx\LC_MESSAGES mit xx = Sprachcode nach ISO-639-1
    - Alle Formulare auf Font "Tahoma" ungestellt.

5.0.0.1:
--------
  - Fehlerkorrekturen: 24.3.2009
    - Bei Auswahl von nur Unterverzeichnissen wurden die Dateien des Basisverz.
      synchronisiert aber nicht gesichert - korrigiert.
    - Beim Wechsel zwischen Aufträgen mit unterschiedlicher Einstellung
      für den Aus- oder Einschluss von Unterzeichenissen wurde irrtümlich das
      "Changed"-Flag gesetzt.
      "Changed"-Flag gesetzt.
    - Es wurde versucht, die Atrribute und den Zeitstempel von nicht
      vorhandenen Verzeichnissen zu setzen.
    - Nach ShellCopy konnte der Zeitstempel nicht gesetzt werden, Zugriff
      auf FILE_WRITE_ATTRIBUTES geändert.
    - kleine Korrekturen beim Anlegen und Anzeigen von Windows Scheduled Tasks
  - Änderungen: 18.3.2009
     - Einstellbare Größenänderung des Statusfenster

5.0.0.0:
--------
  - Neu: 15.3.2009
    - Gesamtes Programm auf Unicode umgestellt (Delphi 2009):
    - Dateinamen mit nicht ISO-8859-Zeichen werden unterstützt
    - Bei FTP, wenn Server UTF-8 unterstützt
    - E-Mail-Versand als UTF-8-Kodierung
    - Protokoll wird UTF-8-kodiert gespeichert
    - Dateipfade  > 260 Zeichen zulässig
    - gz-Dateien mit UTF-8-Dateinamen, wenn kein ISO-8859
    - Zip-Dateien ebenso
  - Änderungen: 15.3.2009
    - Einstellungen für Druckseite erweitert

=====================================================================
2001 Basisversion
=====================================================================
(c) 2001-2026, Dr. J. Rathlev, D-24222 Schwentinental
=====================================================================

